2019-04-30 14:30:41 +0300 Aki Tuomi <aki.tuomi@open-xchange.com> (92dc263a)

    Released v0.5.6


M	configure.ac

2019-04-30 14:26:16 +0300 Aki Tuomi <aki.tuomi@open-xchange.com> (18751d35)

    NEWS: Add news for v0.5.6


M	NEWS

2019-01-16 08:51:09 -0500 Josef 'Jeff' Sipek <jeffpc@josefsipek.net> (ea20d2d9)

    global: hash_table_destroy(NULL) is a no-op

    @@ expression E;
    @@

    - if (hash_table_is_created(E)) {
    -       hash_table_destroy(&E);
    - }
    + hash_table_destroy(&E);

M	src/lib-sieve/sieve-result.c
M	src/plugins/imapsieve/imap-sieve-storage.c

2019-01-24 22:46:09 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (3733c159)

    lib-sieve: Prevent execution of implicit keep upon temporary failure
    occurring at runtime.


M	src/lib-sieve/sieve.c

2018-12-12 18:46:50 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (76a44097)

    lib-sieve: redirect action: Assert that dupeid is not NULL when
    act_redirect_get_duplicate_id() is successful.

    Addresses scan-build report.

M	src/lib-sieve/cmd-redirect.c

2018-12-12 18:45:00 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (2c5a4cb5)

    lib-sieve: redirect action: Fix lack of NULL checking in new
    X-Sieve-Redirected-From header comparisons.

    Problem found by scan-build.

M	src/lib-sieve/cmd-redirect.c

2018-12-11 17:29:18 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (049de1fc)

    lib-sieve: redirect action: Implement additional protection against mail
    loops.

    Also check the X-Sieve-Redirected-From header for our own e-mail addresses.
    This header is added by the redirect action itself and in a mail loop it
    would see that same header with that same content. This is less reliable
    than the other mail loop detection (sender may set such a header), so,
    unlike the existing loop detection based on the duplicate db, the implicit
    keep is not canceled when the new loop detection is triggered.

M	src/lib-sieve/cmd-redirect.c
M	tests/execute/smtp.svtest

2018-12-11 17:27:20 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (663ac718)

    lib-sieve: redirect action: Put msgdata->mail in local variable in
    act_redirect_get_duplicate_id().

    Serves as an abbreviation.

M	src/lib-sieve/cmd-redirect.c

2018-12-11 17:26:56 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c3c9a521)

    lib-sieve: redirect action: Move composition of duplicate database ID to
    separate function.


M	src/lib-sieve/cmd-redirect.c

2018-12-11 20:28:51 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (2c52769b)

    lib-sieve: redirect action: Give log messages emitted during execution a
    uniform prefix.


M	src/lib-sieve/cmd-redirect.c

2018-12-11 17:25:12 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (dd626dfe)

    lib-sieve: redirect action: Report errors on original message in
    act_redirect_commit().

    It was errorneously using the (potentially) modified mail struct for error 
    reporting.

M	src/lib-sieve/cmd-redirect.c

2018-12-11 17:24:38 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (88792972)

    lib-sieve: redirect action: Update coding style of act_redirect_commit().


M	src/lib-sieve/cmd-redirect.c

2018-12-11 20:25:12 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (7d2d1eca)

    lib-sieve: redirect action: Update coding style of act_redirect_send().


M	src/lib-sieve/cmd-redirect.c

2018-12-11 17:23:06 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (4ef89d76)

    lib-sieve: editheader extension: Protect the X-Sieve-Redirected-From header
    against modification.

    This prevents users from messing with redirect loop detection.

M	src/lib-sieve/plugins/editheader/ext-editheader-common.c

2019-03-04 15:01:08 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (73378b27)

    Update NEWS file for v0.5.5 release.


M	NEWS

2018-11-26 09:44:49 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (a9f3e78b)

    configure: Stop using DOVECOT_CFLAGS and LDFLAGS

    Instead use the detected ones.

M	configure.ac

2018-11-26 09:44:40 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (ff7d48ab)

    m4: Update dovecot.m4 from upstream


M	m4/dovecot.m4

2018-12-04 15:45:01 +0200 sergey <sergey@dom.org> (08dc91cd)

    lib-sieve: Create empty mail_keywords structure for keywords updating when
    there are no keywords


M	src/lib-sieve/sieve-actions.c

2018-12-11 10:43:37 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (b58703e2)

    plugins: imapsieve: Remove useless NULL check for exec_status.

    In this context, it can never be NULL and the check confuses Coverity.

M	src/plugins/imapsieve/imap-sieve.c

2018-12-11 10:41:51 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (1fa885a3)

    plugins: imap-filter-sieve: Remove useless NULL check for exec_status.

    In this context, it can never be NULL and the check confuses Coverity.

M	src/plugins/imap-filter-sieve/imap-filter-sieve.c

2018-12-11 12:53:13 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (7c3063b2)

    plugins: sieve-extprograms: Use sieve_ prefix consistently for sieve
    elements visible as exported symbols.

    This fixes a symbol clash with the imap-filter-sieve plugin. Both modules
    had the symbol "cmd_filter".

M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/plugins/sieve-extprograms/ext-execute.c
M	src/plugins/sieve-extprograms/ext-filter.c
M	src/plugins/sieve-extprograms/ext-pipe.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.h
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.c

2018-08-09 13:04:27 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (7d3d4703)

    lib-sieve: Return test suite result in test-edit-mail


M	src/lib-sieve/util/test-edit-mail.c

2018-08-05 13:54:06 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (ee04451f)

    plugins: imapsieve: Fix assert panic occurring when a COPY event is
    triggered on a virtual mailbox.

    Occurs when several mails from different backend mailboxes are involved in
    the COPY event. Fixed by using mail_save_context->>copy_src_mail in
    mailbox_copy() instead of the mail argument. The latter can point to the
    backend mailbox for virtual mailboxes, which makes no sense to the imapsieve
    plugin as it expects only one source mailbox.

    Panic was:

    Panic: file imap-sieve-storage.c: line 337
    (imap_sieve_add_mailbox_copy_event): assertion failed: (ismt->src_box ==
    NULL || ismt->src_box == src_mail->box)

M	src/plugins/imapsieve/imap-sieve-storage.c

2018-06-28 20:03:11 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (67f58962)

    test suite: enotify extension: Add tests for interaction between
    ":encodeurl" and variable size limits.


M	tests/extensions/enotify/encodeurl.svtest

2018-06-28 00:29:15 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (978169ee)

    test suite: variables extension: Add tests for variable size limits.


A	tests/extensions/variables/limits.svtest

2018-06-27 09:39:49 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (07bbe142)

    lib-sieve: enotify extension: Improve handling of variable size limit for
    ":encodeurl" variable modifier.


M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c

2018-06-27 09:38:45 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (fd2bd138)

    lib-sieve: variables extension: Improve handling of variable size limit for
    ":quotewildcard" modifier.


M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c

2018-06-27 09:37:47 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d164dbcd)

    lib-sieve: variables extension: Add pointer to variables extension to
    modifier instance.


M	src/lib-sieve/plugins/mime/cmd-extracttext.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.h
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h

2018-06-27 09:33:52 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (73ce7953)

    lib-sieve: variables extension: Pass modifier to modifier's modify method.


M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h

2018-06-27 09:26:31 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (98c0e22d)

    lib-sieve: variables extension: Add sieve_variables_get_max_variable_size()
    to public API.


M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h

2018-06-01 00:30:06 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (5599ef3a)

    lib-sieve: variables extension: Respect UTF-8 character sequence boundaries
    when truncating variables.


M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-operands.c

2018-06-27 09:44:08 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c622a396)

    lib-sieve: enotify extension: Make modify method of ":encodeurl" variable
    modifier static.


M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c

2018-06-28 20:02:04 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c95bbade)

    lib-sieve: variables extension: Make modify methods of pre-defined modifiers
    static.


M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c

2018-12-05 10:57:37 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (dab0f6d2)

    plugins: imapsieve: Expunge discarded messages when
    imapsieve_expunge_discarded=yes.


M	doc/plugins/imapsieve.txt
M	src/plugins/imapsieve/imap-sieve-storage.c

2018-12-05 10:08:18 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (26621c51)

    plugins: imap-filter-sieve: Properly discard the originally stored message
    when a modified version is stored by Sieve.

    The Sieve interpreter can return a flag that indicates whether the original 
    message should be kept, but that was not actually being used.

M	src/plugins/imap-filter-sieve/imap-filter-sieve.c

2018-12-04 23:45:01 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (45d321ce)

    plugins: imapsieve: Properly discard the originally stored message when a
    modified version is stored by Sieve.

    The Sieve interpreter can return a flag that indicates whether the original 
    message should be kept, but that was not actually being used.

M	src/plugins/imapsieve/imap-sieve.c

2018-11-23 00:01:38 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (5b93331c)

    Update NEWS file for v0.5.4 release.


M	NEWS

2018-08-30 02:44:26 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (762e55ed)

    plugins: imap-filter-sieve: Add assertion on attempting to execute at least
    one script.

    Coverity complains about last_script possibly being empty in 
    imap_sieve_filter_run_scripts(), which is actually not possible, since the 
    function would not be called if there is no script to execute. Added
    assertion to make that clear.

M	src/plugins/imap-filter-sieve/imap-filter-sieve.c

2018-08-30 02:39:25 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (740cbc78)

    plugins: imap-filter-sieve: Fix segfault occurring in recently added debug
    message.

    The debug message pertains to skipping secondary scripts that failed to 
    compile. This debug message will not actually be triggered in the current 
    implementation, but this will become problematic in the future.

    Problem found by Coverity.

M	src/plugins/imap-filter-sieve/imap-filter-sieve.c

2018-08-26 17:26:05 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (436c45ac)

    plugins: imap-filter-sieve: Fix assertion panic occurring after script
    compile error.

    Compile errors occurring for Sieve scripts uploaded in multiple TCP frames
    were not handled correctly.

M	src/plugins/imap-filter-sieve/cmd-filter-sieve.c

2018-08-26 16:51:29 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (803055b1)

    plugins: imap-filter-sieve: Ignore secondary scripts that failed to compile.

    The IMAP FILTER=SIEVE capability does not execute more than a single script
    yet, but once it does, it should not assert fail on secondary scripts that
    failed to compile.

M	src/plugins/imap-filter-sieve/imap-filter-sieve.c

2018-09-05 21:27:58 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8efeb6a1)

    lib-sieve: Adjust to changes in Dovecot regarding the postmaster_address
    setting.


M	src/lib-sieve/sieve.c

2018-09-26 02:40:36 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (14aa0845)

    Don't try to send stats from Sieve command line tools (which includes
    testsuite).


M	src/lib-sieve-tool/sieve-tool.c

2018-09-26 02:27:27 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (628cf966)

    global: Don't try to send stats from unit tests.


M	src/lib-sieve/util/test-edit-mail.c

2018-09-06 19:53:33 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (198cfa79)

    managesieve: Don't enable stats when dumping capability

    Otherwise stats process startup can get into a loop.

M	src/managesieve/main.c

2018-07-18 17:54:51 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (df99d64e)

    Adjust to changes in Dovecot message_address_parse() API.

    Change was:

    lib-mail: message_address_parse() - Change fill_missing parameter to flags

M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/sieve-address.c
M	src/testsuite/testsuite-message.c

2018-06-13 00:49:54 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (87504974)

    managesieve: Free sieve instance when performing dump-capability

    Makes it easier to run with valgrind.

M	src/managesieve/main.c
M	src/managesieve/managesieve-capabilities.c

2018-06-12 18:52:03 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (7ef8af97)

    doveadm sieve plugin: Fix memory leak for "sieve get" command


M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-get.c

2018-05-02 13:46:15 +0300 Phil Carmody <phil@dovecot.fi> (5472e286)

    ldap - fix stupid typo

    Signed-off-by: Phil Carmody <phil@dovecot.fi>

M	src/lib-sieve/storage/ldap/sieve-ldap-db.c

2018-04-28 23:11:40 +0300 Phil Carmody <phil@dovecot.fi> (fd43ce96)

    global: replace verbose strncmp()s with simpler str_begin()s

    Signed-off-by: Phil Carmody <phil@dovecot.fi>

M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/plugins/environment/ext-environment-common.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/storage/file/sieve-file-storage.c
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2018-08-15 16:09:41 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d9966fa8)

    lib-sieve: util: Add tests for rfc2822_header_write().


M	src/lib-sieve/util/Makefile.am
A	src/lib-sieve/util/test-rfc2822.c

2018-08-15 15:41:36 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (3564cc30)

    lib-sieve: util: rfc2822: Prevent writing header lines with trailing
    whitespace in rfc2822_header_append().


M	src/lib-sieve/util/rfc2822.c

2018-08-15 15:35:17 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (ed170e17)

    lib-sieve: util: rfc2822: Fix assert panic occurring in
    rfc2822_header_append().

    Panic was: "Buffer write out of range"

    With some rather weird (sender-provided!) input, the header folding
    algorithm got confused, causing a pointer to the start of the current line
    to exceed the parsing pointer. This caused str_append_data() to be called
    with a negative size. Added an assertion to make any future similar problems
    more obvious.

M	src/lib-sieve/util/rfc2822.c

2018-04-25 14:22:37 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8647d31f)

    global: Replace str_append_n() with str_append_data().

    The str_append_n() function is now deprecated. At no occasion, the occurence
    of NUL in the data is possible or relevant, so each instance is replaced
    with str_append_data() rather than str_append_max().

M	src/lib-managesieve/managesieve-quote.c
M	src/lib-sieve/ext-encoded-character.c
M	src/lib-sieve/mcht-matches.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/mime/cmd-extracttext.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/regex/mcht-regex.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/lib-sieve/util/edit-mail.c
M	src/lib-sieve/util/rfc2822.c
M	src/lib-sieve/util/test-edit-mail.c
M	src/managesieve-login/client-authenticate.c
M	src/testsuite/testsuite-arguments.c

2018-08-10 11:46:00 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e07b3957)

    plugins: imap-filter-sieve: Fix FILTER SIEVE SCRIPT command parsing.

    After finishing reading the Sieve script, the command parsing sometimes
    didn't continue with the search arguments. This is a time-critical bug that
    likely only occurs when the Sieve script is sent in the next TCP frame.

M	src/plugins/imap-filter-sieve/cmd-filter-sieve.c

2018-08-08 14:51:44 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (190fe396)

    Add v0.5.2 to NEWS.


M	NEWS

2018-05-28 14:12:49 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (e9779f25)

    lib-sieve: script storage: Fix leaking mailbox if opening INBOX fails


M	src/lib-sieve/sieve-storage-sync.c

2018-07-01 20:52:47 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e9ac5535)

    doc: Add documentation and specification for the IMAP FILTER=SIEVE plugin to
    distribution.


M	doc/plugins/Makefile.am
M	doc/rfc/Makefile.am

2018-06-01 10:08:36 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e5a584c6)

    plugins: imap_filter_sieve: Put more effort in reconstructing a valid rcpt
    address for the envelope.

    The sieve_user_email setting provides a fallback for when there is no
    Delivered-To header.

M	src/plugins/imap-filter-sieve/imap-filter-sieve.c

2018-05-27 10:40:42 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (0601c10f)

    plugins: imap_filter_sieve: Implement the UID FILTER command.

    Although it was documented and implemented in essence, it was not actually 
    available.

M	src/plugins/imap-filter-sieve/imap-filter-sieve-plugin.c

2018-05-26 18:11:19 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (237dbf93)

    doc: imap_filter_sieve plugin specification: Updated Dovecot Oy office
    address.


M	doc/rfc/draft-bosch-imap-filter-sieve-00.txt

2018-05-26 16:39:00 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (0eab68c7)

    imap-filter-sieve: Fix FILTER to work correctly with pipelining

    Fixes e.g. FILTER+LOGOUT pipelining crash: Panic: file imap-sync.c: line 832
    (cmd_sync_delayed_real): assertion failed: (client->mailbox != NULL)

M	src/plugins/imap-filter-sieve/imap-filter-sieve-plugin.c

2018-05-14 19:24:10 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (08dcc560)

    Added v0.5.1 to NEWS.


M	NEWS

2018-05-12 00:56:19 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (4ac4cfa8)

    tests: address test: Add tests for invalid addresses with UTF-8 in the
    localpart.


M	tests/test-address.svtest

2018-05-11 23:44:37 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8565e71f)

    lib-sieve: Add more trace debugging output for address list iteration.


M	src/lib-sieve/sieve-address.c

2018-05-11 23:57:26 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (35f4b130)

    lib-sieve: Check iterated addresses in address list for validity as an SMTP
    address.


M	src/lib-sieve/sieve-address.c

2018-05-12 00:08:19 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (4324fe80)

    lib-sieve: Try to skip individual invalid addresses while iterating an
    address list.

    Before, the whole address list (header value) was returned as an invalid 
    address, ignoring any valid addresses it may still have contained.

M	src/lib-sieve/sieve-address.c

2018-05-02 23:48:30 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (664a73f0)

    plugins: Implement the vendor-defined IMAP FILTER=SIEVE capability.

    It adds the ability to manually invoke Sieve filtering in IMAP.

M	INSTALL
M	TODO
M	configure.ac
A	doc/plugins/imap_filter_sieve.txt
A	doc/rfc/draft-bosch-imap-filter-sieve-00.txt
M	src/plugins/Makefile.am
A	src/plugins/imap-filter-sieve/Makefile.am
A	src/plugins/imap-filter-sieve/cmd-filter-sieve.c
A	src/plugins/imap-filter-sieve/cmd-filter.c
A	src/plugins/imap-filter-sieve/imap-filter-sieve-plugin.c
A	src/plugins/imap-filter-sieve/imap-filter-sieve-plugin.h
A	src/plugins/imap-filter-sieve/imap-filter-sieve.c
A	src/plugins/imap-filter-sieve/imap-filter-sieve.h
A	src/plugins/imap-filter-sieve/imap-filter.c
A	src/plugins/imap-filter-sieve/imap-filter.h

2018-05-07 11:04:09 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (db3be195)

    plugins: imapsieve: Make sure responses are never sent.

    Use the new SIEVE_EXECUTE_FLAG_SKIP_RESPONSES flag to prevent any unforseen 
    mishaps.

M	src/plugins/imapsieve/imap-sieve.c

2018-05-07 11:03:01 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (bc6764b1)

    lib-sieve: Add SIEVE_EXECUTE_FLAG_SKIP_RESPONSES execute flag.

    This causes the reject and vacation response actions to be skipped without 
    error.

M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/sieve-types.h

2018-05-02 23:46:27 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8aee0f61)

    lib-sieve: Add support for compiling Sieve scripts from an input stream.


M	configure.ac
M	src/lib-sieve/Makefile.am
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-script.h
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/storage/Makefile.am
A	src/lib-sieve/storage/data/Makefile.am
A	src/lib-sieve/storage/data/sieve-data-script.c
A	src/lib-sieve/storage/data/sieve-data-storage.c
A	src/lib-sieve/storage/data/sieve-data-storage.h

2018-05-02 23:40:51 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (63248cc6)

    lib-sieve: Allow sieve_script_binary_save() error_r parameter to be NULL.


M	src/lib-sieve/sieve-script.c
M	src/lib-sieve/sieve-script.h

2018-04-17 20:48:56 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (b3d9515e)

    lib-sieve: Always check the result returned from
    smtp_address_init_from_msg().


M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c

2018-04-28 23:29:55 +0300 Phil Carmody <phil@dovecot.fi> (ddf3c788)

    global: expand default temporary pool sizes

    The tests blow through these limits all of the time, which makes the logs
    very noisy. These three cases are about 4/5ths of the test logs. Presumably
    they're the ones that are also most often needing expansion in real world
    use too.

    Signed-off-by: Phil Carmody <phil@dovecot.fi>

M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/storage/file/sieve-file-script.c
M	src/lib-sieve/storage/file/sieve-file-storage.c

2018-04-27 17:28:03 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (ec72f4dc)

    lib-sieve: util: test-edit-mail: Determine test directory at the beginning
    of all tests.

    It is the initial working directory and that may change during testing, so
    it is not a good idea to determine this per test.

M	src/lib-sieve/util/test-edit-mail.c

2018-04-25 21:23:49 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e3cc1b4e)

    lib-sieve: util: test-edit-mail: Fix unused variable warning reported by
    GCC.


M	src/lib-sieve/util/test-edit-mail.c

2018-04-18 10:16:29 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c851cce6)

    lib-sieve: util: edit-mail: Fix assert panic occurring when streaming large
    headers.

    The problem mainly arose because the stream buffer position was used to 
    determine how much was written, while the stream buffer position is
    potentially decreased by i_stream_try_alloc().

    Panic was:

    Panic: file istream.c: line 197 (i_stream_read): assertion failed:
    ((size_t)ret+old_size == _stream->pos - _stream->skip)

M	src/lib-sieve/util/edit-mail.c
M	src/lib-sieve/util/test-edit-mail.c

2018-04-13 02:50:46 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (75bb9eb1)

    tests: envelope extension: Adjust to changes in Dovecot SMTP address parser.


M	tests/extensions/envelope.svtest

2018-04-24 00:24:52 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (28717d8f)

    lib-sieve: Never return SIEVE_EXEC_FAILURE from
    sieve_multiscript_run_discard().

    Always return SIEVE_EXEC_KEEP_FAILED instead.

M	src/lib-sieve/sieve.c

2018-04-24 00:24:38 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (9c01becf)

    lib-sieve: Never return SIEVE_EXEC_FAILURE from keep action.

    Always return SIEVE_EXEC_KEEP_FAILED instead.

M	src/lib-sieve/sieve-result.c

2018-04-16 21:49:08 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d0856163)

    tests: vacation extension: Add tests for configuring the subject codepoint
    limit.


M	tests/extensions/vacation/message.svtest

2018-04-16 20:42:46 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (6bd77ad8)

    lib-sieve: vacation extension: Make codepoint limit for subject header
    configurable.


M	doc/extensions/vacation.txt
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h

2018-04-16 20:41:59 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (4bd0ce1d)

    tests: vacation extension: Add tests for the truncation of long subject
    lines.


M	tests/extensions/vacation/message.svtest

2018-04-16 19:49:15 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (919838f3)

    lib-sieve: vacation extension: Enforce subject header limit in Unicode
    codepoints rather than bytes.


M	src/lib-sieve/plugins/vacation/cmd-vacation.c

2018-03-06 23:17:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (ed1f232a)

    lib-sieve: Adjusted to changes in Dovecot message address to SMTP address
    conversion.

    This conversion now includes a check that may fail. Pigeonhole currently
    only uses this functionality to obtain an SMTP version of the postmaster
    address. This code is now consolidated in the sieve_get_postmaster_smtp()
    function, which provides postmaster address as an SMTP address.

M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve.c

2018-03-29 00:07:47 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (7671cbd6)

    lda-sieve plugin: Do not execute the sieve_discard script when an error
    occurs.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2018-03-29 00:13:34 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (7979e109)

    lib-sieve: Never return TRUE from sieve_multiscript_will_discard() when
    status is not successful.

    Errors will trigger an implicit keep, not discard.

M	src/lib-sieve/sieve.c

2018-02-15 09:06:26 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (61b47828)

    lib-sieve: variables extension: Fix duplicate const in definition of
    sieve_variables_modifier array.

    This is wrong and leads to Clang compiler warnings.

M	src/lib-sieve/plugins/variables/sieve-ext-variables.h

2018-03-15 21:29:40 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (2b080a21)

    Added v0.5.0 and v0.5.0.1 to NEWS.


M	NEWS

2018-03-06 23:52:40 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (36b06fe6)

    lib-sieve: Do not allow UTF-8 in localpart in addresses parsed from Sieve
    script.


M	src/lib-sieve/sieve-address.c
M	tests/compile/errors.svtest
M	tests/compile/errors/out-address.sieve

2018-03-07 21:52:46 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (9d5416bd)

    plugins: imapsieve: Don't log messages that disappear concurrently as an
    error.

    This is now logged as a debug message instead.

M	src/plugins/imapsieve/imap-sieve-storage.c

2017-12-16 02:04:09 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (066d9893)

    global: Change calls to array_idx_modifiable to array_idx_get_space.

    Only calls that require space allocation are to be changed.

M	src/lib-sieve/sieve-ast.c
M	src/lib-sieve/sieve-code-dumper.c
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-validator.c

2018-03-05 22:57:22 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (f5b989de)

    lib-sieve: util: edit-mail: Remove useless assignment.

    This is a remnant of an older implementation and now triggered a scan-build
    report.

M	src/lib-sieve/util/edit-mail.c

2018-03-03 10:12:28 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (e45df362)

    lib-sieve: Fix assert panic occurring when used command has external tag,
    but is not registered.

    This occurred for example when the "fileinto" command is used with only the
    "copy" extension in the require line.

    Panic message was:

    Panic: file hash.c: line 263 (hash_table_insert_node): assertion failed:
    (opcode == HASH_TABLE_OP_UPDATE)

M	src/lib-sieve/sieve-validator.c

2018-03-03 10:28:07 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (26afe30f)

    testsuite: Make SMTP actions also work inside executed sieve scripts.


M	src/testsuite/testsuite-script.c

2018-03-03 12:50:28 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (6438fe54)

    lib-sieve: util: Created basic test suite for edit-mail.

    Previously, this was only tested implicitly in the Sieve test suite. Now, it
    is tested explicitly, which allows for more flexibility in the testing
    scenario.

    It now extensively tests one scenario that used to fail.

M	src/lib-sieve/util/Makefile.am
A	src/lib-sieve/util/test-edit-mail.c

2018-03-03 17:50:59 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (9327b55a)

    lib-sieve: util: edit-mail: istream: Fix bug in calculation of stream
    position.

    This caused an assert panic when the application or child stream did not
    skip all buffered data immediately. This was reproducible only when the
    message input stream consisted of a concatenation of smaller streams, which
    is used in LMTP to prepend a few headers.

    The panic was:

    Panic: file istream.c: line 329 (i_stream_read_memarea): assertion failed:
    ((size_t)ret+old_size == _stream->pos - _stream->skip)

M	src/lib-sieve/util/edit-mail.c

2018-03-03 17:54:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (26828ca0)

    lib-sieve: util: edit-mail: istream: Remove useless check.

    This is tested already in the assertion that precedes it.

M	src/lib-sieve/util/edit-mail.c

2018-03-03 11:42:29 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (850ab173)

    lib-sieve: util: mail-raw: Implemented mail_raw_open_stream().

    This allows using a seekable stream as mail directly.

M	src/lib-sieve/util/mail-raw.c
M	src/lib-sieve/util/mail-raw.h

2018-03-03 10:59:23 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (b8cc237e)

    Move mail-raw from lib-sieve-tool to lib-sieve/util.

    Needed for use in test suite.

M	src/lib-sieve-tool/Makefile.am
M	src/lib-sieve/util/Makefile.am
R100	src/lib-sieve-tool/mail-raw.c	src/lib-sieve/util/mail-raw.c
R100	src/lib-sieve-tool/mail-raw.h	src/lib-sieve/util/mail-raw.h
M	src/testsuite/Makefile.am

2018-03-02 20:21:27 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (7a9f80a2)

    testsuite: Don't initialize mail storage with
    mail_full_filesystem_access=yes.

    Recent changes in Dovecot make slashes allowed in mailbox names when this
    flag is set. This flag is not useful for the test suite and it breaks one of
    the tests because slashes are no longer invalid when this flag is set.

M	src/testsuite/testsuite-mailstore.c

2018-03-02 00:14:55 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c5fc1b0a)

    lib-sieve: store action: Sanitize both specified and virtual mailbox names
    in log strings.

    Before, the virtual mailbox name was not sanitized, which caused control 
    characters to be displayed in log messages. Also, the mailbox name would be 
    mentioned twice in the log message, once santized and once unsanitized.

M	src/lib-sieve/sieve-actions.c

2018-03-02 01:25:43 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (2ca90d12)

    lib-sieve: variables extension: Move top comment in sieve-ext-variables.h.

    The header guard defines should be on top.

M	src/lib-sieve/plugins/variables/sieve-ext-variables.h

2018-03-02 01:22:31 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (0839c4aa)

    Changed .h ifdef/defines to use <NAME>_H format.


M	src/lib-managesieve/managesieve-arg.h
M	src/lib-managesieve/managesieve-parser.h
M	src/lib-managesieve/managesieve-quote.h
M	src/lib-sieve-tool/mail-raw.h
M	src/lib-sieve-tool/sieve-tool.h
M	src/lib-sieve/plugins/body/ext-body-common.h
M	src/lib-sieve/plugins/copy/sieve-ext-copy.h
M	src/lib-sieve/plugins/date/ext-date-common.h
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-limits.h
M	src/lib-sieve/plugins/enotify/ext-enotify-common.h
M	src/lib-sieve/plugins/enotify/ext-enotify-limits.h
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h
M	src/lib-sieve/plugins/enotify/sieve-ext-enotify.h
M	src/lib-sieve/plugins/environment/ext-environment-common.h
M	src/lib-sieve/plugins/environment/sieve-ext-environment.h
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.h
M	src/lib-sieve/plugins/ihave/ext-ihave-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h
M	src/lib-sieve/plugins/include/ext-include-binary.h
M	src/lib-sieve/plugins/include/ext-include-common.h
M	src/lib-sieve/plugins/include/ext-include-limits.h
M	src/lib-sieve/plugins/include/ext-include-variables.h
M	src/lib-sieve/plugins/index/ext-index-common.h
M	src/lib-sieve/plugins/mailbox/ext-mailbox-common.h
M	src/lib-sieve/plugins/mailbox/sieve-ext-mailbox.h
M	src/lib-sieve/plugins/metadata/ext-metadata-common.h
M	src/lib-sieve/plugins/mime/ext-mime-common.h
M	src/lib-sieve/plugins/notify/ext-notify-common.h
M	src/lib-sieve/plugins/notify/ext-notify-limits.h
M	src/lib-sieve/plugins/regex/ext-regex-common.h
M	src/lib-sieve/plugins/relational/ext-relational-common.h
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.h
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h
M	src/lib-sieve/plugins/variables/ext-variables-arguments.h
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/ext-variables-dump.h
M	src/lib-sieve/plugins/variables/ext-variables-limits.h
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.h
M	src/lib-sieve/plugins/variables/ext-variables-name.h
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.h
M	src/lib-sieve/plugins/variables/ext-variables-operands.h
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug-common.h
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-common.h
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.h
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-address-parts.h
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-address.h
M	src/lib-sieve/sieve-ast.h
M	src/lib-sieve/sieve-binary-dumper.h
M	src/lib-sieve/sieve-binary-private.h
M	src/lib-sieve/sieve-binary.h
M	src/lib-sieve/sieve-code-dumper.h
M	src/lib-sieve/sieve-code.h
M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-comparators.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-dump.h
M	src/lib-sieve/sieve-error-private.h
M	src/lib-sieve/sieve-error.h
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-generator.h
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-lexer.h
M	src/lib-sieve/sieve-limits.h
M	src/lib-sieve/sieve-match-types.h
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-message.h
M	src/lib-sieve/sieve-objects.h
M	src/lib-sieve/sieve-parser.h
M	src/lib-sieve/sieve-plugins.h
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve-runtime-trace.h
M	src/lib-sieve/sieve-runtime.h
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-script.h
M	src/lib-sieve/sieve-settings.h
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/sieve-storage.h
M	src/lib-sieve/sieve-stringlist.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.h
M	src/lib-sieve/sieve.h
M	src/lib-sieve/storage/dict/sieve-dict-storage.h
M	src/lib-sieve/storage/file/sieve-file-storage.h
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.h
M	src/lib-sieve/util/edit-mail.h
M	src/lib-sieve/util/rfc2822.h
M	src/managesieve-login/client-authenticate.h
M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-login-settings-plugin.h
M	src/managesieve-login/managesieve-login-settings.h
M	src/managesieve-login/managesieve-proxy.h
M	src/managesieve/managesieve-capabilities.h
M	src/managesieve/managesieve-client.h
M	src/managesieve/managesieve-commands.h
M	src/managesieve/managesieve-common.h
M	src/managesieve/managesieve-quota.h
M	src/managesieve/managesieve-settings.h
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.h
M	src/plugins/imapsieve/ext-imapsieve-common.h
M	src/plugins/imapsieve/imap-sieve-storage.h
M	src/plugins/imapsieve/imap-sieve.h
M	src/plugins/imapsieve/sieve-imapsieve-plugin.h
M	src/plugins/lda-sieve/lda-sieve-log.h
M	src/plugins/lda-sieve/lda-sieve-plugin.h
M	src/plugins/sieve-extprograms/sieve-extprograms-common.h
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.h
M	src/testsuite/testsuite-arguments.h
M	src/testsuite/testsuite-binary.h
M	src/testsuite/testsuite-common.h
M	src/testsuite/testsuite-log.h
M	src/testsuite/testsuite-mailstore.h
M	src/testsuite/testsuite-message.h
M	src/testsuite/testsuite-objects.h
M	src/testsuite/testsuite-result.h
M	src/testsuite/testsuite-script.h
M	src/testsuite/testsuite-settings.h
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite-substitutions.h
M	src/testsuite/testsuite-variables.h

2018-03-02 00:53:31 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (65d6736f)

    Remove copyright notices from header files.

    Dovecot core doesn't have copyright notices in header files.

M	src/lib-managesieve/managesieve-arg.h
M	src/lib-managesieve/managesieve-parser.h
M	src/lib-managesieve/managesieve-quote.h
M	src/lib-sieve-tool/mail-raw.h
M	src/lib-sieve-tool/sieve-tool.h
M	src/lib-sieve/plugins/body/ext-body-common.h
M	src/lib-sieve/plugins/copy/sieve-ext-copy.h
M	src/lib-sieve/plugins/date/ext-date-common.h
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-limits.h
M	src/lib-sieve/plugins/enotify/ext-enotify-common.h
M	src/lib-sieve/plugins/enotify/ext-enotify-limits.h
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h
M	src/lib-sieve/plugins/enotify/sieve-ext-enotify.h
M	src/lib-sieve/plugins/environment/ext-environment-common.h
M	src/lib-sieve/plugins/environment/sieve-ext-environment.h
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.h
M	src/lib-sieve/plugins/ihave/ext-ihave-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h
M	src/lib-sieve/plugins/include/ext-include-binary.h
M	src/lib-sieve/plugins/include/ext-include-common.h
M	src/lib-sieve/plugins/include/ext-include-limits.h
M	src/lib-sieve/plugins/include/ext-include-variables.h
M	src/lib-sieve/plugins/index/ext-index-common.h
M	src/lib-sieve/plugins/mailbox/ext-mailbox-common.h
M	src/lib-sieve/plugins/mailbox/sieve-ext-mailbox.h
M	src/lib-sieve/plugins/metadata/ext-metadata-common.h
M	src/lib-sieve/plugins/mime/ext-mime-common.h
M	src/lib-sieve/plugins/notify/ext-notify-common.h
M	src/lib-sieve/plugins/notify/ext-notify-limits.h
M	src/lib-sieve/plugins/regex/ext-regex-common.h
M	src/lib-sieve/plugins/relational/ext-relational-common.h
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.h
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h
M	src/lib-sieve/plugins/variables/ext-variables-arguments.h
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/ext-variables-dump.h
M	src/lib-sieve/plugins/variables/ext-variables-limits.h
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.h
M	src/lib-sieve/plugins/variables/ext-variables-name.h
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.h
M	src/lib-sieve/plugins/variables/ext-variables-operands.h
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug-common.h
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-common.h
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.h
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-address-parts.h
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-address.h
M	src/lib-sieve/sieve-ast.h
M	src/lib-sieve/sieve-binary-dumper.h
M	src/lib-sieve/sieve-binary-private.h
M	src/lib-sieve/sieve-binary.h
M	src/lib-sieve/sieve-code-dumper.h
M	src/lib-sieve/sieve-code.h
M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-comparators.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-dump.h
M	src/lib-sieve/sieve-error-private.h
M	src/lib-sieve/sieve-error.h
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-generator.h
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-lexer.h
M	src/lib-sieve/sieve-limits.h
M	src/lib-sieve/sieve-match-types.h
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-message.h
M	src/lib-sieve/sieve-objects.h
M	src/lib-sieve/sieve-parser.h
M	src/lib-sieve/sieve-plugins.h
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve-runtime-trace.h
M	src/lib-sieve/sieve-runtime.h
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-script.h
M	src/lib-sieve/sieve-settings.h
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/sieve-storage.h
M	src/lib-sieve/sieve-stringlist.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.h
M	src/lib-sieve/sieve.h
M	src/lib-sieve/storage/dict/sieve-dict-storage.h
M	src/lib-sieve/storage/file/sieve-file-storage.h
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.h
M	src/lib-sieve/util/edit-mail.h
M	src/lib-sieve/util/rfc2822.h
M	src/managesieve-login/client-authenticate.h
M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-login-settings-plugin.h
M	src/managesieve-login/managesieve-login-settings.h
M	src/managesieve-login/managesieve-proxy.h
M	src/managesieve/managesieve-capabilities.h
M	src/managesieve/managesieve-client.h
M	src/managesieve/managesieve-commands.h
M	src/managesieve/managesieve-common.h
M	src/managesieve/managesieve-quota.h
M	src/managesieve/managesieve-settings.h
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.h
M	src/plugins/imapsieve/ext-imapsieve-common.h
M	src/plugins/imapsieve/imap-sieve-plugin.h
M	src/plugins/imapsieve/imap-sieve-storage.h
M	src/plugins/imapsieve/imap-sieve.h
M	src/plugins/imapsieve/sieve-imapsieve-plugin.h
M	src/plugins/lda-sieve/lda-sieve-log.h
M	src/plugins/lda-sieve/lda-sieve-plugin.h
M	src/plugins/sieve-extprograms/sieve-extprograms-common.h
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.h
M	src/testsuite/testsuite-arguments.h
M	src/testsuite/testsuite-binary.h
M	src/testsuite/testsuite-common.h
M	src/testsuite/testsuite-log.h
M	src/testsuite/testsuite-mailstore.h
M	src/testsuite/testsuite-message.h
M	src/testsuite/testsuite-objects.h
M	src/testsuite/testsuite-result.h
M	src/testsuite/testsuite-script.h
M	src/testsuite/testsuite-settings.h
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite-substitutions.h
M	src/testsuite/testsuite-variables.h

2018-02-15 09:47:09 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (84b641a7)

    imapsieve: Check more imapsieve contexts

    Satisfies static analyzer, these were forgotten from 
    b2de2aee75963a1ac5b229a3578f08bca0d23a0e

M	src/plugins/imapsieve/imap-sieve-storage.c

2018-02-08 12:19:52 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (7cc17e70)

    imapsieve: Check imapsieve contexts

    Satisfies static analyzer

M	src/plugins/imapsieve/imap-sieve-storage.c

2018-02-08 12:12:31 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (973397e9)

    doveadm-sieve-sync: Require sieve context


M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2018-02-13 09:51:48 +0200 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (f6141cf1)

    managesieve: Drop MAIL_STORAGE_SERVICE_FLAG_DISALLOW_ROOT flag

    The flag has been removed, and the setting is now the default.

M	src/managesieve/main.c

2018-02-01 21:24:05 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (a216a297)

    plugins: imapsieve: Deal with messages being expunged concurrently by the
    time Sieve filter is to be applied.

    Before, this was an assertion that got triggered transiently during
    imaptest.

M	src/plugins/imapsieve/imap-sieve-storage.c

2018-01-05 21:40:33 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (d5f710e0)

    tests: extprograms plugin: execute extension: Add test for large output from
    program.


A	tests/plugins/extprograms/bin/big
M	tests/plugins/extprograms/execute/execute.svtest

2018-01-05 21:44:29 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (d45aa674)

    sieve-extprograms plugin: execute extension: Fix handling big output from
    external program.

    The output buffer was on the data stack, which leads to big trouble when the 
    buffer needs to grow in a deeper stack level.

M	src/plugins/sieve-extprograms/cmd-execute.c

2018-01-04 00:52:31 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (7e44fdd1)

    tests: imap4flags extension: Added more tests involving variables.


M	tests/extensions/imap4flags/basic.svtest

2018-01-04 00:39:38 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (807394b4)

    lib-sieve: imap4flags extension: Fix binary corruption occurring when
    setflag/addflag/removeflag flag-list is a variable.

    The original implementation checked the first operand for being a variable. 
    Obviously, when the assigned flag string is just a variable, this doesn't
    work. This causes the flag list to be recognized erroneously as a variable
    flags string. Fixed the problem by explicitly emitting an omitted operand
    when there is no second argument for a setflag/addflag/removeflag.

    Because the new byte code format is incompatible, the extension version is 
    bumped to 1.

M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags.c

2018-01-01 20:58:51 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c9f2afe0)

    Updated copyright notices to include the year 2018.


M	doc/man/doveadm-sieve.1.in
M	doc/man/pigeonhole.7.in
M	doc/man/sieve-dump.1.in
M	doc/man/sieve-filter.1.in
M	doc/man/sieve-test.1.in
M	doc/man/sievec.1.in
M	src/lib-managesieve/managesieve-arg.c
M	src/lib-managesieve/managesieve-arg.h
M	src/lib-managesieve/managesieve-parser.c
M	src/lib-managesieve/managesieve-parser.h
M	src/lib-managesieve/managesieve-quote.c
M	src/lib-managesieve/managesieve-quote.h
M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve-tool/mail-raw.h
M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve-tool/sieve-tool.h
M	src/lib-sieve/cmd-discard.c
M	src/lib-sieve/cmd-if.c
M	src/lib-sieve/cmd-keep.c
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/cmd-require.c
M	src/lib-sieve/cmd-stop.c
M	src/lib-sieve/cmp-i-ascii-casemap.c
M	src/lib-sieve/cmp-i-octet.c
M	src/lib-sieve/ext-encoded-character.c
M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-fileinto.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/mcht-contains.c
M	src/lib-sieve/mcht-is.c
M	src/lib-sieve/mcht-matches.c
M	src/lib-sieve/plugins/body/ext-body-common.c
M	src/lib-sieve/plugins/body/ext-body-common.h
M	src/lib-sieve/plugins/body/ext-body.c
M	src/lib-sieve/plugins/body/tst-body.c
M	src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c
M	src/lib-sieve/plugins/copy/ext-copy.c
M	src/lib-sieve/plugins/copy/sieve-ext-copy.h
M	src/lib-sieve/plugins/date/ext-date-common.c
M	src/lib-sieve/plugins/date/ext-date-common.h
M	src/lib-sieve/plugins/date/ext-date.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.h
M	src/lib-sieve/plugins/duplicate/ext-duplicate.c
M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-addheader.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-limits.h
M	src/lib-sieve/plugins/editheader/ext-editheader.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.h
M	src/lib-sieve/plugins/enotify/ext-enotify-limits.h
M	src/lib-sieve/plugins/enotify/ext-enotify.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h
M	src/lib-sieve/plugins/enotify/sieve-ext-enotify.h
M	src/lib-sieve/plugins/enotify/tst-notify-method-capability.c
M	src/lib-sieve/plugins/enotify/tst-valid-notify-method.c
M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c
M	src/lib-sieve/plugins/environment/ext-environment-common.c
M	src/lib-sieve/plugins/environment/ext-environment-common.h
M	src/lib-sieve/plugins/environment/ext-environment.c
M	src/lib-sieve/plugins/environment/sieve-ext-environment.h
M	src/lib-sieve/plugins/environment/tst-environment.c
M	src/lib-sieve/plugins/ihave/cmd-error.c
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.c
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.h
M	src/lib-sieve/plugins/ihave/ext-ihave-common.c
M	src/lib-sieve/plugins/ihave/ext-ihave-common.h
M	src/lib-sieve/plugins/ihave/ext-ihave.c
M	src/lib-sieve/plugins/ihave/tst-ihave.c
M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h
M	src/lib-sieve/plugins/imap4flags/tag-flags.c
M	src/lib-sieve/plugins/imap4flags/tst-hasflag.c
M	src/lib-sieve/plugins/include/cmd-global.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/cmd-return.c
M	src/lib-sieve/plugins/include/ext-include-binary.c
M	src/lib-sieve/plugins/include/ext-include-binary.h
M	src/lib-sieve/plugins/include/ext-include-common.c
M	src/lib-sieve/plugins/include/ext-include-common.h
M	src/lib-sieve/plugins/include/ext-include-limits.h
M	src/lib-sieve/plugins/include/ext-include-variables.c
M	src/lib-sieve/plugins/include/ext-include-variables.h
M	src/lib-sieve/plugins/include/ext-include.c
M	src/lib-sieve/plugins/index/ext-index-common.c
M	src/lib-sieve/plugins/index/ext-index-common.h
M	src/lib-sieve/plugins/index/ext-index.c
M	src/lib-sieve/plugins/index/tag-index.c
M	src/lib-sieve/plugins/mailbox/ext-mailbox-common.h
M	src/lib-sieve/plugins/mailbox/ext-mailbox.c
M	src/lib-sieve/plugins/mailbox/sieve-ext-mailbox.h
M	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c
M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c
M	src/lib-sieve/plugins/metadata/ext-metadata-common.h
M	src/lib-sieve/plugins/metadata/ext-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadataexists.c
M	src/lib-sieve/plugins/mime/cmd-break.c
M	src/lib-sieve/plugins/mime/cmd-extracttext.c
M	src/lib-sieve/plugins/mime/cmd-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-extracttext.c
M	src/lib-sieve/plugins/mime/ext-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-mime-common.c
M	src/lib-sieve/plugins/mime/ext-mime-common.h
M	src/lib-sieve/plugins/mime/ext-mime.c
M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/notify/ext-notify-common.h
M	src/lib-sieve/plugins/notify/ext-notify-limits.h
M	src/lib-sieve/plugins/notify/ext-notify.c
M	src/lib-sieve/plugins/regex/ext-regex-common.c
M	src/lib-sieve/plugins/regex/ext-regex-common.h
M	src/lib-sieve/plugins/regex/ext-regex.c
M	src/lib-sieve/plugins/regex/mcht-regex.c
M	src/lib-sieve/plugins/relational/ext-relational-common.c
M	src/lib-sieve/plugins/relational/ext-relational-common.h
M	src/lib-sieve/plugins/relational/ext-relational.c
M	src/lib-sieve/plugins/relational/mcht-count.c
M	src/lib-sieve/plugins/relational/mcht-value.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.h
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest.c
M	src/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c
M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h
M	src/lib-sieve/plugins/vacation/ext-vacation-seconds.c
M	src/lib-sieve/plugins/vacation/ext-vacation.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.h
M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/ext-variables-dump.c
M	src/lib-sieve/plugins/variables/ext-variables-dump.h
M	src/lib-sieve/plugins/variables/ext-variables-limits.h
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.h
M	src/lib-sieve/plugins/variables/ext-variables-name.c
M	src/lib-sieve/plugins/variables/ext-variables-name.h
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.c
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.h
M	src/lib-sieve/plugins/variables/ext-variables-operands.c
M	src/lib-sieve/plugins/variables/ext-variables-operands.h
M	src/lib-sieve/plugins/variables/ext-variables.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/lib-sieve/plugins/variables/tst-string.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug-common.h
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-common.h
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-items.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-variables.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.c
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-address-parts.h
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-address.h
M	src/lib-sieve/sieve-ast.c
M	src/lib-sieve/sieve-ast.h
M	src/lib-sieve/sieve-binary-code.c
M	src/lib-sieve/sieve-binary-debug.c
M	src/lib-sieve/sieve-binary-dumper.c
M	src/lib-sieve/sieve-binary-dumper.h
M	src/lib-sieve/sieve-binary-file.c
M	src/lib-sieve/sieve-binary-private.h
M	src/lib-sieve/sieve-binary.c
M	src/lib-sieve/sieve-binary.h
M	src/lib-sieve/sieve-code-dumper.c
M	src/lib-sieve/sieve-code-dumper.h
M	src/lib-sieve/sieve-code.c
M	src/lib-sieve/sieve-code.h
M	src/lib-sieve/sieve-commands.c
M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-comparators.c
M	src/lib-sieve/sieve-comparators.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-dump.h
M	src/lib-sieve/sieve-error-private.h
M	src/lib-sieve/sieve-error.c
M	src/lib-sieve/sieve-error.h
M	src/lib-sieve/sieve-extensions.c
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-generator.c
M	src/lib-sieve/sieve-generator.h
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-lexer.c
M	src/lib-sieve/sieve-lexer.h
M	src/lib-sieve/sieve-limits.h
M	src/lib-sieve/sieve-match-types.c
M	src/lib-sieve/sieve-match-types.h
M	src/lib-sieve/sieve-match.c
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-message.h
M	src/lib-sieve/sieve-objects.c
M	src/lib-sieve/sieve-objects.h
M	src/lib-sieve/sieve-parser.c
M	src/lib-sieve/sieve-parser.h
M	src/lib-sieve/sieve-plugins.c
M	src/lib-sieve/sieve-plugins.h
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve-runtime-trace.c
M	src/lib-sieve/sieve-runtime-trace.h
M	src/lib-sieve/sieve-runtime.h
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-script.c
M	src/lib-sieve/sieve-script.h
M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/sieve-settings.h
M	src/lib-sieve/sieve-smtp.c
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/sieve-storage-sync.c
M	src/lib-sieve/sieve-storage.c
M	src/lib-sieve/sieve-storage.h
M	src/lib-sieve/sieve-stringlist.c
M	src/lib-sieve/sieve-stringlist.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/sieve-validator.h
M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/lib-sieve/storage/dict/sieve-dict-script.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.h
M	src/lib-sieve/storage/file/sieve-file-script-sequence.c
M	src/lib-sieve/storage/file/sieve-file-script.c
M	src/lib-sieve/storage/file/sieve-file-storage-active.c
M	src/lib-sieve/storage/file/sieve-file-storage-list.c
M	src/lib-sieve/storage/file/sieve-file-storage-quota.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/storage/file/sieve-file-storage.c
M	src/lib-sieve/storage/file/sieve-file-storage.h
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/lib-sieve/storage/ldap/sieve-ldap-script.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage-settings.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.h
M	src/lib-sieve/tst-address.c
M	src/lib-sieve/tst-allof.c
M	src/lib-sieve/tst-anyof.c
M	src/lib-sieve/tst-exists.c
M	src/lib-sieve/tst-header.c
M	src/lib-sieve/tst-not.c
M	src/lib-sieve/tst-size.c
M	src/lib-sieve/tst-truefalse.c
M	src/lib-sieve/util/edit-mail.c
M	src/lib-sieve/util/edit-mail.h
M	src/lib-sieve/util/rfc2822.c
M	src/lib-sieve/util/rfc2822.h
M	src/managesieve-login/client-authenticate.c
M	src/managesieve-login/client-authenticate.h
M	src/managesieve-login/client.c
M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-login-settings-plugin.c
M	src/managesieve-login/managesieve-login-settings-plugin.h
M	src/managesieve-login/managesieve-login-settings.c
M	src/managesieve-login/managesieve-login-settings.h
M	src/managesieve-login/managesieve-proxy.c
M	src/managesieve-login/managesieve-proxy.h
M	src/managesieve/cmd-capability.c
M	src/managesieve/cmd-deletescript.c
M	src/managesieve/cmd-getscript.c
M	src/managesieve/cmd-havespace.c
M	src/managesieve/cmd-listscripts.c
M	src/managesieve/cmd-logout.c
M	src/managesieve/cmd-noop.c
M	src/managesieve/cmd-putscript.c
M	src/managesieve/cmd-renamescript.c
M	src/managesieve/cmd-setactive.c
M	src/managesieve/main.c
M	src/managesieve/managesieve-capabilities.c
M	src/managesieve/managesieve-capabilities.h
M	src/managesieve/managesieve-client.c
M	src/managesieve/managesieve-client.h
M	src/managesieve/managesieve-commands.c
M	src/managesieve/managesieve-commands.h
M	src/managesieve/managesieve-common.h
M	src/managesieve/managesieve-quota.c
M	src/managesieve/managesieve-quota.h
M	src/managesieve/managesieve-settings.c
M	src/managesieve/managesieve-settings.h
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-activate.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-get.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-list.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-put.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-rename.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.c
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.h
M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c
M	src/plugins/imapsieve/ext-imapsieve-common.h
M	src/plugins/imapsieve/ext-imapsieve-environment.c
M	src/plugins/imapsieve/ext-imapsieve.c
M	src/plugins/imapsieve/imap-sieve-plugin.c
M	src/plugins/imapsieve/imap-sieve-plugin.h
M	src/plugins/imapsieve/imap-sieve-storage.c
M	src/plugins/imapsieve/imap-sieve-storage.h
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/imapsieve/imap-sieve.h
M	src/plugins/imapsieve/sieve-imapsieve-plugin.c
M	src/plugins/imapsieve/sieve-imapsieve-plugin.h
M	src/plugins/lda-sieve/lda-sieve-log.c
M	src/plugins/lda-sieve/lda-sieve-log.h
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/plugins/lda-sieve/lda-sieve-plugin.h
M	src/plugins/settings/pigeonhole-settings.c
M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/plugins/sieve-extprograms/ext-execute.c
M	src/plugins/sieve-extprograms/ext-filter.c
M	src/plugins/sieve-extprograms/ext-pipe.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.h
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.c
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.h
M	src/sieve-tools/sieve-dump.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/sieve-tools/sievec.c
M	src/testsuite/cmd-test-binary.c
M	src/testsuite/cmd-test-config.c
M	src/testsuite/cmd-test-fail.c
M	src/testsuite/cmd-test-imap-metadata.c
M	src/testsuite/cmd-test-mailbox.c
M	src/testsuite/cmd-test-message.c
M	src/testsuite/cmd-test-result.c
M	src/testsuite/cmd-test-set.c
M	src/testsuite/cmd-test.c
M	src/testsuite/ext-testsuite.c
M	src/testsuite/testsuite-arguments.c
M	src/testsuite/testsuite-arguments.h
M	src/testsuite/testsuite-binary.c
M	src/testsuite/testsuite-binary.h
M	src/testsuite/testsuite-common.c
M	src/testsuite/testsuite-common.h
M	src/testsuite/testsuite-log.c
M	src/testsuite/testsuite-log.h
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite-mailstore.h
M	src/testsuite/testsuite-message.c
M	src/testsuite/testsuite-message.h
M	src/testsuite/testsuite-objects.c
M	src/testsuite/testsuite-objects.h
M	src/testsuite/testsuite-result.c
M	src/testsuite/testsuite-result.h
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite-script.h
M	src/testsuite/testsuite-settings.c
M	src/testsuite/testsuite-settings.h
M	src/testsuite/testsuite-smtp.c
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite-substitutions.c
M	src/testsuite/testsuite-substitutions.h
M	src/testsuite/testsuite-variables.c
M	src/testsuite/testsuite-variables.h
M	src/testsuite/testsuite.c
M	src/testsuite/tst-test-error.c
M	src/testsuite/tst-test-multiscript.c
M	src/testsuite/tst-test-result-action.c
M	src/testsuite/tst-test-result-execute.c
M	src/testsuite/tst-test-script-compile.c
M	src/testsuite/tst-test-script-run.c

2017-12-25 18:20:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (b5d79d24)

    plugins: sieve-extprograms: Fix segfault occurring when used in IMAPSieve
    context.

    This was caused by recent lib-smtp changes. There is no envelope in
    IMAPSieve context, so the rcpt parameters are NULL, causing the segfault.

M	src/plugins/sieve-extprograms/sieve-extprograms-common.c

2017-12-23 16:37:27 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (50efa5a2)

    plugins: lda-sieve: Remove session ID prefix from log messages.

    The session ID is now already added by Dovecot.

M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-12-18 21:34:27 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (d6f620fc)

    configure.ac: Updated package name to dovecot-2.3-pigeonhole.


M	configure.ac

2017-12-18 21:26:17 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (2532be75)

    doc: Updated Dovecot and Pigeonhole versions in man pages.


M	doc/man/doveadm-sieve.1.in
M	doc/man/pigeonhole.7.in
M	doc/man/sieve-dump.1.in
M	doc/man/sieve-filter.1.in
M	doc/man/sieve-test.1.in
M	doc/man/sievec.1.in

2017-12-18 21:25:44 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (beedae6d)

    README: Updated Dovecot version.


M	README

2017-12-18 21:11:31 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (0d0e634c)

    lib-sieve: vacation extension: Use the correct address for "From:" outgoing
    header when original envelope recipient is found.

    Caused by earlier adjustments for Dovecot lib-smtp. Copy-paste problem
    detected by Coverity.

M	src/lib-sieve/plugins/vacation/cmd-vacation.c

2017-12-18 20:08:51 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (bf274299)

    Added v0.4.21 to NEWS.


M	NEWS

2017-12-18 19:55:03 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (aaf8ca7c)

    test suite: enotify extension: Remove stray test_message_print call.

    It is a remnant from debugging.

M	tests/extensions/enotify/mailto.svtest

2017-12-16 01:33:31 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (f60f2785)

    configure: Fixed ABI version number for 0.5.

    It was still stuck at v0.4.

M	configure.ac

2017-12-03 13:17:24 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (1b2454cf)

    lib-sieve: Fixed writing address headers to outgoing messages.

    It erroneously applied another layer of MIME header encoding. The problem is
    that existing Sieve scripts may rely on this behaviour; i.e. scripts may
    contain addresesses with literal UTF8 in the phrase part. Therefore, this
    change allows both behaviors.

M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	tests/extensions/enotify/mailto.svtest
M	tests/extensions/vacation/utf-8.svtest

2017-12-03 12:52:03 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (811f84f8)

    lib-sieve: util: rfc2822: Added rfc2822_header_write_address() which allows
    adding a header with one or more addresses.

    It applies UTF8 encoding only when the address string somehow contains 8-bit
    characters. Sieve addresses are supposed to have any UTF8 characters in the
    phase MIME-encoded, not literal 8-bit characters. However, this has been
    allowed from the beginning, so disabling the old behavior may break existing
    installations. This function allows supporting both options.

M	src/lib-sieve/util/rfc2822.c
M	src/lib-sieve/util/rfc2822.h

2017-12-11 17:39:04 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (fe3b7c4b)

    managesieve: Include mail user variables in logout format

    Also dropped the single-letter identifier for most fields to prevent
    conflicts with mail user variables; these were undocumented anyway.

M	src/managesieve/managesieve-client.c

2017-12-11 17:35:07 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (95a0c04a)

    doc: example-config: Document remaining supported managesieve_logout_format
    substitution variables.

    A few were still omitted.

M	doc/example-config/conf.d/20-managesieve.conf

2017-12-11 17:14:27 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (dbc3f2f8)

    global: start relying on [io]_stream_unref(NULL) being a no-op

    Cleanup performed with the following semantic patch:

    	@@
    expression E;
    @@

    	- if (E != NULL) {
    - 	i_stream_unref(&E);
    - }
    + i_stream_unref(&E);

    	@@
    expression E;
    @@

    	- if (E != NULL) {
    - 	o_stream_unref(&E);
    - }
    + o_stream_unref(&E);

M	src/lib-managesieve/managesieve-parser.c
M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve/sieve-script.c
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/lib-sieve/util/edit-mail.c

2017-12-11 17:08:21 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (45cfd196)

    global: start relying on timeout_remove(NULL) being a no-op

    Cleanup performed with the following semantic patch:

    	@@
    expression E;
    @@

    	- if (E != NULL) {
    - 	timeout_remove(&E);
    - }
    + timeout_remove(&E);

M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/managesieve-login/client.c
M	src/managesieve/managesieve-client.c

2017-12-11 17:04:28 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (ca1773cd)

    global: start relying on io_remove{,_closed}(NULL) being a no-op

    Cleanup performed with the following semantic patch:

    	@@
    expression E;
    @@

    	- if (E != NULL) {
    - 	io_remove(&E);
    - }
    + io_remove(&E);

    	@@
    expression E;
    @@

    	- if (E != NULL) {
    - 	io_remove_closed(&E);
    - }
    + io_remove_closed(&E);

M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/managesieve/managesieve-client.c

2017-12-15 13:21:30 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (b5a9750a)

    lib-sieve: Adjusted to changes in handling of postmaster_address setting in
    Dovecot.

    Error handling is delayed, so that we need to explicitly handle the error in
    Sieve. This is now implemented by handling the error before executing the
    scritpt and placing the parsed address in struct sieve_script_env.

M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve.c

2017-12-15 12:46:54 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (15ddc4a0)

    lib-sieve: Added sieve_script_env_init() to initialize struct
    sieve_script_env from struct mail_user.


M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite.c

2017-12-15 12:31:34 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (68395161)

    plugins: lda-sieve: Restructured lda_sieve_execute() to reduce indent.

    Most code was put in an unnecessary else block.

M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-12-13 19:57:39 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (32bdac72)

    lib-sieve: file storage: When autodetecting storage path, use home even if
    it doesn't exist

    If a home directory is given, it's assumed that it will be autocreated even 
    if it doesn't initially exist. Earlier the autocreation may have been done 
    by lib-storage as it created the mail root directory, but this no longer 
    happens.

M	src/lib-sieve/storage/file/sieve-file-storage.c

2017-12-12 16:35:55 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (cedc5e4b)

    global: Adjust to mail_user_alloc() API change

    The parent event doesn't really matter here, so NULL is used.

M	src/lib-sieve-tool/sieve-tool.c
M	src/testsuite/testsuite-mailstore.c

2017-12-11 16:45:58 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (624e1769)

    managesieve: Adjusted to lib-storage changes in Dovecot.

    This follows the following commits in Dovecot: lib-storage: Moved connection
    information in struct mail_user into separate struct
    mail_user_connection_data. lib-storage: mail-user: Added more information
    about the client connection.

M	src/managesieve/main.c

2017-12-03 13:01:53 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (37853002)

    lib-sieve: vnd.dovecot.report extension: Fixed creation of
    "Original-Mail-From" and original "Original-Rcpt-To" headers.

    Recent changes relating to lib-smtp caused the paths to have duplicate '<'
    '>'.

M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c

2017-12-03 12:50:26 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (4a9bc3d2)

    lib-sieve: enotify extension: mailto method: Fixed parsing of mailto URI
    with only a header part.


M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c

2017-01-20 19:16:06 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (fbedb2db)

    Adjusted to the lib-smtp changes in Dovecot.

    Now using struct smtp_address rather than sieve_address. In some cases,
    struct message_address may prove to be more suitable, but this is the best
    fit for now. Adjusted to the renamed fields in struct mail_deliver_context.

M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve-tool/sieve-tool.h
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/notify/ext-notify-common.h
M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-address-parts.h
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-address.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-message.h
M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/sieve-smtp.c
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve.c
M	src/plugins/imapsieve/ext-imapsieve-environment.c
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/Makefile.am
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-message.c
M	src/testsuite/testsuite-message.h
M	src/testsuite/testsuite-smtp.c
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite.c
M	tests/execute/smtp.svtest
M	tests/extensions/envelope.svtest
M	tests/extensions/reject/smtp.svtest

2017-11-16 00:07:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (89f1d4ab)

    lib-sieve: enotify extension: uri-mailto: Removed unused field.

    It doesn't serve a purpose either, since parsing "from" address from URI is
    not allowed for notify mailto.

M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h

2017-11-25 11:51:02 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (81505779)

    lib-sieve: store action: Avoid NULL pointer dereference during rollback when
    transaction context is somehow unassigned.

    This change matches the other transaction stages. This will not currently
    happen though. Reported by Coverity.

M	src/lib-sieve/sieve-actions.c

2017-11-25 11:45:52 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (972bafc4)

    lib-managesieve: managesieve-parser: Return error status in quoted string
    stream immediately.

    Otherwise the error status is overwritten. Problem found by Coverity.

M	src/lib-managesieve/managesieve-parser.c

2017-11-25 11:28:57 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c9cf5650)

    lib-sieve: util: edit-mail: Fixed potential NULL dereference in
    edit_mail_istream_seek().

    Used the stream's cur_header field, rather than the local variable. Problem
    found by Coverity.

M	src/lib-sieve/util/edit-mail.c

2017-11-25 11:22:56 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (1e20fa6c)

    lib-sieve: util: edit-header: Fixed potential NULL dereference in
    edit_mail_istream_read().

    The merge_from_parent() function may not actually read anything, potentially
    leaving the stream buffer unassigned. Problem found by Coverity.

M	src/lib-sieve/util/edit-mail.c

2017-03-31 01:48:41 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (6f31aa72)

    lib-sieve: variables extension: Made the maximum scope and variable size
    configurable.


M	INSTALL
A	doc/extensions/variables.txt
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/include/ext-include-common.c
M	src/lib-sieve/plugins/include/ext-include-variables.c
M	src/lib-sieve/plugins/mime/cmd-extracttext.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/ext-variables-dump.c
M	src/lib-sieve/plugins/variables/ext-variables-limits.h
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-operands.c
M	src/lib-sieve/plugins/variables/ext-variables.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/plugins/sieve-extprograms/cmd-execute.c

2017-11-03 21:31:36 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (56b46cd0)

    lib-sieve: util: edit-mail: Changed buffer implementation to use normal
    stream buffer management.

    This makes the implementation easier to understand and amend once Dovecot
    APIs changes. This implicitly makes the implementation suitable for the new
    istream snapshot handling.

M	src/lib-sieve/util/edit-mail.c

2017-11-04 00:42:47 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c8a70d56)

    lib-sieve: util: edit-mail: Restructured merge_modified_headers() to remove
    useless indent.


M	src/lib-sieve/util/edit-mail.c

2017-11-03 21:26:52 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (ce92b90b)

    lib-sieve: util: edit-mail: Properly remember the detection of EOF in the
    edit mail stream.


M	src/lib-sieve/util/edit-mail.c

2017-11-02 11:43:08 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (87402574)

    lib-sieve: util: edit-mail: Fixed runtime integer arithmetic warnings
    (CLang).

    Added assertions on subtractions. Restructured the code for clarity. Added
    comments.

M	src/lib-sieve/util/edit-mail.c

2017-11-03 21:33:06 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (48a29a0b)

    testsuite: editheader extension: Added a few more tests.


M	tests/extensions/editheader/addheader.svtest

2017-11-01 22:55:34 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (daeff904)

    lib-managesieve: managesieve-parser: Adjusted quoted string stream to
    istream changes in Dovecot.

    Ported Dovecot's istream-jsonstr for ManageSieve syntax.

M	src/lib-managesieve/managesieve-parser.c

2017-11-01 22:54:05 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c582d151)

    managesieve: putscript command: Fixed parse error handling for save parser.


M	src/managesieve/cmd-putscript.c

2017-11-07 00:42:24 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (96fe42e7)

    managesieve-login: Removed ssl-proxy.h include forgotten in the previous
    commit.


M	src/managesieve-login/client.c

2017-11-02 15:28:32 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (001d9f1f)

    managesieve-login: Core API change - rename ssl_initialized to
    login_ssl_initialized


M	src/managesieve-login/client.c

2017-11-02 23:45:17 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (a5b04e7a)

    managesieve: Don't access login_set.*_socket_path after they're freed from
    data stack

    Call master_login_init() before master_service_init_finish(), which frees 
    all the data stack done in initialization.

    This didn't normally cause any visible problems, because data stack wasn't 
    currently being used in a way that the strings were invalidated. However, it
    was causing failures if --enable-devel-checks was used.

M	src/managesieve/main.c

2017-11-02 09:54:39 +0200 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (4fd3b53a)

    lib-managesieve,lib-sieve: Add istream_create_flag parameter to
    i_stream_create


M	src/lib-managesieve/managesieve-parser.c
M	src/lib-sieve/util/edit-mail.c

2017-11-01 11:57:58 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (6558a20e)

    lib-sieve: Fix undefined define


M	src/lib-sieve/storage/ldap/sieve-ldap-db.h

2017-10-30 16:14:26 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (f4659224)

    global: Rename i_stream_is_eof() to i_stream_read_eof()


M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2017-10-28 03:16:35 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (40c54675)

    global: Replace o_stream_nfinish() with o_stream_finish


M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/sieve.c
M	src/testsuite/testsuite-smtp.c

2017-10-29 21:27:05 +0200 Aki Tuomi <aki.tuomi@dovecot.fi> (0f46b1d8)

    configure: Support EXTRA_CFLAGS/LDFLAGS


M	configure.ac

2017-10-23 15:11:18 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (97a87ac7)

    lib-sieve: Use uni_is_valid_ucs4 to check ucs4 validity


M	src/lib-sieve/ext-encoded-character.c

2017-10-23 01:34:09 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (454bbd47)

    managesieve: Fixed spelling mistake in source code.

    Patch by Andreas Schulze.

M	src/managesieve/managesieve-common.h

2017-10-23 01:32:34 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d0dab022)

    lib-sieve: Fixed spelling mistakes in source code.

    Patch by Andreas Schulze.

M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-storage.c

2017-10-23 01:31:49 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (f85c4e8c)

    doc/man/sieve-test.1: Fixed spelling mistake.

    Patch by Andreas Schulze.

M	doc/man/sieve-test.1.in

2017-10-21 12:45:29 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (1210d338)

    lib-sieve: enotify plugin: mailto method: Make sure from header is set to a
    usable address and not (null).


M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c

2017-10-06 18:51:40 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8b5be61d)

    managesieve: Remove fd-set-nonblock.h includes.

    It's replaced with fd-util.h which is automatically included now.

M	src/managesieve-login/managesieve-login-settings-plugin.c
M	src/managesieve-login/managesieve-login-settings.c
M	src/managesieve/main.c

2017-10-06 13:57:31 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (620b7808)

    lib-sieve-tool: Remove fd-set-nonblock.h

    It's replaced with fd-util.h which is automatically included now

M	src/lib-sieve-tool/mail-raw.c

2017-10-05 23:29:25 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (37e8f71c)

    managesieve: Fix missing-command check

    Mirrors imap fix in Dovecot: 42149f48624b82fdf9631c256497580154c2e412

    It's impossible for the command's pointer to be NULL at this point. 
    Previously, the command_find() would have returned NULL, but this check 
    presumably short-circuits that search in the trivial case, so has some real
    use.

    Problem now found by GCC 7.

M	src/managesieve/managesieve-client.c

2017-10-05 23:19:13 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (15f9fd11)

    imapsieve: Fixed check for the presence of causes in a mailbox rule.

    Problem found by GCC 7.

M	src/plugins/imapsieve/imap-sieve-storage.c

2017-10-05 23:15:17 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (370b9739)

    lib-sieve: sieve-result: Added /* fall through */ comment to mark
    intentional switch case fall through.

    Addresses GCC 7 warning.

M	src/lib-sieve/sieve-result.c

2017-09-22 15:59:15 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (a0997e4f)

    Obtain postmaster_address and hostname from mail_storage_settings.


M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve.c
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite.c

2017-09-14 04:11:42 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (1b42755f)

    plugins: Migrated from lib-lda/smtp-client.h to using lib-smtp/smtp-submit.h
    for message submission.


M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-09-16 14:48:52 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8b7bf6b6)

    plugins/imapsieve: Initialize struct imap_sieve with full struct client,
    rather than individual fields.


M	src/plugins/imapsieve/imap-sieve-storage.c
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/imapsieve/imap-sieve.h

2017-10-04 23:32:23 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (4d0db1ce)

    Adjusted to changes in Dovecot mail_duplicate API.


M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-09-14 03:31:55 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (3ac2b15c)

    lib-sieve: Dropped lib-lda dependencies.


M	src/lib-sieve/Makefile.am
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-result.c

2017-09-30 21:19:11 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (418816cd)

    lib-sieve: redirect action: Always set X-Sieve-Redirected-From header to
    sieve_user_email if configured.

    Set it to the final recipient only when there is an envelope and
    sieve_user_email is unconfigured.

M	src/lib-sieve/cmd-redirect.c
M	tests/execute/smtp.svtest

2017-09-30 21:23:44 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (b38df93b)

    testsuite: Fixed redirect action tests to use the correct test message.


M	tests/execute/smtp.svtest

2017-09-22 16:30:26 +0300 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (c978393b)

    global: Add reasons to mailbox_transaction_begins


M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-storage-sync.c
M	src/lib-sieve/util/edit-mail.c
M	src/plugins/imapsieve/imap-sieve-storage.c
M	src/sieve-tools/sieve-filter.c
M	src/testsuite/testsuite-mailstore.c

2017-08-24 02:03:21 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (8643cbde)

    lib-sieve: vacation extension: Allow ignoring the envelope sender while
    composing the "To:" header for the reply.

    This adds a new setting "sieve_vacation_to_header_ignore_envelope". With
    this setting enabled, the "To:" header is always composed from the first
    "Sender", "Resent-From" or "From" header found in the message (in that
    order). Normally, the "To:" header is composed from the address found in the
    "Sender", "Resent-From" or "From" headers that is equal to the envelope
    sender. If none is then found, the bare envelope sender is used. The new
    setting allows ignoring the envelope, which is useful e.g. when SRS is used.

M	doc/extensions/vacation.txt
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h
M	tests/extensions/vacation/message.svtest

2017-09-05 21:29:06 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (2b3aca5a)

    LDA Sieve plugin: Fixed sequential exection of LDAP-based scripts.

    The sequence was broken when the LDAP script attribute does not exist; i.e.,
    when the script is not found. The NOT_FOUND error is returned at a later
    instance than normal fs-based scripts, explaining why this problem does not
    normally occur.

M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-09-05 20:26:21 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (15bd3533)

    LDA Sieve plugin: Restructured execution of scripts by putting execution of
    individual scripts in separate function.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-08-29 22:43:49 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e5ea21fb)

    lib-sieve: imap4flags extension: Added API for runtime initialization of
    derived extensions.

    This is needed to register the implicit side effect for the internal flag
    variable.

M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h

2017-08-30 21:27:42 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (736f94ea)

    imapsieve plugin: Fixed copyright messages.


M	src/plugins/imapsieve/imap-sieve-plugin.c
M	src/plugins/imapsieve/imap-sieve-storage.c

2017-08-28 13:04:40 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e37583a9)

    sieve-filter: Removed (now) duplicate utf8 to mutf7 mailbox name conversion.

    The Dovecot API was changed years ago, but apparently sieve-filter was never
    updated.

M	src/sieve-tools/sieve-filter.c

2017-08-22 13:15:34 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (dc20a45f)

    imapsieve plugin: Provide proper error details upon failure to access the
    mailbox/server script METADATA attribute.

    This addresses an old FIXME.

M	src/plugins/imapsieve/imap-sieve-storage.c

2017-08-18 16:20:22 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (e0e179b3)

    lib-sieve: vacation extension: Fixed invalid return value in function added
    by previous change.


M	src/lib-sieve/plugins/vacation/cmd-vacation.c

2017-08-17 18:59:33 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d55d8773)

    lib-sieve: vacation extension: Compose the "To:" header from full sender
    address found in the first "Sender:", "From:" or "Resent-From:" header.

    Before, it would create a "To:" header without a phrase part. The new
    behavior is nicer, since the reply will be addressed to the sender by name
    if possible. This addresses an old FIXME.

M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	tests/extensions/vacation/message.svtest

2017-08-17 00:17:13 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c7882e61)

    lib-sieve: vacation extension: Use mail_get_first_header*() rather than
    mail_get_headers(*).

    Only the first header is ever of interest.

M	src/lib-sieve/plugins/vacation/cmd-vacation.c

2017-08-17 00:15:27 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (3a1ce369)

    testsuite: vacation extension: Test creation of subject header better.


M	tests/extensions/vacation/message.svtest

2017-07-08 10:51:27 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d188419f)

    sieve-tools: sieve-filter: Forgot to clean up script binary at end of
    execution.

    Normally, this would merely be an inconsequential memory leak. However, when
    the script comes from an LDAP storage, the storage is not closed before
    master_service_deinit() -> io_loop_destroy(). The LDAP connection's stale io
    can cause problems while closing the main ioloop.

M	src/sieve-tools/sieve-filter.c

2017-07-08 10:27:52 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (7aabfac4)

    sieve-tools: Terminate with a fatal error when script cannot be
    compiled/opened.

    Rather than continuing with binary == NULL, causing a segfault.

M	src/lib-sieve-tool/sieve-tool.c

2017-07-06 12:34:08 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c80aa7c2)

    managesieve-login: managesieve_client_input_next_cmd(): Fix handling of
    command continuation.

    Commands that continued after waiting for more input always failed. This
    mainly applies to the AUTHENTICATE command, which mostly handles its own
    arguments. This caused problems when a string literal was used as the
    initial response for the AUTHENTICATE command.

    Caused by recent change:

    Author: Timo Sirainen <timo.sirainen@dovecot.fi> Date:   Wed Jun 14 12:39:02
    2017 +0300

    managesieve-login: managesieve_client_input_next_cmd() - minor code cleanup

M	src/managesieve-login/client.c

2017-07-06 12:28:44 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (f7b63d94)

    managesieve-login: authenticate command: Make sure
    client->auth_mech_name_parsed is reset properly upon command error.

    This could cause problems for any subsequent AUTHENTICATE commmend.

M	src/managesieve-login/client-authenticate.c

2017-06-28 18:41:33 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (dd34509a)

    LDA Sieve plugin: Fixed memory leak caused by not cleaning up the
    sieve_discard script.

    Moved script cleanup to separate function as well.

M	src/plugins/lda-sieve/lda-sieve-plugin.c

2017-06-22 21:12:21 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c024dc7c)

    lib-sieve: include extension: Fixed segfault that (sometimes) occurred when
    the global script location was left unconfigured.


M	src/lib-sieve/plugins/include/ext-include-binary.c
M	src/lib-sieve/plugins/include/ext-include-common.c

2017-06-20 23:36:10 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (f68f5637)

    sieve-tools: Make sure sieve command line tools properly show debug messages
    if requested.


M	src/lib-sieve-tool/sieve-tool.c
M	src/sieve-tools/sieve-filter.c

2017-06-13 19:36:57 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (de4248b9)

    lib-sieve: Made the retention period for redirect duplicate identifiers
    configurable.

    For accounts that perform many redirects, the lda-dupes database could grow
    to impractical sizes. Changed the default retention period from 24 to 12
    hours.

M	INSTALL
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-settings.c

2017-06-20 20:46:28 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (82563e97)

    lib-sieve: Clear extension context upon unload.


M	src/lib-sieve/sieve-extensions.c

2017-06-16 14:42:39 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (072b0b49)

    managesieve-login: Adjust to new client_vfuncs.free() API change


M	src/managesieve-login/client.c

2017-06-14 12:39:46 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (303e561c)

    managesieve-login: managesieve_client_input_next_cmd() - Add assert to help
    static analyzer


M	src/managesieve-login/client.c

2017-06-14 12:39:02 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (ea7e1789)

    managesieve-login: managesieve_client_input_next_cmd() - minor code cleanup


M	src/managesieve-login/client.c

2017-06-12 23:00:26 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (9d66c3e5)

    managesieve-login: Adjust to login-common API change


M	src/managesieve-login/client.c

2017-04-28 00:02:39 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (3e1a17a2)

    lib-sieve: Fixed bug in handling of deferred implicit keep with implicit
    side-effects.

    Upon continuing the deferred implicit keep, the implicit side-effects (such
    as imap flags) were not applied.

M	src/lib-sieve/sieve-result.c

2017-04-24 18:58:07 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (11d5f197)

    imapsieve: Use client_add_capability() for adding the dynamic capability


M	src/plugins/imapsieve/imap-sieve-plugin.c

2017-04-21 13:37:40 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (649c7785)

    managesieve-login: Fill the new client_vfuncs.send_raw_data


M	src/managesieve-login/client.c

2017-04-12 13:17:53 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (6891f70d)

    imapsieve: Fixed flag assignment for the source message.

    Implicit keep was deferred for the source message, which discards all flags.

M	src/plugins/imapsieve/imap-sieve.c

2017-04-05 16:02:51 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (b8af3b97)

    managesieve-login: Fill the new banner_sent field.


M	src/managesieve-login/client.c

2017-03-10 21:48:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (e69a6dec)

    imapsieve plugin: Implemented the copy_source_after rule action.

    When this is enabled for a mailbox rule, the specified Sieve script is
    executed for the message in the source mailbox during a "COPY" event. This
    happens only after the Sieve script that is executed for the corresponding
    message in the destination mailbox finishes running successfully.

M	doc/plugins/imapsieve.txt
M	src/plugins/imapsieve/imap-sieve-storage.c

2017-03-10 21:53:19 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (71e773ca)

    imapsieve plugin: Prevent recording events for the COPY/MOVE source mailbox
    transaction.

    This already has the imapsieve transaction context associated with it before
    the sieve scripts are executed. This currently cannot occur, but it will
    become relevant in subsequent commits.

M	src/plugins/imapsieve/imap-sieve-storage.c

2017-03-10 21:44:36 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (b7ade8c3)

    imapsieve plugin: Added non-standard Sieve environment items for source and
    destination mailbox.


M	doc/plugins/imapsieve.txt
M	src/plugins/imapsieve/ext-imapsieve-common.h
M	src/plugins/imapsieve/ext-imapsieve-environment.c
M	src/plugins/imapsieve/ext-imapsieve.c
M	src/plugins/imapsieve/imap-sieve-storage.c
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/imapsieve/imap-sieve.h
M	src/plugins/imapsieve/sieve-imapsieve-plugin.c

2017-03-10 21:36:13 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (1748e01b)

    imapsieve plugin: Don't open the user's personal script storage if no
    personal script is configured.


M	src/plugins/imapsieve/imap-sieve.c

2017-03-10 21:31:40 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (148ba040)

    imapsieve plugin: Forgot to cleanup imap_sieve_run object when
    mailbox_sync() fails.


M	src/plugins/imapsieve/imap-sieve-storage.c

2017-03-16 20:56:46 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (e0283189)

    lib-sieve: multiscript: The execution of the discard script had an implicit
    "keep", rather than an implicit "discard".


M	src/lib-sieve/sieve.c

2017-03-09 12:13:04 -0500 Timo Sirainen <timo.sirainen@dovecot.fi> (8053c068)

    managesieve-login: Log proxy state as human-readable string


M	src/managesieve-login/client.c
M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-proxy.c
M	src/managesieve-login/managesieve-proxy.h

2017-03-09 12:10:30 -0500 Timo Sirainen <timo.sirainen@dovecot.fi> (9f9bc901)

    managesieve-login: Use enum managesieve_proxy_state for proxy_state


M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-proxy.c

2017-02-26 19:23:34 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (bf2bd0ff)

    lib-sieve: store action: Made static analyzer happier about tr_context
    argument for sieve_act_store_add_flags().

    Added an assert ensuring it is not NULL.

M	src/lib-sieve/sieve-actions.c

2017-02-26 18:25:53 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (7d06cde9)

    managesieve: Fix creation of critical error message timestamp.

    This used strftime() directly and allocated memory from the heap before
    i_fatal(). It also used printf() to send the BYE message, which will only
    work right when the service is running stand-alone.

M	src/managesieve/managesieve-client.c

2017-02-22 13:36:26 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (92f3d323)

    global: Replace mail_storage_service_user_free() with _unref()


M	src/lib-sieve-tool/sieve-tool.c
M	src/managesieve/main.c
M	src/managesieve/managesieve-client.c

2017-02-16 17:00:53 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c4df3317)

    lib-sieve: Made public function for adding a redirect action to the result.


M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h

2017-02-07 18:10:48 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (25a5a493)

    lib-sieve: Implemented means to abort SMTP message submission after it is
    started.

    This adds a new callback to the Sieve script execution environment.

M	src/lib-sieve/sieve-smtp.c
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-types.h
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-smtp.c
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite.c

2017-02-19 00:55:12 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (051cf477)

    doveadm-sieve: Fix crash when setting Sieve script via attribute's string
    value.


M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2017-02-09 18:48:20 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (a1dbf7a9)

    lib-sieve: Remove unnecessary mailbox_save_set_dest_mail() call


M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h

2017-02-09 17:26:29 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (85c9de00)

    imapsieve: Remove unnecessary mail_save_context.dest_mail==NULL checks

    It can never be NULL after the "lib-storage: Always create 
    mail_save_context.dest_mail" core change.

M	src/plugins/imapsieve/imap-sieve-storage.c

2017-02-12 15:29:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (298b3410)

    lib-sieve: file storage: Amended the up-to-date timestamp comparison for
    on-disk binaries to include nanoseconds.

    This will fix problems occurring when both binary and script are saved
    within the same second. On older systems that have no support for
    nanoseconds in the stat() time stamps, this has no effect.

M	src/lib-sieve/storage/file/sieve-file-script.c

2017-02-12 15:28:44 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (602326ee)

    lib-sieve: binary: Added means to obtain stat() information from loaded
    binary.


M	src/lib-sieve/sieve-binary.c
M	src/lib-sieve/sieve-binary.h

2017-02-12 14:01:41 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (014df56e)

    imapsieve plugin: Make sure "INBOX" is upper case in static mailbox rules.

    Otherwise, the mailbox name would never match, since matching is performed
    case-sensitively and Dovecot only returns the upper-cased "INBOX". This
    change prevents confusing administrators that for some reason choose to use
    a different capitalization of that mailbox name.

M	src/plugins/imapsieve/imap-sieve-storage.c

2017-02-12 11:46:31 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (34d44f7a)

    lib-sieve: file storage: Improve save permission error.

    Use eacces_error_get(), rather than just printing "Permission denied".

M	src/lib-sieve/storage/file/sieve-file-storage-save.c

2017-02-08 02:08:17 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (51e4ff29)

    lib-sieve: file storage: Improve listing permission error.

    Use eacces_error_get(), rather than just printing "Permission denied".

M	src/lib-sieve/storage/file/sieve-file-storage-list.c

2016-11-28 18:55:10 +0200 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (03434fa4)

    global: Replace realpath with path-util from core.

    path-util is a merge of realpath from Pigeonhole and abspath from core.

M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve/storage/file/sieve-file-script.c
M	src/lib-sieve/storage/file/sieve-file-storage-active.c
M	src/lib-sieve/storage/file/sieve-file-storage.c
M	src/lib-sieve/util/Makefile.am
D	src/lib-sieve/util/realpath.c
D	src/lib-sieve/util/realpath.h
M	src/managesieve/main.c
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite.c

2017-01-14 02:52:42 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (462a5352)

    lib-sieve: Fixed transaction context passed to finish() method of action
    object in two cases.

    This is not currently used anywhere, so nothing actually broke. This bug was
    exposed by the previous commit, causing a compiler error/warning on some
    compilers.

M	src/lib-sieve/sieve-result.c

2017-01-13 23:24:10 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (77248553)

    lib-sieve: Fixed handling of an early explicit keep during multiscript
    execution.

    Applies to LDA/LMTP context in general, not only when
    sieve_before/sieve_after are used. Action side-effects and the message
    snapshot would be lost at the final stage where the implicit keep is
    evaluated. This happened because the keep action itself is not actually
    executed, but rather its presence is noted to determine whether more scripts
    need to be executed. So, when finally execution of the actual keep action is
    due, i.e. when there are no more scripts in the sequence, it overrides the
    explicit keep from the last script. This didn't take the side-effects and
    message snapshot into account.

M	src/lib-sieve/sieve-result.c

2017-01-11 21:01:45 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (2583936f)

    Updated dovecot.m4.


M	m4/dovecot.m4

2017-01-10 23:22:28 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (f9b37da1)

    lib-sieve: Fixed handling of mail_get_headers()/mail_get_headers_utf8()
    result.

    The situation where no headers are found was not always handled correctly.

M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/sieve-message.c

2017-01-11 01:13:45 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (22cbd7e7)

    lib-sieve: util: edit-mail: Fixed success return value for
    mail_get_headers() to be 1.


M	src/lib-sieve/util/edit-mail.c

2017-01-01 13:32:21 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (57c05f4d)

    Updated copyright notices to include the year 2017.


M	doc/man/doveadm-sieve.1.in
M	doc/man/pigeonhole.7.in
M	doc/man/sieve-dump.1.in
M	doc/man/sieve-filter.1.in
M	doc/man/sieve-test.1.in
M	doc/man/sievec.1.in
M	src/lib-managesieve/managesieve-arg.c
M	src/lib-managesieve/managesieve-arg.h
M	src/lib-managesieve/managesieve-parser.c
M	src/lib-managesieve/managesieve-parser.h
M	src/lib-managesieve/managesieve-quote.c
M	src/lib-managesieve/managesieve-quote.h
M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve-tool/mail-raw.h
M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve-tool/sieve-tool.h
M	src/lib-sieve/cmd-discard.c
M	src/lib-sieve/cmd-if.c
M	src/lib-sieve/cmd-keep.c
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/cmd-require.c
M	src/lib-sieve/cmd-stop.c
M	src/lib-sieve/cmp-i-ascii-casemap.c
M	src/lib-sieve/cmp-i-octet.c
M	src/lib-sieve/ext-encoded-character.c
M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-fileinto.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/mcht-contains.c
M	src/lib-sieve/mcht-is.c
M	src/lib-sieve/mcht-matches.c
M	src/lib-sieve/plugins/body/ext-body-common.c
M	src/lib-sieve/plugins/body/ext-body-common.h
M	src/lib-sieve/plugins/body/ext-body.c
M	src/lib-sieve/plugins/body/tst-body.c
M	src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c
M	src/lib-sieve/plugins/copy/ext-copy.c
M	src/lib-sieve/plugins/copy/sieve-ext-copy.h
M	src/lib-sieve/plugins/date/ext-date-common.c
M	src/lib-sieve/plugins/date/ext-date-common.h
M	src/lib-sieve/plugins/date/ext-date.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.h
M	src/lib-sieve/plugins/duplicate/ext-duplicate.c
M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-addheader.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-limits.h
M	src/lib-sieve/plugins/editheader/ext-editheader.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.h
M	src/lib-sieve/plugins/enotify/ext-enotify-limits.h
M	src/lib-sieve/plugins/enotify/ext-enotify.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h
M	src/lib-sieve/plugins/enotify/sieve-ext-enotify.h
M	src/lib-sieve/plugins/enotify/tst-notify-method-capability.c
M	src/lib-sieve/plugins/enotify/tst-valid-notify-method.c
M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c
M	src/lib-sieve/plugins/environment/ext-environment-common.c
M	src/lib-sieve/plugins/environment/ext-environment-common.h
M	src/lib-sieve/plugins/environment/ext-environment.c
M	src/lib-sieve/plugins/environment/sieve-ext-environment.h
M	src/lib-sieve/plugins/environment/tst-environment.c
M	src/lib-sieve/plugins/ihave/cmd-error.c
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.c
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.h
M	src/lib-sieve/plugins/ihave/ext-ihave-common.c
M	src/lib-sieve/plugins/ihave/ext-ihave-common.h
M	src/lib-sieve/plugins/ihave/ext-ihave.c
M	src/lib-sieve/plugins/ihave/tst-ihave.c
M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h
M	src/lib-sieve/plugins/imap4flags/tag-flags.c
M	src/lib-sieve/plugins/imap4flags/tst-hasflag.c
M	src/lib-sieve/plugins/include/cmd-global.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/cmd-return.c
M	src/lib-sieve/plugins/include/ext-include-binary.c
M	src/lib-sieve/plugins/include/ext-include-binary.h
M	src/lib-sieve/plugins/include/ext-include-common.c
M	src/lib-sieve/plugins/include/ext-include-common.h
M	src/lib-sieve/plugins/include/ext-include-limits.h
M	src/lib-sieve/plugins/include/ext-include-variables.c
M	src/lib-sieve/plugins/include/ext-include-variables.h
M	src/lib-sieve/plugins/include/ext-include.c
M	src/lib-sieve/plugins/index/ext-index-common.c
M	src/lib-sieve/plugins/index/ext-index-common.h
M	src/lib-sieve/plugins/index/ext-index.c
M	src/lib-sieve/plugins/index/tag-index.c
M	src/lib-sieve/plugins/mailbox/ext-mailbox-common.h
M	src/lib-sieve/plugins/mailbox/ext-mailbox.c
M	src/lib-sieve/plugins/mailbox/sieve-ext-mailbox.h
M	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c
M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c
M	src/lib-sieve/plugins/metadata/ext-metadata-common.h
M	src/lib-sieve/plugins/metadata/ext-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadataexists.c
M	src/lib-sieve/plugins/mime/cmd-break.c
M	src/lib-sieve/plugins/mime/cmd-extracttext.c
M	src/lib-sieve/plugins/mime/cmd-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-extracttext.c
M	src/lib-sieve/plugins/mime/ext-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-mime-common.c
M	src/lib-sieve/plugins/mime/ext-mime-common.h
M	src/lib-sieve/plugins/mime/ext-mime.c
M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/notify/ext-notify-common.h
M	src/lib-sieve/plugins/notify/ext-notify-limits.h
M	src/lib-sieve/plugins/notify/ext-notify.c
M	src/lib-sieve/plugins/regex/ext-regex-common.c
M	src/lib-sieve/plugins/regex/ext-regex-common.h
M	src/lib-sieve/plugins/regex/ext-regex.c
M	src/lib-sieve/plugins/regex/mcht-regex.c
M	src/lib-sieve/plugins/relational/ext-relational-common.c
M	src/lib-sieve/plugins/relational/ext-relational-common.h
M	src/lib-sieve/plugins/relational/ext-relational.c
M	src/lib-sieve/plugins/relational/mcht-count.c
M	src/lib-sieve/plugins/relational/mcht-value.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.h
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest.c
M	src/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c
M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h
M	src/lib-sieve/plugins/vacation/ext-vacation-seconds.c
M	src/lib-sieve/plugins/vacation/ext-vacation.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.h
M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/ext-variables-dump.c
M	src/lib-sieve/plugins/variables/ext-variables-dump.h
M	src/lib-sieve/plugins/variables/ext-variables-limits.h
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.h
M	src/lib-sieve/plugins/variables/ext-variables-name.c
M	src/lib-sieve/plugins/variables/ext-variables-name.h
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.c
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.h
M	src/lib-sieve/plugins/variables/ext-variables-operands.c
M	src/lib-sieve/plugins/variables/ext-variables-operands.h
M	src/lib-sieve/plugins/variables/ext-variables.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/lib-sieve/plugins/variables/tst-string.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug-common.h
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-common.h
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-items.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-variables.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.c
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-address-parts.h
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-address.h
M	src/lib-sieve/sieve-ast.c
M	src/lib-sieve/sieve-ast.h
M	src/lib-sieve/sieve-binary-code.c
M	src/lib-sieve/sieve-binary-debug.c
M	src/lib-sieve/sieve-binary-dumper.c
M	src/lib-sieve/sieve-binary-dumper.h
M	src/lib-sieve/sieve-binary-file.c
M	src/lib-sieve/sieve-binary-private.h
M	src/lib-sieve/sieve-binary.c
M	src/lib-sieve/sieve-binary.h
M	src/lib-sieve/sieve-code-dumper.c
M	src/lib-sieve/sieve-code-dumper.h
M	src/lib-sieve/sieve-code.c
M	src/lib-sieve/sieve-code.h
M	src/lib-sieve/sieve-commands.c
M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-comparators.c
M	src/lib-sieve/sieve-comparators.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-dump.h
M	src/lib-sieve/sieve-error-private.h
M	src/lib-sieve/sieve-error.c
M	src/lib-sieve/sieve-error.h
M	src/lib-sieve/sieve-extensions.c
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-generator.c
M	src/lib-sieve/sieve-generator.h
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-lexer.c
M	src/lib-sieve/sieve-lexer.h
M	src/lib-sieve/sieve-limits.h
M	src/lib-sieve/sieve-match-types.c
M	src/lib-sieve/sieve-match-types.h
M	src/lib-sieve/sieve-match.c
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-message.h
M	src/lib-sieve/sieve-objects.c
M	src/lib-sieve/sieve-objects.h
M	src/lib-sieve/sieve-parser.c
M	src/lib-sieve/sieve-parser.h
M	src/lib-sieve/sieve-plugins.c
M	src/lib-sieve/sieve-plugins.h
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve-runtime-trace.c
M	src/lib-sieve/sieve-runtime-trace.h
M	src/lib-sieve/sieve-runtime.h
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-script.c
M	src/lib-sieve/sieve-script.h
M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/sieve-settings.h
M	src/lib-sieve/sieve-smtp.c
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/sieve-storage-sync.c
M	src/lib-sieve/sieve-storage.c
M	src/lib-sieve/sieve-storage.h
M	src/lib-sieve/sieve-stringlist.c
M	src/lib-sieve/sieve-stringlist.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/sieve-validator.h
M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/lib-sieve/storage/dict/sieve-dict-script.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.h
M	src/lib-sieve/storage/file/sieve-file-script-sequence.c
M	src/lib-sieve/storage/file/sieve-file-script.c
M	src/lib-sieve/storage/file/sieve-file-storage-active.c
M	src/lib-sieve/storage/file/sieve-file-storage-list.c
M	src/lib-sieve/storage/file/sieve-file-storage-quota.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/storage/file/sieve-file-storage.c
M	src/lib-sieve/storage/file/sieve-file-storage.h
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/lib-sieve/storage/ldap/sieve-ldap-script.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage-settings.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.h
M	src/lib-sieve/tst-address.c
M	src/lib-sieve/tst-allof.c
M	src/lib-sieve/tst-anyof.c
M	src/lib-sieve/tst-exists.c
M	src/lib-sieve/tst-header.c
M	src/lib-sieve/tst-not.c
M	src/lib-sieve/tst-size.c
M	src/lib-sieve/tst-truefalse.c
M	src/lib-sieve/util/edit-mail.c
M	src/lib-sieve/util/edit-mail.h
M	src/lib-sieve/util/rfc2822.c
M	src/lib-sieve/util/rfc2822.h
M	src/managesieve-login/client-authenticate.c
M	src/managesieve-login/client-authenticate.h
M	src/managesieve-login/client.c
M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-login-settings-plugin.c
M	src/managesieve-login/managesieve-login-settings-plugin.h
M	src/managesieve-login/managesieve-login-settings.c
M	src/managesieve-login/managesieve-login-settings.h
M	src/managesieve-login/managesieve-proxy.c
M	src/managesieve-login/managesieve-proxy.h
M	src/managesieve/cmd-capability.c
M	src/managesieve/cmd-deletescript.c
M	src/managesieve/cmd-getscript.c
M	src/managesieve/cmd-havespace.c
M	src/managesieve/cmd-listscripts.c
M	src/managesieve/cmd-logout.c
M	src/managesieve/cmd-noop.c
M	src/managesieve/cmd-putscript.c
M	src/managesieve/cmd-renamescript.c
M	src/managesieve/cmd-setactive.c
M	src/managesieve/main.c
M	src/managesieve/managesieve-capabilities.c
M	src/managesieve/managesieve-capabilities.h
M	src/managesieve/managesieve-client.c
M	src/managesieve/managesieve-client.h
M	src/managesieve/managesieve-commands.c
M	src/managesieve/managesieve-commands.h
M	src/managesieve/managesieve-common.h
M	src/managesieve/managesieve-quota.c
M	src/managesieve/managesieve-quota.h
M	src/managesieve/managesieve-settings.c
M	src/managesieve/managesieve-settings.h
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-activate.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-get.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-list.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-put.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-rename.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.c
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.h
M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c
M	src/plugins/imapsieve/ext-imapsieve-common.h
M	src/plugins/imapsieve/ext-imapsieve-environment.c
M	src/plugins/imapsieve/ext-imapsieve.c
M	src/plugins/imapsieve/imap-sieve-plugin.h
M	src/plugins/imapsieve/imap-sieve-storage.h
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/imapsieve/imap-sieve.h
M	src/plugins/imapsieve/sieve-imapsieve-plugin.c
M	src/plugins/imapsieve/sieve-imapsieve-plugin.h
M	src/plugins/lda-sieve/lda-sieve-log.c
M	src/plugins/lda-sieve/lda-sieve-log.h
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/plugins/lda-sieve/lda-sieve-plugin.h
M	src/plugins/settings/pigeonhole-settings.c
M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/plugins/sieve-extprograms/ext-execute.c
M	src/plugins/sieve-extprograms/ext-filter.c
M	src/plugins/sieve-extprograms/ext-pipe.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.h
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.c
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.h
M	src/sieve-tools/sieve-dump.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/sieve-tools/sievec.c
M	src/testsuite/cmd-test-binary.c
M	src/testsuite/cmd-test-config.c
M	src/testsuite/cmd-test-fail.c
M	src/testsuite/cmd-test-imap-metadata.c
M	src/testsuite/cmd-test-mailbox.c
M	src/testsuite/cmd-test-message.c
M	src/testsuite/cmd-test-result.c
M	src/testsuite/cmd-test-set.c
M	src/testsuite/cmd-test.c
M	src/testsuite/ext-testsuite.c
M	src/testsuite/testsuite-arguments.c
M	src/testsuite/testsuite-arguments.h
M	src/testsuite/testsuite-binary.c
M	src/testsuite/testsuite-binary.h
M	src/testsuite/testsuite-common.c
M	src/testsuite/testsuite-common.h
M	src/testsuite/testsuite-log.c
M	src/testsuite/testsuite-log.h
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite-mailstore.h
M	src/testsuite/testsuite-message.c
M	src/testsuite/testsuite-message.h
M	src/testsuite/testsuite-objects.c
M	src/testsuite/testsuite-objects.h
M	src/testsuite/testsuite-result.c
M	src/testsuite/testsuite-result.h
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite-script.h
M	src/testsuite/testsuite-settings.c
M	src/testsuite/testsuite-settings.h
M	src/testsuite/testsuite-smtp.c
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite-substitutions.c
M	src/testsuite/testsuite-substitutions.h
M	src/testsuite/testsuite-variables.c
M	src/testsuite/testsuite-variables.h
M	src/testsuite/testsuite.c
M	src/testsuite/tst-test-error.c
M	src/testsuite/tst-test-multiscript.c
M	src/testsuite/tst-test-result-action.c
M	src/testsuite/tst-test-result-execute.c
M	src/testsuite/tst-test-script-compile.c
M	src/testsuite/tst-test-script-run.c

2016-12-24 02:56:01 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (131ea974)

    global: Replaced all instances of memset(p, 0, sizeof(*p)) with the new
    i_zero() macro.

    Used the following script:

    C_FILES=`git ls-files *.c` H_FILES=`git ls-files *.h` for F in "$C_FILES
    $H_FILES"; do
           echo "$F"
     perl -p -i -e
    's/safe_memset\(&\(?([^,]*)\)?,\s*0,\s*sizeof\(\g1\)\)/i_zero_safe(&$1)/g'
    $F
     perl -p -i -e
    's/safe_memset\(([^,]*),\s*0,\s*sizeof\(\*\g1\)\)/i_zero_safe($1)/g' $F
     perl -p -i -e
    's/memset\(&\(?([^,]*)\)?,\s*0,\s*sizeof\(\g1\)\)/i_zero(&$1)/g' $F
     perl -p -i -e 's/memset\(([^,]*),\s*0,\s*sizeof\(\*\g1\)\)/i_zero($1)/g' $F 
    done

M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c
M	src/lib-sieve/plugins/metadata/tst-metadataexists.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-plugins.c
M	src/lib-sieve/sieve.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.c
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/lib-sieve/tst-address.c
M	src/lib-sieve/tst-exists.c
M	src/lib-sieve/tst-header.c
M	src/managesieve-login/managesieve-proxy.c
M	src/managesieve/main.c
M	src/managesieve/managesieve-client.c
M	src/managesieve/managesieve-commands.c
M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c
M	src/plugins/imapsieve/imap-sieve-storage.c
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite-message.c
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite.c

2016-11-19 01:14:18 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (13fbc935)

    lib-sieve: sieve-message: Fixed trimming of empty header.


M	src/lib-sieve/sieve-message.c

2016-11-19 00:27:59 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (6709993b)

    lib-sieve: matches match type: Improved string pointer manipulation.


M	src/lib-sieve/mcht-matches.c

2016-12-26 19:56:47 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (5fe323d1)

    managesieve-login: proxy: Adjusted to changes in Dovecot lib-sasl API.


M	src/managesieve-login/managesieve-proxy.c

2016-11-13 15:13:48 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c90b7fdc)

    managesieve: Fixed indent in client_output().

    Apparently, this causes GCC warnings.

M	src/managesieve/managesieve-client.c

2016-11-13 15:11:59 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (d5afd719)

    lib-sieve: file storage: Fixed indent in
    sieve_storage_get_relative_link_path().

    Apparently, this causes GCC warnings.

M	src/lib-sieve/storage/file/sieve-file-storage.c

2016-11-08 01:45:16 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (c8b91de8)

    imapsieve plugin: Removed spurious debug message.


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-11-08 01:03:00 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (00651e60)

    imapsieve plugin: Fixed assert failure occurring when used with virtual
    mailboxes.

    In that case a transaction (delayed sync) is perfromed outside of the
    context of an IMAP command.

M	src/plugins/imapsieve/imap-sieve-storage.c

2016-11-07 09:55:28 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (be11698e)

    doc: Forgot to add several files to the distribution.


M	doc/example-config/Makefile.am
M	doc/extensions/Makefile.am
M	doc/plugins/Makefile.am
M	doc/rfc/Makefile.am

2016-11-03 20:52:07 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (3deda06e)

    managesieve: Try to initialize var_expand_tab[] directly.

    This avoids accidents with the array numbering being wrong.

M	src/managesieve/managesieve-client.c

2016-11-03 20:26:49 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (849790c5)

    lib-sieve: ldap storage: Adjust to var_expand*() API changes.


M	src/lib-sieve/storage/ldap/sieve-ldap-db.c

2016-11-01 01:09:42 +0200 Timo Sirainen <timo.sirainen@dovecot.fi> (1e5d2c6a)

    Adjust to var_expand*() API changes.


M	src/lib-sieve/sieve-error.c
M	src/managesieve/main.c
M	src/managesieve/managesieve-client.c
M	src/plugins/lda-sieve/lda-sieve-log.c

2016-10-29 14:28:07 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (10e70749)

    lib-sieve: edit-mail: Adjusted to changes in Dovecot lib-storage/index.


M	src/lib-sieve/util/edit-mail.c

2016-10-21 18:02:57 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c5ed66bc)

    testsuite: Cleanup spurious test output.


M	src/testsuite/Makefile.am

2016-10-21 15:35:51 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (74ab3713)

    managesieve: Added rawlog_dir setting to store ManageSieve traffic logs.

    This at least partially replaces the "rawlog" post-login binary. For now the
    "rawlog" binary supports some parameters, which aren't configurable for
    rawlog_dir.

M	src/managesieve/managesieve-client.c
M	src/managesieve/managesieve-settings.c
M	src/managesieve/managesieve-settings.h

2016-10-21 17:29:17 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (036d5191)

    lib-sieve: vacation extension: Use Microsoft X-Auto-Response-Suppress header
    to prevent unwanted responses.

    We've seen a few situations where Pigeonhole and Microsoft products start a
    useless machine conversation. At least older versions of Outlook ignore the
    standards on multiple points to make this happen. We prevent this now by
    recognizing and generating the X-Auto-Response-Suppress header.

M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	tests/extensions/vacation/reply.svtest

2016-10-21 17:36:44 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (32e7781d)

    lib-sieve: util: Removed Pigeonhole's own version of t_str_trim(), since it
    is now available in Dovecot.


M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/util/Makefile.am
D	src/lib-sieve/util/strtrim.c
D	src/lib-sieve/util/strtrim.h
M	src/plugins/imapsieve/imap-sieve-storage.c

2016-10-21 01:01:16 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (663f8cc5)

    lib-sieve: code dumper: Fixed T_BEGIN { ... } T_END block violation.


M	src/lib-sieve/sieve-code-dumper.c

2016-10-20 02:38:07 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (ca0cd69e)

    lib-sieve: vnd.dovecot.report extension: Added Dovecot-Reporting-User field,
    which contains the e-mail address of the user sending the report.


M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	tests/extensions/vnd.dovecot/report/execute.svtest

2016-10-19 18:38:00 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (4d5a9448)

    Updated dovecot.m4.


M	m4/dovecot.m4

2016-10-19 16:04:49 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (905db120)

    Sieve extprograms plugin: Adjusted to more changes in Dovecot program-client
    API.


M	src/plugins/sieve-extprograms/sieve-extprograms-common.c

2016-10-17 23:59:58 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (85680b40)

    lib-sieve: result object: Fixed bug in detection of the execution of
    delivery action.

    Sequential exections would override a previously flagged delivery, which is
    wrong. This caused the sieve_discard feature to trigger for messages that
    were actually delivered somewhere by an earlier script in the sequence.

M	src/lib-sieve/sieve-result.c

2016-10-15 12:24:33 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (bcad6334)

    LDA Sieve plugin: Fixed assert failure caused by earlier sieve_discard
    changes.

    The simplest case in which all normal scripts maintain the (implicit) keep
    action triggered an assert failure. Fixed by restructuring the script
    execution loop to make it easy to understand. Now handles each case
    explicitly.

M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-10-13 15:30:25 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (d18e9b53)

    Sieve exprograms plugin: Adjusted to changes in Dovecot program-client API.


M	src/plugins/sieve-extprograms/sieve-extprograms-common.c

2016-10-11 16:40:47 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (a195bd82)

    lib-sieve: vnd.dovecot.report extension: Added support for configuring the
    "From:" address used in the report.


A	doc/extensions/vnd.dovecot.report.txt
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.c
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.h
M	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report.c
M	tests/extensions/vnd.dovecot/report/execute.svtest

2016-10-10 19:20:57 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (2a6ff60b)

    Sieve extprograms plugin: Adjusted to program-client API change in Dovecot.

    program_client_remote_create() is now called program_client_unix_create().

M	src/plugins/sieve-extprograms/sieve-extprograms-common.c

2016-10-07 12:42:09 +0300 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (a8fb5314)

    lib-sieve: restore realpath.h in Makefile.am


M	src/lib-sieve/util/Makefile.am

2016-10-06 12:11:57 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (055537a3)

    doveadm sieve plugin: sync: Fixed saving synchronized Sieve script.

    Assert failure could occur if the input buffer was full. Also, a small
    chance existed that not all data would be saved.

M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2016-10-05 22:28:03 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (22f05f11)

    lib-sieve: program-client was moved to dovecot core


M	src/lib-sieve/util/Makefile.am
D	src/lib-sieve/util/program-client-local.c
D	src/lib-sieve/util/program-client-private.h
D	src/lib-sieve/util/program-client-remote.c
D	src/lib-sieve/util/program-client.c
D	src/lib-sieve/util/program-client.h

2016-09-30 23:57:05 +0200 Stephan Bosch <stephan@dovecot.fi> (2ae18e51)

    LDA Sieve plugin: Implemented support for a "discard script" that is run
    when the message is going to be discarded.

    This adds a new "sieve_discard" setting that points to the location of the
    "discard script". Once the normal scripts finish executing and the result is
    that the message will be discarded without being delivered anywhere, the
    "discard script" is executed. The discard script can prevent dropping the
    message, by executing alternative actions. If the discard script does
    nothing, the message is still discarded.

M	INSTALL
M	doc/example-config/conf.d/90-sieve.conf
M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-09-30 23:55:25 +0200 Stephan Bosch <stephan@dovecot.fi> (bc99d792)

    lib-sieve: Implemented support for running a "discard script" in the
    multiscript execution API.

    The "discard script" is run when the normal script sequence ends and the
    message is going to be discarded.

M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h

2016-09-30 21:44:33 +0200 Stephan Bosch <stephan@dovecot.fi> (df19597c)

    lib-sieve: Added means to evaluate whether the result object executed a
    delivery action.


M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-result.h

2016-09-30 19:37:25 +0200 Stephan Bosch <stephan@dovecot.fi> (8f959e8f)

    LDA Sieve plugin: Always use multiscript API for script execution.

    Removed special code path for single script. This is a remnant from times
    when the multiscript feature was still experimental.

M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-09-29 21:23:51 +0200 Stephan Bosch <stephan@dovecot.fi> (67c93ffd)

    lib-sieve: vnd.dovecot.environment extension: Added vnd.dovecot.config.*
    environment items.

    A "vnd.dovecot.config.<identifier>" environment item maps to the content of
    the matching sieve_env_<identifier> plugin setting.

M	INSTALL
A	doc/extensions/vnd.dovecot.environment.txt
M	doc/rfc/spec-bosch-sieve-dovecot-environment.txt
M	doc/rfc/xml/spec-bosch-sieve-dovecot-environment.xml
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-items.c
M	tests/extensions/vnd.dovecot/environment/basic.svtest

2016-10-04 19:59:03 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (c9324ac9)

    lib-sieve: environment extension: Improved runtime trace for a nonexistent
    environment item.


M	src/lib-sieve/plugins/environment/tst-environment.c

2016-09-29 21:21:50 +0200 Stephan Bosch <stephan@dovecot.fi> (2865e415)

    lib-sieve: environment extension: Added support for wildcard environment
    items that are identified by a name prefix.


M	src/lib-sieve/plugins/environment/ext-environment-common.c
M	src/lib-sieve/plugins/environment/sieve-ext-environment.h
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-items.c
M	src/plugins/imapsieve/ext-imapsieve-environment.c

2016-09-29 23:39:42 +0200 Stephan Bosch <stephan@dovecot.fi> (1bca1af3)

    lib-sieve: variables extension: Substitution of an invalid namespace
    canceled the substitution, rather than substituting the empty string.


M	src/lib-sieve/plugins/variables/ext-variables-arguments.c

2016-09-29 23:37:50 +0200 Stephan Bosch <stephan@dovecot.fi> (da1ed8d9)

    lib-sieve: variables extension: Increased the maximum number of namespace
    elements in a variable name.


M	src/lib-sieve/plugins/variables/ext-variables-limits.h

2016-09-21 21:41:25 +0200 Stephan Bosch <stephan@dovecot.fi> (47635d88)

    lib-sieve: file storage: Fixed handling of non-blocking input in
    save_continue().

    Bug was exposed by previous change. Normally, this would not surface.

M	src/lib-sieve/storage/file/sieve-file-storage-save.c

2016-09-21 21:33:58 +0200 Stephan Bosch <stephan@dovecot.fi> (2ce32c4c)

    managesieve: The PUTSCRIPT command now allows uploading empty Sieve scripts.

    There is no reason to forbid an empty Sieve script.

M	src/managesieve/cmd-putscript.c

2016-09-20 09:35:38 -0400 Josef 'Jeff' Sipek <jeff.sipek@dovecot.fi> (a4348748)

    doveadm-sieve: Update attribute API usage


M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2016-08-28 23:40:30 +0200 Stephan Bosch <stephan@dovecot.fi> (4a5c2ce4)

    Adjusted client_read_string_args() prototype to handle CLang warning.

    Clang -Wvargargs complained about passing a bool argument to va_start().

M	src/managesieve/cmd-deletescript.c
M	src/managesieve/cmd-getscript.c
M	src/managesieve/cmd-putscript.c
M	src/managesieve/cmd-renamescript.c
M	src/managesieve/cmd-setactive.c
M	src/managesieve/managesieve-client.c
M	src/managesieve/managesieve-client.h

2016-08-26 01:44:23 +0200 Stephan Bosch <stephan@dovecot.fi> (8a2ef99d)

    lib-sieve: ldap storage: Fixed bool vs. int mixup in function call.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/storage/ldap/sieve-ldap-storage-settings.c

2016-08-21 12:07:34 +0200 Stephan Bosch <stephan@rename-it.nl> (930ec524)

    lib-sieve: Fixed various bool vs. int/pointer mixups.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/mcht-is.c
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-binary-file.c
M	src/lib-sieve/sieve-binary.c
M	src/lib-sieve/sieve-code.c
M	src/lib-sieve/sieve-commands.c
M	src/lib-sieve/sieve-parser.c
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-storage.c
M	src/lib-sieve/sieve-stringlist.c
M	src/lib-sieve/sieve.c
M	src/lib-sieve/tst-exists.c

2016-08-21 12:05:55 +0200 Stephan Bosch <stephan@rename-it.nl> (cab5eff7)

    doveadm sieve plugin: Removed unused 'subscriptions' field from command
    context.

    Addresses a FIXME. Caused a warning with clang -Wstrict-bool.

M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h

2016-08-21 12:05:05 +0200 Stephan Bosch <stephan@rename-it.nl> (0929a400)

    extprograms plugin: Fixed various bool vs. int mixups.

    Found with clang -Wstrict-bool.

M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.c

2016-08-21 12:02:20 +0200 Stephan Bosch <stephan@rename-it.nl> (ec02e3b5)

    managesieve: Fixed various bool vs. int mixups.

    Found with clang -Wstrict-bool.

M	src/managesieve/managesieve-client.c

2016-08-21 12:01:29 +0200 Stephan Bosch <stephan@rename-it.nl> (ee3a6554)

    lib-sieve: util: program-client: Fixed a bool vs. int/pointer mixup.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/util/program-client.c

2016-08-21 11:58:41 +0200 Stephan Bosch <stephan@rename-it.nl> (8e0367b0)

    lib-sieve: file storage: The try_hardlink parameter of file_copy() is of
    type bool, rather than int.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/storage/file/sieve-file-storage-active.c

2016-08-21 11:57:16 +0200 Stephan Bosch <stephan@rename-it.nl> (a010c390)

    lib-sieve: The return type of duplicate_check() is supposed to be bool
    rather than int.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-types.h
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/sieve-tools/sieve-test.c

2016-08-21 11:52:55 +0200 Stephan Bosch <stephan@rename-it.nl> (b0b9e0a5)

    lib-sieve: script: The return type of binary_dump_metadata() is supposed to
    be bool rather than int.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/storage/dict/sieve-dict-script.c
M	src/lib-sieve/storage/ldap/sieve-ldap-script.c

2016-08-21 11:46:15 +0200 Stephan Bosch <stephan@rename-it.nl> (6a6f7309)

    sieve-filter: Fixed a bool vs. int mixup.

    Found with clang -Wstrict-bool.

M	src/sieve-tools/sieve-filter.c

2016-08-21 11:44:50 +0200 Stephan Bosch <stephan@rename-it.nl> (86eb7c95)

    testsuite: Fixed various bool vs. int mixups.

    Found with clang -Wstrict-bool.

M	src/testsuite/cmd-test-message.c
M	src/testsuite/testsuite-binary.c
M	src/testsuite/testsuite-script.c

2016-08-21 11:37:12 +0200 Stephan Bosch <stephan@rename-it.nl> (ae255494)

    lib-sieve: reject extension: Fixed varius bool vs. int mixups.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h

2016-08-21 11:28:32 +0200 Stephan Bosch <stephan@rename-it.nl> (d8331c81)

    lib-sieve: vacation extension: Fixed invalid evaluation of the
    mail_get_headers() return value.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/vacation/cmd-vacation.c

2016-08-21 11:27:37 +0200 Stephan Bosch <stephan@rename-it.nl> (d2fa7208)

    lib-sieve: regex extension: Fixed invalid use of sieve_ast_stringlist_map().

    Mixed up bool and int return types. Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/regex/mcht-regex.c

2016-08-21 11:25:57 +0200 Stephan Bosch <stephan@rename-it.nl> (dabacd9a)

    lib-sieve: deprecated notify extension: Fixed various bool vs. int/pointer
    mixups.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/notify/cmd-notify.c

2016-08-21 11:24:35 +0200 Stephan Bosch <stephan@rename-it.nl> (f95c6c0c)

    lib-sieve: metadata extension: Fixed invalid use of
    sieve_ast_stringlist_map().

    Mixed up bool and int return types. Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/metadata/tst-metadataexists.c

2016-08-21 11:23:03 +0200 Stephan Bosch <stephan@rename-it.nl> (01f7d9f3)

    lib-sieve: mailbox extension: Fixed invalid use of
    sieve_ast_stringlist_map().

    Mixed up bool and int return types. Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c

2016-08-21 11:21:39 +0200 Stephan Bosch <stephan@rename-it.nl> (e180373f)

    lib-sieve: index extension: Fixed a bool vs. int mixup.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/index/tag-index.c

2016-08-21 11:20:54 +0200 Stephan Bosch <stephan@rename-it.nl> (13485c33)

    lib-sieve: include extension: Fixed various bool vs. int mixups.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/ext-include-common.c

2016-08-21 11:19:30 +0200 Stephan Bosch <stephan@rename-it.nl> (dc60b279)

    lib-sieve: enotify extension: Fixed various bool vs. int/pointer mixups.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c
M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c

2016-08-21 11:16:27 +0200 Stephan Bosch <stephan@rename-it.nl> (5ef69ddc)

    lib-sieve: match types: Fixed match function return values to be int rather
    than bool.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/mcht-contains.c
M	src/lib-sieve/mcht-is.c
M	src/lib-sieve/mcht-matches.c

2016-08-21 11:13:43 +0200 Stephan Bosch <stephan@rename-it.nl> (02d0b7ff)

    lib-sieve: encoded-character extension: Fixed function return types to be
    bool rather than int.

    Found with clang -Wstrict-bool.

M	src/lib-sieve/ext-encoded-character.c

2016-08-21 11:11:45 +0200 Stephan Bosch <stephan@rename-it.nl> (b800fc1c)

    lib-managesieve: managesieve-parser: Fixed function return types to be bool
    rather than int.

    Found with clang -Wstrict-bool.

M	src/lib-managesieve/managesieve-parser.c

2016-08-24 02:47:37 +0200 Stephan Bosch <stephan@dovecot.fi> (af91dd3f)

    doveadm sieve plugin: sync: Fixed handling of unknown attribute timestamps.


M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2016-08-24 01:22:12 +0200 Stephan Bosch <stephan@dovecot.fi> (ef268fec)

    lib-sieve: util: program-client-remote: Fixed assert failure caused by
    previous change.

    Erroneously assumed the number of reserved bytes (for the return code) could
    not decrease.

M	src/lib-sieve/util/program-client-remote.c

2016-08-23 17:07:34 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (0dcee109)

    tests/deprecated: Fix typo


M	tests/deprecated/imapflags/errors.svtest
M	tests/deprecated/notify/errors.svtest

2016-08-16 14:29:53 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (d582f0db)

    Adjust to unlink_directory() API changes.


M	src/testsuite/testsuite-binary.c
M	src/testsuite/testsuite-common.c
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite-smtp.c

2016-08-20 03:32:58 +0200 Stephan Bosch <stephan@rename-it.nl> (6b02395c)

    global: unsigned int:1 -> bool:1

    perl -i -pe 's/unsigned int ([^,:;]+):1;/bool $1:1;/' **/*.[ch]

M	src/lib-managesieve/managesieve-parser.c
M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/plugins/date/ext-date-common.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.c
M	src/lib-sieve/plugins/environment/ext-environment-common.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/ext-include-binary.c
M	src/lib-sieve/plugins/index/tag-index.c
M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/regex/mcht-regex.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-ast.c
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-smtp.c
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/sieve-stringlist.c
M	src/lib-sieve/sieve-stringlist.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/storage/dict/sieve-dict-script.c
M	src/lib-sieve/storage/file/sieve-file-script-sequence.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/storage/ldap/sieve-ldap-script.c
M	src/lib-sieve/util/edit-mail.c
M	src/lib-sieve/util/program-client-private.h
M	src/lib-sieve/util/program-client-remote.c
M	src/lib-sieve/util/program-client.h
M	src/managesieve-login/client.h
M	src/managesieve/cmd-getscript.c
M	src/managesieve/managesieve-client.h
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-put.c
M	src/plugins/imapsieve/imap-sieve-storage.c
M	src/plugins/imapsieve/imap-sieve.c
M	src/sieve-tools/sieve-filter.c

2016-08-19 23:05:27 +0200 Stephan Bosch <stephan@dovecot.fi> (0adb7400)

    lib-sieve: util: program-client-remote: Made the program_client_istream
    implementation cleaner and more logical.

    It was too hard to understand.

M	src/lib-sieve/util/program-client-remote.c

2016-08-19 23:02:32 +0200 Stephan Bosch <stephan@dovecot.fi> (351bb053)

    lib-sieve: util: program-client: Fixed position of the seekable stream for
    the output of remote programs.

    It would now make the output of the script service seekable, rather than the
    output of the program. This adds a '+' at the end of the data. This showed
    up for the extprograms filter command.

M	src/lib-sieve/util/program-client.c

2016-08-19 01:24:21 +0200 Stephan Bosch <stephan@dovecot.fi> (36614104)

    sieve-test: Forgot to disable error handling for dummy SMTP output stream.


M	src/sieve-tools/sieve-test.c

2016-08-14 19:13:13 +0300 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (a920da2a)

    lib-sieve: remove set_cache_corrupted_reason from mail_vfuncs

    set_cache_corrupted_reason was removed in core.

M	src/lib-sieve/util/edit-mail.c

2016-08-13 18:43:04 +0200 Stephan Bosch <stephan@dovecot.fi> (97dcfb2f)

    lib-sieve: relational extension: Replaced return statement with
    i_unreached() in mcht_value_match_key().

    Coverity still complained.

M	src/lib-sieve/plugins/relational/mcht-value.c

2016-08-13 18:10:08 +0200 Stephan Bosch <stephan@dovecot.fi> (0edfe0c1)

    lib-sieve: ldap storage: Removed useless NULL checks.

    Caused minor complaints by Coverity.

M	src/lib-sieve/storage/ldap/sieve-ldap-db.c

2016-08-13 17:42:03 +0200 Stephan Bosch <stephan@dovecot.fi> (a6aa9d44)

    lib-sieve: relational extension: Removed dead default in switch statement.

    Minor complaint by Coverity.

M	src/lib-sieve/plugins/relational/mcht-value.c

2016-08-13 17:26:56 +0200 Stephan Bosch <stephan@dovecot.fi> (53eee4d9)

    imapsieve plugin: Fixed potential segfault bug caused by shadowing a
    parameter with a local variable.

    Renamed the local variable. Found by Coverity.

M	src/plugins/imapsieve/imap-sieve-storage.c

2016-08-13 14:42:31 +0300 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (54eb6fb7)

    lib-sieve: MAIL_FETCH_UIDL_FILE_NAME to MAIL_FETCH_STORAGE_ID:

    MAIL_FETCH_UIDL_FILE_NAME was removed from core.

M	src/lib-sieve/util/edit-mail.c

2016-08-11 03:17:36 +0200 Stephan Bosch <stephan@dovecot.fi> (886199dd)

    Fixed copyright notices.


M	src/lib-sieve/plugins/mime/cmd-extracttext.c
M	src/lib-sieve/plugins/mime/ext-extracttext.c

2016-08-10 20:38:05 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (e246fe9d)

    imapsieve: Update mailbox_attribute API usage


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-08-10 20:20:57 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (0b8386aa)

    doveadm-sieve: Update attribute API


M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c

2016-08-10 11:32:04 +0200 Stephan Bosch <stephan@dovecot.fi> (2987a3c2)

    imapsieve plugin: Fixed crash occurring when a mailbox is opened for a user
    before the imap client object is created.


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-08-10 11:27:40 +0200 Stephan Bosch <stephan@dovecot.fi> (0e8abe2c)

    imapsieve plugin: Removed spurious pool field from imap_sieve_user struct.


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-08-02 23:41:11 +0200 Stephan Bosch <stephan@dovecot.fi> (670e029a)

    lib-sieve: program client: Changed I/O to use o_stream_send_istream() where
    possible.

    This simplifies the code significantly. This also removes calls to
    i_stream_get_data(), which caused problems after its semantics were changed
    in Dovecot.

M	src/lib-sieve/util/program-client.c

2016-08-02 19:39:15 +0200 Stephan Bosch <stephan@dovecot.fi> (18338b4b)

    lib-sieve: lexer: Adjusted to Dovecot change: i_stream_get_data() no longer
    returns NULL when returned size = 0.


M	src/lib-sieve/sieve-lexer.c

2016-05-20 15:38:31 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (d6cacfef)

    Use i_unlink() to improve unexpected unlink() error messages.


M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve/storage/file/sieve-file-storage-active.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/util/program-client.c
M	src/sieve-tools/sieve-test.c

2016-07-15 01:32:01 +0200 Stephan Bosch <stephan@rename-it.nl> (1521447e)

    Removed the test suite's valgrind handling in favor of the generic
    implementation Dovecot provides.


M	.gitignore
M	Makefile.am
M	configure.ac
M	dovecot-pigeonhole.m4

2016-07-14 21:50:34 +0200 Stephan Bosch <stephan@rename-it.nl> (814ef928)

    Add flags in DOVECOT_BINARY_CFLAGS and DOVECOT_BINARY_LDFLAGS to all
    binaries.

    In effect, this adds PIE and RELRO to binaries.

M	configure.ac
M	src/managesieve-login/Makefile.am
M	src/managesieve/Makefile.am
M	src/sieve-tools/Makefile.am

2016-07-14 23:09:34 +0200 Stephan Bosch <stephan@rename-it.nl> (1f157d0f)

    lib-managesieve: Use libtool.


M	src/lib-managesieve/Makefile.am
M	src/managesieve-login/Makefile.am
M	src/managesieve/Makefile.am

2016-07-14 21:50:20 +0200 Stephan Bosch <stephan@rename-it.nl> (91368343)

    Updated dovecot.m4.


M	m4/dovecot.m4

2016-07-07 21:52:05 +0200 Stephan Bosch <stephan@rename-it.nl> (66b7c14c)

    extprograms plugin: Clarified the language specification regarding handling
    of filter and execute errors.


M	doc/rfc/spec-bosch-sieve-extprograms.txt
M	doc/rfc/xml/spec-bosch-sieve-extprograms.xml

2016-07-07 18:25:29 +0200 Stephan Bosch <stephan@dovecot.fi> (3fa08e71)

    extprograms plugin: Added tests for invocation of unknown programs.


M	tests/plugins/extprograms/execute/errors.svtest
A	tests/plugins/extprograms/execute/errors/unknown-program.sieve
M	tests/plugins/extprograms/filter/errors.svtest
A	tests/plugins/extprograms/filter/errors/unknown-program.sieve
M	tests/plugins/extprograms/pipe/errors.svtest
A	tests/plugins/extprograms/pipe/errors/unknown-program.sieve

2016-07-07 18:24:16 +0200 Stephan Bosch <stephan@dovecot.fi> (60f4960a)

    extprograms plugin: For directly forked programs, the "program not found"
    was reported twice.


M	src/plugins/sieve-extprograms/sieve-extprograms-common.c

2016-07-07 18:18:35 +0200 Stephan Bosch <stephan@dovecot.fi> (efef641a)

    extprograms plugin: Execution errors in filter and execute commands did not
    lead to script termination.


M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c

2016-07-07 10:15:15 +0200 Stephan Bosch <stephan@dovecot.fi> (70c27283)

    lib-sieve: program client: Fixed bug in handling of result code from remote
    program (script service).

    It was sometimes passed through as data, meaning that the result code was
    missed. This transiently resulted in programs seemingly returning invalid
    result codes, causing an error.

M	src/lib-sieve/util/program-client-remote.c

2016-07-07 01:23:27 +0200 Stephan Bosch <stephan@dovecot.fi> (aabde88b)

    lib-sieve: program client: Connection to remote program service was not
    retried.


M	src/lib-sieve/util/program-client-remote.c

2016-07-06 21:15:19 +0200 Stephan Bosch <stephan@dovecot.fi> (807c61c2)

    lib-sieve: vacation extension: The sieve_user_email setting is now used in
    check for implicit delivery.

    This means that vacation responses are now also sent for messages that
    include the sieve_user_email address in one of the relevant headers.

M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	tests/extensions/vacation/reply.svtest

2016-07-06 20:31:35 +0200 Stephan Bosch <stephan@dovecot.fi> (cefa449a)

    testsuite: Removed spurious test_message_print statements.


M	tests/execute/address-normalize.svtest

2016-07-06 20:26:50 +0200 Stephan Bosch <stephan@dovecot.fi> (467080db)

    lib-sieve: Fixed handling of quoted string localparts in email addresses.


M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve.c
M	src/testsuite/testsuite-message.c
M	tests/extensions/envelope.svtest

2016-06-28 23:44:12 +0200 Stephan Bosch <stephan@rename-it.nl> (f9eda178)

    lib-sieve: if command: Made static analyzer happier.

    Added assertion to validation function.

M	src/lib-sieve/cmd-if.c

2016-06-28 23:17:50 +0200 Stephan Bosch <stephan@rename-it.nl> (5673ee51)

    lib-sieve: Make static analyzer happier about argument validation.

    Added assertions.

M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/sieve-validator.c

2016-06-28 22:35:34 +0200 Stephan Bosch <stephan@rename-it.nl> (82592618)

    lib-sieve: Make static analyzer happier about use of
    sieve_ast_stringlist_map().

    Added assertions.

M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/tst-address.c

2016-06-27 21:39:18 +0200 Stephan Bosch <stephan@rename-it.nl> (e2aa3166)

    dovecot-pigeonhole.m4: Make testsuite available when linked against
    Pigeonhole source tree, even when it is not yet compiled.


M	dovecot-pigeonhole.m4

2016-06-23 13:30:49 +0200 Stephan Bosch <stephan@dovecot.fi> (9e6e5ee0)

    imapsieve plugin: During transaction run the synchronized version of the
    target mailbox was opened too early.

    This meant opening a mailbox a second time even if it did not match any
    mailbox rules.

M	src/plugins/imapsieve/imap-sieve-storage.c

2016-06-21 02:54:36 +0200 Stephan Bosch <stephan@rename-it.nl> (f3944c69)

    lib-sieve: edit-mail: Passed FALSE for normalizer argument of
    message_header_decode_utf8() rather than NULL.


M	src/lib-sieve/util/edit-mail.c

2016-06-21 02:54:00 +0200 Stephan Bosch <stephan@rename-it.nl> (7860911b)

    lib-sieve: variables extesnion: Fixed instances where FALSE was returned
    rather than NULL.


M	src/lib-sieve/plugins/variables/ext-variables-common.c

2016-06-21 02:50:29 +0200 Stephan Bosch <stephan@rename-it.nl> (f6b6815a)

    lib-sieve: enotify extension: Fixed instances where FALSE was returned
    rather than NULL.


M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c

2016-06-20 23:39:09 +0200 Stephan Bosch <stephan@rename-it.nl> (69296a11)

    imapsieve plugin: Restructured imap_sieve_run_scripts() function such that
    the compile error code is never used uninitialized.


M	src/plugins/imapsieve/imap-sieve.c

2016-06-20 23:08:09 +0200 Stephan Bosch <stephan@rename-it.nl> (561d0adc)

    lib-sieve: address test: Mixed up bool and int for
    sieve_ast_stringlist_map() return type.


M	src/lib-sieve/tst-address.c

2016-06-20 22:48:06 +0200 Stephan Bosch <stephan@rename-it.nl> (358e40db)

    imapsieve plugin: Prevent possible NULL pointer dereference at transaction
    commit.


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-06-20 22:40:50 +0200 Stephan Bosch <stephan@rename-it.nl> (44316d49)

    lib-sieve: envelope extension: Mixed up bool and int for
    sieve_ast_stringlist_map() return type.


M	src/lib-sieve/ext-envelope.c

2016-06-20 22:32:32 +0200 Stephan Bosch <stephan@rename-it.nl> (f3e53764)

    imapsieve plugin: Removed dead assignment reported by scan-build.


M	src/plugins/imapsieve/imap-sieve.c

2016-06-20 22:20:32 +0200 Stephan Bosch <stephan@rename-it.nl> (a16a9b8b)

    lib-sieve: variables extension: Changed declaration of new variables to
    avoid useless memory allocation.

    Also prevents assert failures with new hash_table_insert() assertion against
    existing entries. This changes the API for the variables extension.

M	src/lib-sieve/plugins/include/ext-include-variables.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h

2016-06-20 21:52:17 +0200 Stephan Bosch <stephan@rename-it.nl> (45d4fa9d)

    lib-sieve: Require blocking message stream for sieve_message_substitute().

    This prevents trouble with o_stream_nsend_istream() later.

M	src/lib-sieve/sieve-message.c
M	src/plugins/sieve-extprograms/cmd-filter.c

2016-06-20 21:14:11 +0200 Stephan Bosch <stephan@rename-it.nl> (8091baf4)

    lib-sieve: Changed sieve_extension_override() to use hash_table_update()
    rather than hash_table_insert().

    Due to a Dovecot change this would now cause an assertion failure.

M	src/lib-sieve/sieve-extensions.c

2016-06-20 20:53:47 +0200 Stephan Bosch <stephan@rename-it.nl> (5931b69e)

    managesieve-login: proxy: Did not handle zero return value from
    managesieve_parser_read_args() correctly.


M	src/managesieve-login/managesieve-proxy.c

2016-06-13 22:06:55 +0200 Stephan Bosch <stephan@dovecot.fi> (167ca91b)

    lib-sieve: Handle duplicate registrations of capabilities better.

    This would uselessly allocate a new entry with the same content.

M	src/lib-sieve/sieve-extensions.c

2016-06-13 21:59:45 +0200 Stephan Bosch <stephan@dovecot.fi> (9cdc454e)

    lib-sieve: variables extensions: Fixed handling of importing a variable into
    a scope that is already imported earlier.

    This allocated a new variable entry every time.

M	src/lib-sieve/plugins/variables/ext-variables-common.c

2016-06-13 21:41:49 +0200 Stephan Bosch <stephan@dovecot.fi> (74f60b97)

    sieve-tools: Disable automatic data stack frame initialization.


M	src/lib-sieve-tool/sieve-tool.c

2016-05-20 15:32:51 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (1ddbb32e)

    Adjusted to changes in o_stream_send_istream() API


M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/managesieve/cmd-getscript.c

2016-06-09 19:21:53 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (5e492476)

    pigeonhole: Remove autoclose parameter


M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/sieve-binary-file.c
M	src/lib-sieve/sieve-error.c
M	src/lib-sieve/sieve.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/util/program-client.c
M	src/managesieve/managesieve-client.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-result.c

2016-05-31 02:56:26 +0200 Stephan Bosch <stephan@rename-it.nl> (67dfb5a2)

    Previous change omitted one occurrence of t_malloc().


M	src/lib-sieve/storage/ldap/sieve-ldap-db.c

2016-05-11 10:19:00 +0300 Martti Rannanjärvi <martti.rannanjarvi@dovecot.fi> (3d1226b5)

    Replace t_malloc with t_malloc0 or t_malloc_no0

    Plain t_malloc was deprecated in dovecot.

M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c
M	src/lib-sieve/sieve-binary-file.c
M	src/lib-sieve/util/program-client-local.c
M	src/managesieve/managesieve-client.c

2016-05-16 21:02:09 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (e2d6a03d)

    Use o_stream_nsend*() to make sure write errors are caught.


M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-binary-dumper.c
M	src/lib-sieve/sieve-code-dumper.c
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve.c
M	src/managesieve-login/managesieve-proxy.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-result.c
M	src/testsuite/testsuite-smtp.c

2016-05-16 16:08:41 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (69cce444)

    managesieve: Adjust to new o_stream_send_istream() API


M	src/managesieve/cmd-getscript.c

2016-05-18 15:23:18 +0200 Stephan Bosch <stephan@dovecot.fi> (b3f5d771)

    Adjusted to changes in Dovecot buffer API.


M	src/lib-sieve/sieve-binary.c

2016-05-18 00:31:27 +0200 Stephan Bosch <stephan@rename-it.nl> (634b16b3)

    lib-sieve: ldap storage: Fixed compiler warning occurring under specific
    configuration conditions.


M	src/lib-sieve/storage/ldap/sieve-ldap-db.c

2016-05-18 00:25:24 +0200 Stephan Bosch <stephan@rename-it.nl> (5f4db18f)

    doveadm-sieve: Fixed copy-paste stupidity in previous change.


M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c

2016-05-18 00:09:28 +0300 Aki Tuomi <aki.tuomi@dovecot.fi> (b47c3a06)

    doveadm-sieve: Update to ver2 structures


M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-activate.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-get.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-list.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-put.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-rename.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h

2016-05-16 22:04:13 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (2c0aa0f0)

    Replaced i_stream_read_data() calls with _read_bytes and _read_more()


M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/util/program-client-remote.c
M	src/lib-sieve/util/program-client.c
M	src/managesieve-login/client-authenticate.c
M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c
M	src/testsuite/cmd-test-message.c

2016-05-15 14:42:49 +0200 Stephan Bosch <stephan@dovecot.fi> (8ab4f24c)

    managesieve: Avoid crashing at deinit if mail_user_unref() triggers
    mail_storage_callbacks

    This could have happened with Maildir/mbox and autoexpunging. Mimics
    Dovecot/IMAP change ddffbb277e212adb9d594b3d7d1e1d39fa78f7c6.

M	src/managesieve/managesieve-client.c

2016-05-15 14:38:05 +0200 Stephan Bosch <stephan@dovecot.fi> (cafb21eb)

    managesieve: Free mail_user only after client is disconnected.

    Mimics Dovecot/IMAP change 1001bda65e9f592d852a26ddd6a993f7973050bf.

M	src/managesieve/managesieve-client.c

2016-03-22 10:13:19 -0400 Aaron Lindsay <aaron@aclindsay.com> (dd0f8d1a)

    subaddress: Support multiple recipient_delimiters

    The recipient_delimiter is treated as multiple one-character delimiters 
    rather than one multi-character delimiter if more than one character is 
    supplied.

    Based on a patch by: Lennart Weller <lhw@ring0.de>

M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	tests/extensions/subaddress/config.svtest

2016-05-09 23:12:43 +0200 Stephan Bosch <stephan@rename-it.nl> (daf1c25c)

    lib-sieve: program client: Significantly improved error handling.

    Stream errors were never logged properly. Streams now have a name that makes
    sense. Timeout errors were handled in a rather stupid fashion.

M	src/lib-sieve/util/program-client-local.c
M	src/lib-sieve/util/program-client-private.h
M	src/lib-sieve/util/program-client-remote.c
M	src/lib-sieve/util/program-client.c

2016-05-09 22:27:45 +0200 Stephan Bosch <stephan@rename-it.nl> (64ac8433)

    lib-sieve: Fixed error handling for mail streams.

    The previous change prompted some futher code review and similar
    improvements/fixes were applied at various places in the code.

M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
M	src/lib-sieve/sieve-message.c

2016-05-09 16:05:37 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (a66812ae)

    lib-sieve: edit mail wasn't didn't handle truncated header correctly.

    If header was truncated, it was treated as an istream error. Also the 
    istream read errors weren't logged.

M	src/lib-sieve/util/edit-mail.c

2016-05-06 17:40:25 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (495393c5)

    Adjusted to changes in Dovecot lib-dict API.


M	src/lib-sieve/storage/dict/sieve-dict-script.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.c

2016-05-04 02:20:17 +0200 Stephan Bosch <stephan@rename-it.nl> (f7f206d5)

    configure: Changed version number to v0.5.devel.


M	configure.ac

2016-05-02 17:09:12 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (641fa414)

    testsuite: Adjusted to changes in Dovecot lib-storage API.


M	src/testsuite/testsuite-mailstore.c

2016-05-02 18:08:59 +0200 Stephan Bosch <stephan@rename-it.nl> (6b436b4f)

    Changed Makefile.am to make sure test suite is executed at `make check'.


M	Makefile.am

2016-05-02 17:49:05 +0200 Stephan Bosch <stephan@rename-it.nl> (2dc13c59)

    Merged concurrent changes.


2016-04-28 23:02:38 +0200 Stephan Bosch <stephan@dovecot.fi> (b9e567b5)

    lib-sieve: Handle extension overriding itself properly.


M	src/lib-sieve/sieve-extensions.c

2016-04-26 22:36:43 +0200 Stephan Bosch <stephan@rename-it.nl> (850d80b2)

    Updated README with availability of vnd.dovecot.report extension.


M	README

2016-04-26 21:51:46 +0200 Stephan Bosch <stephan@rename-it.nl> (7c79cdc8)

    Added v0.4.13 to NEWS.


M	NEWS

2016-04-26 21:34:15 +0200 Stephan Bosch <stephan@rename-it.nl> (c984322f)

    lib-sieve: edit-mail: Removed useless NULL check in
    edit_mail_istream_seek().

    This caused a Coverity defect report.

M	src/lib-sieve/util/edit-mail.c

2016-04-26 21:27:08 +0200 Stephan Bosch <stephan@rename-it.nl> (0b04d67d)

    lib-sieve: vnd.dovecot.report extension: Removed logically dead code.

    This caused Coverity defect reports.

M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c

2016-04-26 21:19:06 +0200 Stephan Bosch <stephan@rename-it.nl> (dfe0d52c)

    lib-sieve: validator: Fixed potential NULL dereference in
    sieve_validator_extensions_check_conficts().

    Would only happen with dummy/internal `extensions' that have no valid ID. 
    This caused a Coverity defect report.

M	src/lib-sieve/sieve-validator.c

2016-04-26 21:13:04 +0200 Stephan Bosch <stephan@rename-it.nl> (e25f31a3)

    lib-sieve: validator: Fixed potential NULL dereference in
    sieve_validator_extension_load().

    Would only happen with dummy/internal `extensions' that have no valid ID. 
    This caused a Coverity defect report.

M	src/lib-sieve/sieve-validator.c

2016-04-26 21:09:12 +0200 Stephan Bosch <stephan@rename-it.nl> (504a08ae)

    lib-sieve: redirect command: Removed useless NULL check in loop detection.

    This caused a coverity defect report.

M	src/lib-sieve/cmd-redirect.c

2016-04-19 00:27:09 +0200 Stephan Bosch <stephan@rename-it.nl> (ef25ce69)

    imapsieve plugin: Do not initialize mailbox rules until they are needed.

    Otherwise, these would be re-parsed every time a new mail_user is created
    (e.g. when opening a mail as raw).

M	src/plugins/imapsieve/imap-sieve-storage.c

2016-04-18 22:46:03 +0200 Stephan Bosch <stephan@rename-it.nl> (6af702e3)

    lib-sieve: redirect action: Sender address was not always correctly
    assigned.

    This should have provoked a compiler warning.

M	src/lib-sieve/cmd-redirect.c

2016-04-18 22:40:47 +0200 Stephan Bosch <stephan@rename-it.nl> (c8d1f17a)

    lib-sieve: Messed up indentation in earlier change.


M	src/lib-sieve/sieve.c

2016-04-18 21:27:31 +0200 Stephan Bosch <stephan@rename-it.nl> (931adc13)

    lib-sieve: The redirect action still partly depended on having an envelope
    available.


M	src/lib-sieve/cmd-redirect.c

2016-04-18 19:54:55 +0200 Stephan Bosch <stephan@rename-it.nl> (7949cc28)

    lib-sieve: Implemented utility function that determines the primary email
    address of the user.


M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve.c
M	src/plugins/imapsieve/ext-imapsieve-environment.c

2016-04-14 20:52:04 +0200 Stephan Bosch <stephan@dovecot.fi> (1b6fb01a)

    lib-sieve: Don't add overridden built-in extensions to the capability list.

    These are not available under that name anymore and when the replacing
    extension has the same bare name, this would have led to duplicate
    capabilities.

M	src/lib-sieve/sieve-extensions.c

2016-04-14 20:51:04 +0200 Stephan Bosch <stephan@dovecot.fi> (cfb5ee27)

    lib-sieve: When overriding a built-in extension, the wrong extension was
    marked as overridden.


M	src/lib-sieve/sieve-extensions.c

2016-04-10 03:41:48 +0200 Stephan Bosch <stephan@dovecot.fi> (215349a4)

    lib-sieve: deprecated notify: Removed dependencies on availability of
    message envelope.


M	src/lib-sieve/plugins/notify/cmd-notify.c

2016-04-09 23:16:06 +0200 Stephan Bosch <stephan@dovecot.fi> (04d86b2f)

    lib-sieve: vnd.dovecot.report extension: Made the report action behave
    correctly when there is no envelope.


M	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c

2016-04-09 22:32:00 +0200 Stephan Bosch <stephan@dovecot.fi> (6015613a)

    lib-sieve: enotify: mailto: Sending a notification still partly depended on
    having an envelope available.


M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c

2016-04-09 22:11:35 +0200 Stephan Bosch <stephan@dovecot.fi> (0bcd59d7)

    lib-sieve: Added a "sieve_user_email" setting that configures the user's
    primary email address.

    This is used mainly when no other means of obtaining the user's email is
    available, such as when there is no envelope (in IMAP). Before, the
    postmaster address or the null "<>" address was used as a fallback for
    sending messages. The redirect and enotify commands can be explicitly
    configured to use what is configured with sieve_user_email.

M	INSTALL
M	doc/example-config/conf.d/90-sieve.conf
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-settings.c
M	tests/execute/smtp.svtest
M	tests/extensions/enotify/mailto.svtest

2016-04-09 21:35:05 +0200 Stephan Bosch <stephan@dovecot.fi> (2e67f041)

    lib-sieve: sieve-address-source: Fixed result initialization.

    Used wrong type in sizeof().

M	src/lib-sieve/sieve-address-source.c

2016-04-09 20:45:33 +0200 Stephan Bosch <stephan@dovecot.fi> (39713774)

    lib-sieve: Made redirect and enotify/mailto handle the absence of an
    envelope properly.


M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/sieve-ext-enotify.h
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address-source.h

2016-04-09 18:48:47 +0200 Stephan Bosch <stephan@dovecot.fi> (a3e2ad32)

    lib-sieve: Moved resolution of sender address source to common location.


M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/sieve-address-source.c
M	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-common.h

2016-04-09 18:09:32 +0200 Stephan Bosch <stephan@dovecot.fi> (674376cd)

    lib-sieve: Created sieve_address_source for common handling of address
    configuration.


M	src/lib-sieve/Makefile.am
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/sieve-actions.c
A	src/lib-sieve/sieve-address-source.c
A	src/lib-sieve/sieve-address-source.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/sieve-settings.h

2016-04-09 16:19:09 +0200 Stephan Bosch <stephan@dovecot.fi> (35f31bfc)

    Updated README file regarding implementation status of IMAPSIEVE.


M	README

2016-04-09 16:03:35 +0200 Stephan Bosch <stephan@dovecot.fi> (2e3f99c4)

    lib-sieve: Made sure local part of a mail address is encoded properly using
    quoted string when it is not a dot-atom.


M	Makefile.am
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-address.h
A	tests/execute/address-normalize.svtest

2016-04-09 13:53:10 +0200 Stephan Bosch <stephan@dovecot.fi> (dba245c0)

    lib-sieve: Made parsing of explicit address for mail sender setting check
    the address syntax.


M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-settings.c

2016-04-07 21:31:55 +0200 Stephan Bosch <stephan@rename-it.nl> (7627b9f2)

    Merge pull request #1 from sebix/x-original-to

    lib-sieve: Allow X-Original-To header for the address test.
2016-04-07 16:54:13 +0200 Stephan Bosch <stephan@rename-it.nl> (4e27a127)

    Fix segfault bug caused by earlier trace log changes.

    Trace_log variable was not initialized.

M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-04-07 04:31:30 +0200 Stephan Bosch <stephan@rename-it.nl> (cd05a404)

    Documented new trace debugging features.


M	INSTALL
M	doc/example-config/conf.d/90-sieve.conf

2016-04-07 04:02:26 +0200 Stephan Bosch <stephan@rename-it.nl> (bb4b299e)

    imapsieve plugin: Added trace logging support.


M	src/plugins/imapsieve/imap-sieve.c

2016-04-07 04:01:07 +0200 Stephan Bosch <stephan@rename-it.nl> (c934cc42)

    lda-sieve plugin: Added trace logging support.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-04-07 03:57:14 +0200 Stephan Bosch <stephan@rename-it.nl> (8b51e7c1)

    lib-sieve: trace logging: Added optional file name label.

    This way, imapsieve can show to which user.mailbox.uid the trace applies.

M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h

2016-04-07 03:55:07 +0200 Stephan Bosch <stephan@rename-it.nl> (6a8f7bdf)

    lib-sieve: Implemented utility functions for configuring runtime trace
    logging.


M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h

2016-04-06 23:23:42 +0200 Stephan Bosch <stephan@dovecot.fi> (905f66a3)

    lib-sieve: Fixed crashes in extension conflict checking.

    Registering conflicting commands before conflicts are checked is a bad idea. 
    Make sure conflicting extensions are not part of remaining validation
    process.

M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/notify/ext-notify.c
M	src/lib-sieve/sieve-validator.c
M	tests/deprecated/notify/errors.svtest
M	tests/deprecated/notify/errors/conflict-ihave.sieve

2016-04-06 23:18:23 +0200 Stephan Bosch <stephan@dovecot.fi> (228855fc)

    lib-sieve: Made command and argument error macros accept NULL for commands
    and arguments.


M	src/lib-sieve/sieve-commands.h

2016-04-06 00:56:07 +0200 Stephan Bosch <stephan@rename-it.nl> (ee860f97)

    lib-sieve: Moved the algorithm for determining the user log file path to
    lib-sieve.

    This was duplicated between the lda-sieve and imapsieve plugins.

M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/plugins/imapsieve/imap-sieve.c
M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-04-06 00:28:29 +0200 Stephan Bosch <stephan@rename-it.nl> (f95bab5c)

    lib-sieve: Implemented support for writing runtime trace output to a
    directory if it exists, much like Dovecot rawlog.


M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-runtime-trace.c
M	src/lib-sieve/sieve-runtime-trace.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite.c

2016-04-05 21:35:22 +0200 Stephan Bosch <stephan@rename-it.nl> (684aa242)

    doc/example-config: Added description for a few generic settings that were
    only mentioned in the INSTALL file.


M	doc/example-config/conf.d/90-sieve.conf

2016-04-05 21:21:12 +0200 Stephan Bosch <stephan@rename-it.nl> (2591cd15)

    doc/man: The -u and -o options were undocumented for the sieve* tools.


M	doc/man/sieve-dump.1.in
M	doc/man/sieve-filter.1.in
M	doc/man/sieve-test.1.in
M	doc/man/sievec.1.in

2016-04-05 11:43:36 +0200 Stephan Bosch <stephan@rename-it.nl> (0a191d4b)

    lib-sieve: Make sure that an absent envelope does not cause segfaults.

    Futher changes are needed to prevent accessing the envelope in the first
    place.

M	src/lib-sieve/sieve-message.c

2016-04-05 11:17:31 +0200 Stephan Bosch <stephan@rename-it.nl> (ebc95b51)

    imapsieve plugin: storage: Forgot to free mailbox when there are no Sieve
    scripts.


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-03-28 19:31:39 +0200 Stephan Bosch <stephan@rename-it.nl> (136c5b18)

    test suite: Added some more ihave-related extension conflict tests.


M	tests/deprecated/imapflags/errors.svtest
A	tests/deprecated/imapflags/errors/conflict-ihave.sieve
R100	tests/deprecated/imapflags/errors/imapflags.sieve	tests/deprecated/imapflags/errors/conflict.sieve
M	tests/deprecated/notify/errors.svtest
A	tests/deprecated/notify/errors/conflict-ihave.sieve
A	tests/deprecated/notify/errors/conflict.sieve

2016-03-27 23:48:44 +0200 Stephan Bosch <stephan@rename-it.nl> (cb2f60e3)

    lib-sieve: Implemented the dovecot-specific "vnd.dovecot.report".

    It allows sending feedback report (RFC 5965) messages.

M	Makefile.am
M	configure.ac
A	doc/rfc/spec-bosch-sieve-report.txt
A	doc/rfc/xml/reference.IMAPSIEVE.xml
A	doc/rfc/xml/reference.MARF.xml
A	doc/rfc/xml/reference.RFC.2045.xml
A	doc/rfc/xml/reference.RFC.3834.xml
A	doc/rfc/xml/spec-bosch-sieve-report.xml
M	src/lib-sieve/Makefile.am
M	src/lib-sieve/plugins/vnd.dovecot/Makefile.am
A	src/lib-sieve/plugins/vnd.dovecot/report/Makefile.am
A	src/lib-sieve/plugins/vnd.dovecot/report/cmd-report.c
A	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.c
A	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report-common.h
A	src/lib-sieve/plugins/vnd.dovecot/report/ext-vnd-report.c
M	src/lib-sieve/sieve-extensions.c
A	tests/extensions/vnd.dovecot/report/errors.svtest
A	tests/extensions/vnd.dovecot/report/errors/syntax.sieve
A	tests/extensions/vnd.dovecot/report/execute.svtest

2016-03-27 23:47:44 +0200 Stephan Bosch <stephan@rename-it.nl> (b1e2bbd7)

    imapsieve plugins: Fixed compiler warning.


M	src/plugins/imapsieve/imap-sieve-storage.c

2016-03-27 23:41:10 +0200 Stephan Bosch <stephan@rename-it.nl> (08c6a402)

    Documented the new IMAPSIEVE plugins.


M	INSTALL
A	doc/plugins/imapsieve.txt
A	doc/rfc/imapsieve.rfc6785.txt
M	src/plugins/imapsieve/ext-imapsieve.c

2016-03-27 16:44:20 +0200 Stephan Bosch <stephan@rename-it.nl> (dbe03ae2)

    Implemented the imapsieve extension for Sieve and IMAP as a plugin.


M	TODO
M	configure.ac
M	src/plugins/Makefile.am
A	src/plugins/imapsieve/Makefile.am
A	src/plugins/imapsieve/ext-imapsieve-common.h
A	src/plugins/imapsieve/ext-imapsieve-environment.c
A	src/plugins/imapsieve/ext-imapsieve.c
A	src/plugins/imapsieve/imap-sieve-plugin.c
A	src/plugins/imapsieve/imap-sieve-plugin.h
A	src/plugins/imapsieve/imap-sieve-storage.c
A	src/plugins/imapsieve/imap-sieve-storage.h
A	src/plugins/imapsieve/imap-sieve.c
A	src/plugins/imapsieve/imap-sieve.h
A	src/plugins/imapsieve/sieve-imapsieve-plugin.c
A	src/plugins/imapsieve/sieve-imapsieve-plugin.h

2016-03-27 16:41:20 +0200 Stephan Bosch <stephan@rename-it.nl> (b190d77b)

    lib-sieve: Added support for running the Sieve interpreter without an
    envelope.


M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/plugins/vacation/ext-vacation.c
M	src/lib-sieve/sieve-types.h

2016-03-27 16:40:20 +0200 Stephan Bosch <stephan@rename-it.nl> (4dce44be)

    lib-sieve: Added support for evaluating extension availability (ihave test)
    at runtime.


M	src/lib-sieve/plugins/date/ext-date-common.c
M	src/lib-sieve/plugins/ihave/cmd-error.c
M	src/lib-sieve/plugins/ihave/ext-ihave-common.h
M	src/lib-sieve/plugins/ihave/ext-ihave.c
M	src/lib-sieve/plugins/ihave/tst-ihave.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/include/ext-include-common.c
M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/sieve-ast.c
M	src/lib-sieve/sieve-ast.h
M	src/lib-sieve/sieve-binary.h
M	src/lib-sieve/sieve-code-dumper.c
M	src/lib-sieve/sieve-generator.c
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-match-types.c
M	src/lib-sieve/sieve-validator.c
M	src/testsuite/testsuite-common.c

2016-03-25 02:48:06 +0100 Stephan Bosch <stephan@rename-it.nl> (222c5af0)

    lib-sieve: Notify extensions about whether they are loaded in the validator
    optionally (ihave extension).


M	src/lib-sieve/plugins/duplicate/ext-duplicate.c
M	src/lib-sieve/plugins/ihave/tst-ihave.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/mime/ext-extracttext.c
M	src/lib-sieve/plugins/notify/ext-notify.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest.c
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/sieve-validator.h
M	src/plugins/sieve-extprograms/ext-pipe.c

2016-03-25 01:47:49 +0100 Stephan Bosch <stephan@rename-it.nl> (ac77b22b)

    lib-sieve: Improved handling of extension conflicts.

    Conflicts are now always tested from both sides. This is mainly important
    for the "ihave" test.

M	src/lib-sieve/plugins/duplicate/ext-duplicate.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/mime/ext-extracttext.c
M	src/lib-sieve/plugins/notify/ext-notify.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest.c
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/sieve-validator.h
M	src/plugins/sieve-extprograms/ext-pipe.c

2016-03-23 02:41:46 +0100 Stephan Bosch <stephan@rename-it.nl> (a95b0579)

    lib-sieve: program client: local: Destroy the output stream before the fd is
    closed.

    An earlier change exposed this bug. Before, it was always a socket, and
    closing the output early meant using shutdown() rather than close(). This
    bug caused an assert failure.

M	src/lib-sieve/util/program-client.c

2016-03-21 20:57:29 +0100 Sebastian <sebix@sebix.at> (dee854ed)

    Allow X-Original-To for address test


M	src/lib-sieve/tst-address.c

2016-03-19 17:05:28 +0100 Stephan Bosch <stephan@rename-it.nl> (75e241fa)

    lib-sieve: Added support for bluntly replacing extensions.


M	src/lib-sieve/sieve-extensions.c
M	src/lib-sieve/sieve-extensions.h

2016-03-19 17:04:28 +0100 Stephan Bosch <stephan@rename-it.nl> (aa5a9a93)

    lib-sieve: Added execution flag that defers handling of keep to the caller.


M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-types.h

2016-03-19 17:03:28 +0100 Stephan Bosch <stephan@rename-it.nl> (fb69bc52)

    lib-sieve: Renamed sieve_runtime_flags to sieve_execute_flags and made these
    available to result execution.


M	src/lib-sieve/plugins/include/ext-include-common.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve-runtime.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/sieve-tools/sieve-test.c
M	src/testsuite/testsuite-result.c
M	src/testsuite/testsuite-script.c

2016-03-18 02:58:25 +0100 Stephan Bosch <stephan@rename-it.nl> (8d1b0810)

    lib-sieve: util: Fixed message header composition functions to turn newlines
    into proper header line continuations.


M	src/lib-sieve/util/rfc2822.c

2016-03-09 22:11:21 +0100 Stephan Bosch <stephan@rename-it.nl> (1d36af65)

    Documented the new sieve_implicit_extensions setting.


M	INSTALL

2016-03-09 21:35:37 +0100 Stephan Bosch <stephan@rename-it.nl> (355dfd82)

    Added v0.4.12 to NEWS.


M	NEWS

2016-03-09 19:23:26 +0100 Stephan Bosch <stephan@rename-it.nl> (c2bca55b)

    lib-sieve: redirect action: Made mail loop detection more robust by forcibly
    adding a Message-ID header if it is missing.


M	src/lib-sieve/cmd-redirect.c

2016-03-08 17:48:43 +0100 Stephan Bosch <stephan@rename-it.nl> (b188844f)

    Merge branch 'master' of git.dovecot.net:pigeonhole/core


2016-03-02 13:01:13 +0100 Stephan Bosch <stephan@rename-it.nl> (0cfa05d0)

    Adjusted to changes in Dovecot lib-storage API/ABI.

    Struct mail_vfuncs has an additional method now.

M	src/lib-sieve/util/edit-mail.c

2016-02-29 18:05:37 +0100 Stephan Bosch <stephan@rename-it.nl> (75498e45)

    doc/man: doveadm sieve: Clarified that the script name has no ".sieve"
    extension.


M	doc/man/doveadm-sieve.1.in

2016-02-29 13:26:29 +0100 Stephan Bosch <stephan@dovecot.fi> (5181c14c)

    lib-sieve: validator: Prevent duplicate registration of persistent command
    tags.


M	src/lib-sieve/sieve-validator.c

2016-02-29 13:08:59 +0100 Stephan Bosch <stephan@dovecot.fi> (61780582)

    lib-sieve: imap4flags: Created API for registering the implicit flags
    side-effect with commands.

    This is needed for other extensions that manipulate flags while the
    imap4flags extension is not used directly.

M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h

2016-02-29 01:51:04 +0100 Stephan Bosch <stephan@rename-it.nl> (da266d81)

    lib-sieve: redirect action: Added list-id header to the duplicate ID for
    mail loop prevention.

    This prevents a conflict between the message coming through a mailing list
    and a copy of that message recieved directly. If both of these have the same
    message ID, one of these messages would be discarded (or worse: delivered
    locally) when redirected.

M	src/lib-sieve/cmd-redirect.c

2016-02-27 13:28:37 +0100 Stephan Bosch <stephan@rename-it.nl> (93e501fe)

    lib-sieve: Omit logging message for "script not found" during normal script
    compile.

    The caller will normally handle this and it will handle it better with more
    context information. This also produced a spurious "script not found" error
    message when an entry but no attribute existed for an LDAP-based Sieve
    script.

M	src/lib-sieve/sieve.c

2016-02-27 13:28:22 +0100 Stephan Bosch <stephan@rename-it.nl> (2be3992e)

    lib-sieve: ldap storage: Clarified "script not found" errors a bit so that
    it is clear at which stage it occurrs.


M	src/lib-sieve/storage/ldap/sieve-ldap-script.c

2016-02-22 20:53:46 +0100 Stephan Bosch <stephan@rename-it.nl> (d28957f5)

    lib-sieve: util: program-client-local: Changed link between parent and child
    process from a socketpair to a double pipe.

    Turns out /dev/stdin, /dev/stdout, and /dev/fd/XX don't work on Linux if the
    underlying FD is a socket. Since some programs may rely on those symbolic
    links to work, the local client is amended to use two pipes instead. This
    will not help for programs invoked in the remote script service, since a
    socket is required for the connection.

M	src/lib-sieve/util/program-client-local.c
A	tests/plugins/extprograms/bin/cat-stdin
M	tests/plugins/extprograms/execute/execute.svtest

2016-02-22 20:48:58 +0100 Stephan Bosch <stephan@rename-it.nl> (b83db1dc)

    lib-sieve: util: program-client: Made shutting down output towards program
    more efficient.

    Shutdown is now called only once. If there is no used input side to the FD,
    it is now closed entirely.

M	src/lib-sieve/util/program-client-local.c
M	src/lib-sieve/util/program-client-remote.c

2016-02-22 20:30:36 +0100 Stephan Bosch <stephan@rename-it.nl> (63080455)

    lib-sieve: util: program-client-local: Made FD handling in child process a
    little more robust.

    Prevent mishaps with dup2(); e.g., when source and destination are
    identicial, which could happen.

M	src/lib-sieve/util/program-client-local.c

2016-02-14 23:27:12 +0100 Stephan Bosch <stephan@rename-it.nl> (7ba41a7c)

    Removed some remaining real addresses/domains from the test suite.


M	src/testsuite/testsuite-message.c
M	tests/compile/trivial.sieve
M	tests/plugins/extprograms/bin/stderr

2016-02-13 00:40:48 +0100 Stephan Bosch <stephan@rename-it.nl> (0de2a195)

    lib-sieve: Implemented sieve_implicit_extensions setting.

    The extensions listed in this setting do not need to be enabled explicitly
    using the Sieve require command. This behavior voilates the standard, but is
    necessary for compatibility with some existing implementations of Sieve. Do
    not use this setting unless you really need to!

M	src/lib-sieve/sieve-extensions.c
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/sieve-validator.h
M	src/lib-sieve/sieve.c

2016-02-12 22:19:46 +0100 Stephan Bosch <stephan@rename-it.nl> (f37f0165)

    lib-sieve: Changed Sieve number type to uint64.

    Fixed a few printf format problems in the process. Updated test suite to
    account for the new number width.

M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/tst-size.c
M	src/testsuite/cmd-test-message.c
M	tests/compile/errors.svtest
M	tests/compile/errors/lexer.sieve

2016-02-12 21:38:09 +0100 Stephan Bosch <stephan@rename-it.nl> (b899aa34)

    lib-sieve: code: Made jump offset code generation a bit more robust against
    integer overflow mishaps.


M	src/lib-sieve/sieve-binary-code.c

2016-02-12 21:19:52 +0100 Stephan Bosch <stephan@rename-it.nl> (60ad07ad)

    lib-sieve: lexer: Updated number parsing to use Dovecot strnum.h.


M	src/lib-sieve/sieve-lexer.c

2016-01-27 01:25:42 +0100 Stephan Bosch <stephan@rename-it.nl> (77e7e81f)

    configure: Changed version number to v0.4.devel.

    The actual version numbers live only on the release-branches from now on.

M	configure.ac

2016-01-27 01:21:07 +0100 Stephan Bosch <stephan@rename-it.nl> (4fd43c3c)

    configure: Matched first few lines with Dovecot's configure.ac.


M	configure.ac

2016-01-26 23:21:50 +0100 Stephan Bosch <stephan@rename-it.nl> (3d48d756)

    Makefile: Added run-test.sh to be cleaned by distclean.


M	Makefile.am

2016-01-26 21:48:05 +0100 Stephan Bosch <stephan@rename-it.nl> (311a2090)

    Increased ABI version.


M	configure.ac

2016-01-26 21:29:54 +0100 Stephan Bosch <stephan@rename-it.nl> (fd9f5795)

    ChangeLog: Generate Mercurial-style changelogs

    Mimics similar change in Dovecot.

M	Makefile.am
M	autogen.sh

2016-01-19 22:33:02 +0100 Stephan Bosch <stephan@rename-it.nl> (71e908a1)

    managesieve-login: Fixed proxy to allow SASL mechanisms other than PLAIN.
    Also made sure that any capability-derived state information is reset
    properly before a new capability reply is to be parsed.


M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-proxy.c

2016-01-19 22:03:17 +0100 Stephan Bosch <stephan@rename-it.nl> (2bb0c624)

    Fixed recurring language mistake.


M	NEWS
M	doc/extensions/spamtest-virustest.txt
M	doc/man/sieve-test.1.in
M	src/lib-sieve/plugins/variables/ext-variables-name.h
M	src/managesieve-login/managesieve-proxy.c
M	tests/compile/errors/if.sieve

2016-01-17 20:08:32 +0100 Stephan Bosch <stephan@rename-it.nl> (9e93a502)

    Fixed the document name of the vnd.dovecot.environment specification.


M	doc/rfc/spec-bosch-sieve-dovecot-environment.txt
M	doc/rfc/xml/spec-bosch-sieve-dovecot-environment.xml

2016-01-16 00:09:25 +0100 Stephan Bosch <stephan@rename-it.nl> (3a29a267)

    Merge branch 'master' of git.dovecot.net:pigeonhole/core


2016-01-16 00:07:05 +0100 Stephan Bosch <stephan@rename-it.nl> (16362ac8)

    lib-sieve: multiscript: Fixed bug in handling of (implicit) keep; final keep
    action was executed as though there was a failure. Among other things, this
    caused the keep action to revert back to the initial message, causing
    editheader actions to be ignored.


M	Makefile.am
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve.c
A	tests/extensions/editheader/execute.svtest
A	tests/extensions/editheader/execute/multiscript-after.sieve
A	tests/extensions/editheader/execute/multiscript-before.sieve
A	tests/extensions/editheader/execute/multiscript-personal.sieve

2016-01-14 02:28:46 +0100 Stephan Bosch <stephan@rename-it.nl> (cf873f14)

    LDA Sieve plugin: Removed useless assignment. Addresses LLVM scan-build
    report.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2016-01-14 02:16:53 +0100 Stephan Bosch <stephan@rename-it.nl> (62279853)

    lib-sieve: ldap storage: Prevent segfault occurring when assigning global
    configuration options.


M	src/lib-sieve/storage/ldap/sieve-ldap-db.c

2016-01-14 01:30:20 +0100 Stephan Bosch <stephan@rename-it.nl> (a66a4af8)

    lib-sieve: storage: Local variable in
    sieve_storage_active_script_is_default() wasn't always properly initialized.
    This was a LLVM scan-build report.


M	src/lib-sieve/sieve-storage.c

2016-01-10 02:11:04 +0100 Stephan Bosch <stephan@rename-it.nl> (3f32cd00)

    Updated description of user log in the README file.


M	README

2016-01-09 22:54:06 +0100 Stephan Bosch <stephan@rename-it.nl> (3446fef1)

    Forgot to remove is-tagged.py from Makefile.am.


M	Makefile.am

2016-01-09 20:58:56 +0100 Stephan Bosch <stephan@rename-it.nl> (45bc3d90)

    lib-sieve: imap4flags extension: Similar problem as previous commit, but
    relating to retrieval rather than manipulation.


M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h
M	src/lib-sieve/plugins/imap4flags/tst-hasflag.c

2016-01-09 20:26:06 +0100 Stephan Bosch <stephan@rename-it.nl> (61127ef9)

    lib-sieve: imap4flags extension: Fixed problem in public flag manipulation
    API. Flags weren't always assigned properly, because the internal variable
    was not retrieved correctly.


M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h

2016-01-09 16:00:04 +0100 Stephan Bosch <stephan@rename-it.nl> (0a593901)

    Updated TODO.


M	TODO

2016-01-09 15:59:03 +0100 Stephan Bosch <stephan@rename-it.nl> (1596c777)

    Updated Sieve extension support information in README.


M	README

2016-01-09 15:10:49 +0100 Stephan Bosch <stephan@rename-it.nl> (060c7bd4)

    Updated dovecot.m4 to the latest version.


M	m4/dovecot.m4

2016-01-09 12:54:47 +0100 Stephan Bosch <stephan@rename-it.nl> (2d92fd87)

    Switched from hg to git.


A	.gitignore
D	.hgignore
D	.hgsigs
M	Makefile.am
D	is-tagged.py
M	update-version.sh

2016-01-08 22:27:34 +0100 Stephan Bosch <stephan@rename-it.nl> (f3817d68)

    lib-sieve: imap4flags extension: Forgot to check for empty flag/keyword in
    new flag checking function.


M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c

2016-01-08 22:05:03 +0100 Stephan Bosch <stephan@rename-it.nl> (a68816ee)

    lib-sieve: imap4flags extension: Made flag syntax checking available to
    other extensions.


M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (9d7a19d9)

    Implemented Sieve extracttext extension.


M	Makefile.am
M	src/lib-sieve/plugins/mime/Makefile.am
A	src/lib-sieve/plugins/mime/cmd-extracttext.c
A	src/lib-sieve/plugins/mime/ext-extracttext.c
M	src/lib-sieve/plugins/mime/ext-mime-common.h
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/lib-sieve/sieve-extensions.c
M	tests/extensions/mime/errors.svtest
A	tests/extensions/mime/errors/extracttext-nofep.sieve
A	tests/extensions/mime/errors/extracttext-novar.sieve
A	tests/extensions/mime/errors/extracttext.sieve
A	tests/extensions/mime/extracttext.svtest

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (b8b6f750)

    lib-sieve: message body: Amended messaage part API with some more access
    functions. Added support for getting message part information and content.


M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-message.h

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (b2444c8d)

    lib-sieve: foreverypart extension: Improved byte code generated around break
    command. Prevents useless jumps after break operation.


M	src/lib-sieve/plugins/mime/cmd-break.c

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (0caef4ef)

    lib-sieve: Added support for having multiple instances of a single tag
    (type) within a single command.


M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-validator.c

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (823d2903)

    lib-sieve: Cleaned up object definitions using newer C99 syntax.


M	src/lib-sieve/cmp-i-ascii-casemap.c
M	src/lib-sieve/cmp-i-octet.c
M	src/lib-sieve/mcht-contains.c
M	src/lib-sieve/mcht-is.c
M	src/lib-sieve/mcht-matches.c
M	src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c
M	src/lib-sieve/plugins/copy/ext-copy.c
M	src/lib-sieve/plugins/include/ext-include-variables.c
M	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c
M	src/lib-sieve/plugins/regex/mcht-regex.c
M	src/lib-sieve/plugins/relational/mcht-count.c
M	src/lib-sieve/plugins/relational/mcht-value.c
M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-variables.c
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-objects.h
M	src/testsuite/testsuite-objects.c
M	src/testsuite/testsuite-substitutions.c

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (877f8247)

    lib-sieve: Cleaned up byte code operand and operation definitions using
    newer C99 syntax.


M	src/lib-sieve/cmd-discard.c
M	src/lib-sieve/cmd-keep.c
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/cmd-stop.c
M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-fileinto.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/plugins/body/tst-body.c
M	src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c
M	src/lib-sieve/plugins/copy/ext-copy.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-addheader.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/tst-notify-method-capability.c
M	src/lib-sieve/plugins/enotify/tst-valid-notify-method.c
M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c
M	src/lib-sieve/plugins/environment/tst-environment.c
M	src/lib-sieve/plugins/ihave/cmd-error.c
M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/tag-flags.c
M	src/lib-sieve/plugins/imap4flags/tst-hasflag.c
M	src/lib-sieve/plugins/include/cmd-global.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/cmd-return.c
M	src/lib-sieve/plugins/index/tag-index.c
M	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c
M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c
M	src/lib-sieve/plugins/metadata/tst-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadataexists.c
M	src/lib-sieve/plugins/mime/cmd-break.c
M	src/lib-sieve/plugins/mime/cmd-foreverypart.c
M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/regex/ext-regex-common.c
M	src/lib-sieve/plugins/relational/ext-relational-common.c
M	src/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c
M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.c
M	src/lib-sieve/plugins/variables/ext-variables-operands.c
M	src/lib-sieve/plugins/variables/tst-string.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-variables.c
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-code.c
M	src/lib-sieve/sieve-comparators.c
M	src/lib-sieve/sieve-match-types.c
M	src/lib-sieve/tst-address.c
M	src/lib-sieve/tst-exists.c
M	src/lib-sieve/tst-header.c
M	src/lib-sieve/tst-size.c
M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/testsuite/cmd-test-binary.c
M	src/testsuite/cmd-test-config.c
M	src/testsuite/cmd-test-fail.c
M	src/testsuite/cmd-test-imap-metadata.c
M	src/testsuite/cmd-test-mailbox.c
M	src/testsuite/cmd-test-message.c
M	src/testsuite/cmd-test-result.c
M	src/testsuite/cmd-test-set.c
M	src/testsuite/cmd-test.c
M	src/testsuite/testsuite-objects.c
M	src/testsuite/testsuite-substitutions.c
M	src/testsuite/testsuite-variables.c
M	src/testsuite/tst-test-error.c
M	src/testsuite/tst-test-multiscript.c
M	src/testsuite/tst-test-result-action.c
M	src/testsuite/tst-test-result-execute.c
M	src/testsuite/tst-test-script-compile.c
M	src/testsuite/tst-test-script-run.c

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (3d33283d)

    lib-sieve: Cleaned up command definitions using newer C99 syntax.


M	src/lib-sieve/cmd-discard.c
M	src/lib-sieve/cmd-if.c
M	src/lib-sieve/cmd-keep.c
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/cmd-require.c
M	src/lib-sieve/cmd-stop.c
M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-fileinto.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/plugins/body/tst-body.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-addheader.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/tst-notify-method-capability.c
M	src/lib-sieve/plugins/enotify/tst-valid-notify-method.c
M	src/lib-sieve/plugins/environment/tst-environment.c
M	src/lib-sieve/plugins/ihave/cmd-error.c
M	src/lib-sieve/plugins/ihave/tst-ihave.c
M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/imap4flags/tst-hasflag.c
M	src/lib-sieve/plugins/include/cmd-global.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/cmd-return.c
M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c
M	src/lib-sieve/plugins/metadata/tst-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadataexists.c
M	src/lib-sieve/plugins/mime/cmd-break.c
M	src/lib-sieve/plugins/mime/cmd-foreverypart.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/tst-string.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c
M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/tst-address.c
M	src/lib-sieve/tst-allof.c
M	src/lib-sieve/tst-anyof.c
M	src/lib-sieve/tst-exists.c
M	src/lib-sieve/tst-header.c
M	src/lib-sieve/tst-not.c
M	src/lib-sieve/tst-size.c
M	src/lib-sieve/tst-truefalse.c
M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/testsuite/cmd-test-binary.c
M	src/testsuite/cmd-test-config.c
M	src/testsuite/cmd-test-fail.c
M	src/testsuite/cmd-test-imap-metadata.c
M	src/testsuite/cmd-test-mailbox.c
M	src/testsuite/cmd-test-message.c
M	src/testsuite/cmd-test-result.c
M	src/testsuite/cmd-test-set.c
M	src/testsuite/cmd-test.c
M	src/testsuite/tst-test-error.c
M	src/testsuite/tst-test-multiscript.c
M	src/testsuite/tst-test-result-action.c
M	src/testsuite/tst-test-result-execute.c
M	src/testsuite/tst-test-script-compile.c
M	src/testsuite/tst-test-script-run.c

2016-01-08 20:49:39 +0100 Stephan Bosch <stephan@rename-it.nl> (2677f978)

    lib-sieve: Cleaned up command argument definitions using newer C99 syntax.


M	src/lib-sieve/ext-encoded-character.c
M	src/lib-sieve/plugins/body/tst-body.c
M	src/lib-sieve/plugins/copy/ext-copy.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-addheader.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/imap4flags/tag-flags.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/index/tag-index.c
M	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c
M	src/lib-sieve/plugins/mime/cmd-break.c
M	src/lib-sieve/plugins/mime/cmd-foreverypart.c
M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.c
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-commands.c
M	src/lib-sieve/sieve-comparators.c
M	src/lib-sieve/sieve-match-types.c
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/tst-size.c
M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/testsuite/cmd-test-config.c
M	src/testsuite/cmd-test-imap-metadata.c
M	src/testsuite/cmd-test-message.c
M	src/testsuite/testsuite-arguments.c
M	src/testsuite/testsuite-objects.c
M	src/testsuite/testsuite-substitutions.c
M	src/testsuite/tst-test-error.c
M	src/testsuite/tst-test-result-action.c
M	src/testsuite/tst-test-script-run.c

2016-01-08 20:07:51 +0100 Stephan Bosch <stephan@rename-it.nl> (45f46f03)

    Added signature for changeset 80146e7670e9


M	.hgsigs

2016-01-08 19:15:44 +0100 Stephan Bosch <stephan@rename-it.nl> (7da5ae6e)

    Added tag 0.4.11 for changeset 80146e7670e9


2016-01-08 19:15:33 +0100 Stephan Bosch <stephan@rename-it.nl> (9d7b1725)

    Released v0.4.11 for Dovecot v2.2.21.


M	NEWS
M	configure.ac

2016-01-07 22:20:21 +0100 Stephan Bosch <stephan@rename-it.nl> (dd66c5f3)

    lib-sieve: util: realpath: Make Coverity happier.


M	src/lib-sieve/util/realpath.c

2016-01-07 22:09:50 +0100 Stephan Bosch <stephan@rename-it.nl> (d576f532)

    lib-sieve: util: Fixed source code indentation in realpath.c.


M	src/lib-sieve/util/realpath.c

2016-01-04 01:19:02 +0100 Stephan Bosch <stephan@rename-it.nl> (c405da95)

    Added signature for changeset ce96bdac1f74


M	.hgsigs

2016-01-04 01:14:24 +0100 Stephan Bosch <stephan@rename-it.nl> (3ef7f9d7)

    Added tag 0.4.11.rc1 for changeset ce96bdac1f74


2016-01-04 01:14:15 +0100 Stephan Bosch <stephan@rename-it.nl> (439ad92d)

    Released v0.4.11.rc1 for Dovecot v2.2.21.


M	NEWS
M	configure.ac

2016-01-04 00:19:02 +0100 Stephan Bosch <stephan@rename-it.nl> (51b2276f)

    Updated copyright notices to include the year 2016.


M	doc/man/doveadm-sieve.1.in
M	doc/man/pigeonhole.7.in
M	doc/man/sieve-dump.1.in
M	doc/man/sieve-filter.1.in
M	doc/man/sieve-test.1.in
M	doc/man/sievec.1.in
M	src/lib-managesieve/managesieve-arg.c
M	src/lib-managesieve/managesieve-arg.h
M	src/lib-managesieve/managesieve-parser.c
M	src/lib-managesieve/managesieve-parser.h
M	src/lib-managesieve/managesieve-quote.c
M	src/lib-managesieve/managesieve-quote.h
M	src/lib-sieve-tool/mail-raw.c
M	src/lib-sieve-tool/mail-raw.h
M	src/lib-sieve-tool/sieve-tool.c
M	src/lib-sieve-tool/sieve-tool.h
M	src/lib-sieve/cmd-discard.c
M	src/lib-sieve/cmd-if.c
M	src/lib-sieve/cmd-keep.c
M	src/lib-sieve/cmd-redirect.c
M	src/lib-sieve/cmd-require.c
M	src/lib-sieve/cmd-stop.c
M	src/lib-sieve/cmp-i-ascii-casemap.c
M	src/lib-sieve/cmp-i-octet.c
M	src/lib-sieve/ext-encoded-character.c
M	src/lib-sieve/ext-envelope.c
M	src/lib-sieve/ext-fileinto.c
M	src/lib-sieve/ext-reject.c
M	src/lib-sieve/mcht-contains.c
M	src/lib-sieve/mcht-is.c
M	src/lib-sieve/mcht-matches.c
M	src/lib-sieve/plugins/body/ext-body-common.c
M	src/lib-sieve/plugins/body/ext-body-common.h
M	src/lib-sieve/plugins/body/ext-body.c
M	src/lib-sieve/plugins/body/tst-body.c
M	src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c
M	src/lib-sieve/plugins/copy/ext-copy.c
M	src/lib-sieve/plugins/copy/sieve-ext-copy.h
M	src/lib-sieve/plugins/date/ext-date-common.c
M	src/lib-sieve/plugins/date/ext-date-common.h
M	src/lib-sieve/plugins/date/ext-date.c
M	src/lib-sieve/plugins/date/tst-date.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.c
M	src/lib-sieve/plugins/duplicate/ext-duplicate-common.h
M	src/lib-sieve/plugins/duplicate/ext-duplicate.c
M	src/lib-sieve/plugins/duplicate/tst-duplicate.c
M	src/lib-sieve/plugins/editheader/cmd-addheader.c
M	src/lib-sieve/plugins/editheader/cmd-deleteheader.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.c
M	src/lib-sieve/plugins/editheader/ext-editheader-common.h
M	src/lib-sieve/plugins/editheader/ext-editheader-limits.h
M	src/lib-sieve/plugins/editheader/ext-editheader.c
M	src/lib-sieve/plugins/enotify/cmd-notify.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.c
M	src/lib-sieve/plugins/enotify/ext-enotify-common.h
M	src/lib-sieve/plugins/enotify/ext-enotify-limits.h
M	src/lib-sieve/plugins/enotify/ext-enotify.c
M	src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.c
M	src/lib-sieve/plugins/enotify/mailto/uri-mailto.h
M	src/lib-sieve/plugins/enotify/sieve-ext-enotify.h
M	src/lib-sieve/plugins/enotify/tst-notify-method-capability.c
M	src/lib-sieve/plugins/enotify/tst-valid-notify-method.c
M	src/lib-sieve/plugins/enotify/vmodf-encodeurl.c
M	src/lib-sieve/plugins/environment/ext-environment-common.c
M	src/lib-sieve/plugins/environment/ext-environment-common.h
M	src/lib-sieve/plugins/environment/ext-environment.c
M	src/lib-sieve/plugins/environment/sieve-ext-environment.h
M	src/lib-sieve/plugins/environment/tst-environment.c
M	src/lib-sieve/plugins/ihave/cmd-error.c
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.c
M	src/lib-sieve/plugins/ihave/ext-ihave-binary.h
M	src/lib-sieve/plugins/ihave/ext-ihave-common.c
M	src/lib-sieve/plugins/ihave/ext-ihave-common.h
M	src/lib-sieve/plugins/ihave/ext-ihave.c
M	src/lib-sieve/plugins/ihave/tst-ihave.c
M	src/lib-sieve/plugins/imap4flags/cmd-flag.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.c
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags-common.h
M	src/lib-sieve/plugins/imap4flags/ext-imap4flags.c
M	src/lib-sieve/plugins/imap4flags/ext-imapflags.c
M	src/lib-sieve/plugins/imap4flags/sieve-ext-imap4flags.h
M	src/lib-sieve/plugins/imap4flags/tag-flags.c
M	src/lib-sieve/plugins/imap4flags/tst-hasflag.c
M	src/lib-sieve/plugins/include/cmd-global.c
M	src/lib-sieve/plugins/include/cmd-include.c
M	src/lib-sieve/plugins/include/cmd-return.c
M	src/lib-sieve/plugins/include/ext-include-binary.c
M	src/lib-sieve/plugins/include/ext-include-binary.h
M	src/lib-sieve/plugins/include/ext-include-common.c
M	src/lib-sieve/plugins/include/ext-include-common.h
M	src/lib-sieve/plugins/include/ext-include-limits.h
M	src/lib-sieve/plugins/include/ext-include-variables.c
M	src/lib-sieve/plugins/include/ext-include-variables.h
M	src/lib-sieve/plugins/include/ext-include.c
M	src/lib-sieve/plugins/index/ext-index-common.c
M	src/lib-sieve/plugins/index/ext-index-common.h
M	src/lib-sieve/plugins/index/ext-index.c
M	src/lib-sieve/plugins/index/tag-index.c
M	src/lib-sieve/plugins/mailbox/ext-mailbox-common.h
M	src/lib-sieve/plugins/mailbox/ext-mailbox.c
M	src/lib-sieve/plugins/mailbox/sieve-ext-mailbox.h
M	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c
M	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c
M	src/lib-sieve/plugins/metadata/ext-metadata-common.h
M	src/lib-sieve/plugins/metadata/ext-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadata.c
M	src/lib-sieve/plugins/metadata/tst-metadataexists.c
M	src/lib-sieve/plugins/mime/cmd-break.c
M	src/lib-sieve/plugins/mime/cmd-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-mime-common.c
M	src/lib-sieve/plugins/mime/ext-mime-common.h
M	src/lib-sieve/plugins/mime/ext-mime.c
M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/plugins/notify/cmd-denotify.c
M	src/lib-sieve/plugins/notify/cmd-notify.c
M	src/lib-sieve/plugins/notify/ext-notify-common.c
M	src/lib-sieve/plugins/notify/ext-notify-common.h
M	src/lib-sieve/plugins/notify/ext-notify-limits.h
M	src/lib-sieve/plugins/notify/ext-notify.c
M	src/lib-sieve/plugins/regex/ext-regex-common.c
M	src/lib-sieve/plugins/regex/ext-regex-common.h
M	src/lib-sieve/plugins/regex/ext-regex.c
M	src/lib-sieve/plugins/regex/mcht-regex.c
M	src/lib-sieve/plugins/relational/ext-relational-common.c
M	src/lib-sieve/plugins/relational/ext-relational-common.h
M	src/lib-sieve/plugins/relational/ext-relational.c
M	src/lib-sieve/plugins/relational/mcht-count.c
M	src/lib-sieve/plugins/relational/mcht-value.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.h
M	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest.c
M	src/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c
M	src/lib-sieve/plugins/subaddress/ext-subaddress.c
M	src/lib-sieve/plugins/vacation/cmd-vacation.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.c
M	src/lib-sieve/plugins/vacation/ext-vacation-common.h
M	src/lib-sieve/plugins/vacation/ext-vacation-seconds.c
M	src/lib-sieve/plugins/vacation/ext-vacation.c
M	src/lib-sieve/plugins/variables/cmd-set.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.c
M	src/lib-sieve/plugins/variables/ext-variables-arguments.h
M	src/lib-sieve/plugins/variables/ext-variables-common.c
M	src/lib-sieve/plugins/variables/ext-variables-common.h
M	src/lib-sieve/plugins/variables/ext-variables-dump.c
M	src/lib-sieve/plugins/variables/ext-variables-dump.h
M	src/lib-sieve/plugins/variables/ext-variables-limits.h
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.c
M	src/lib-sieve/plugins/variables/ext-variables-modifiers.h
M	src/lib-sieve/plugins/variables/ext-variables-name.c
M	src/lib-sieve/plugins/variables/ext-variables-name.h
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.c
M	src/lib-sieve/plugins/variables/ext-variables-namespaces.h
M	src/lib-sieve/plugins/variables/ext-variables-operands.c
M	src/lib-sieve/plugins/variables/ext-variables-operands.h
M	src/lib-sieve/plugins/variables/ext-variables.c
M	src/lib-sieve/plugins/variables/sieve-ext-variables.h
M	src/lib-sieve/plugins/variables/tst-string.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug-common.h
M	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-common.h
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-items.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment-variables.c
M	src/lib-sieve/plugins/vnd.dovecot/environment/ext-vnd-environment.c
M	src/lib-sieve/sieve-actions.c
M	src/lib-sieve/sieve-actions.h
M	src/lib-sieve/sieve-address-parts.c
M	src/lib-sieve/sieve-address-parts.h
M	src/lib-sieve/sieve-address.c
M	src/lib-sieve/sieve-address.h
M	src/lib-sieve/sieve-ast.c
M	src/lib-sieve/sieve-ast.h
M	src/lib-sieve/sieve-binary-code.c
M	src/lib-sieve/sieve-binary-debug.c
M	src/lib-sieve/sieve-binary-dumper.c
M	src/lib-sieve/sieve-binary-dumper.h
M	src/lib-sieve/sieve-binary-file.c
M	src/lib-sieve/sieve-binary-private.h
M	src/lib-sieve/sieve-binary.c
M	src/lib-sieve/sieve-binary.h
M	src/lib-sieve/sieve-code-dumper.c
M	src/lib-sieve/sieve-code-dumper.h
M	src/lib-sieve/sieve-code.c
M	src/lib-sieve/sieve-code.h
M	src/lib-sieve/sieve-commands.c
M	src/lib-sieve/sieve-commands.h
M	src/lib-sieve/sieve-common.h
M	src/lib-sieve/sieve-comparators.c
M	src/lib-sieve/sieve-comparators.h
M	src/lib-sieve/sieve-config.h
M	src/lib-sieve/sieve-dump.h
M	src/lib-sieve/sieve-error-private.h
M	src/lib-sieve/sieve-error.c
M	src/lib-sieve/sieve-error.h
M	src/lib-sieve/sieve-extensions.c
M	src/lib-sieve/sieve-extensions.h
M	src/lib-sieve/sieve-generator.c
M	src/lib-sieve/sieve-generator.h
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-interpreter.h
M	src/lib-sieve/sieve-lexer.c
M	src/lib-sieve/sieve-lexer.h
M	src/lib-sieve/sieve-limits.h
M	src/lib-sieve/sieve-match-types.c
M	src/lib-sieve/sieve-match-types.h
M	src/lib-sieve/sieve-match.c
M	src/lib-sieve/sieve-match.h
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-message.h
M	src/lib-sieve/sieve-objects.c
M	src/lib-sieve/sieve-objects.h
M	src/lib-sieve/sieve-parser.c
M	src/lib-sieve/sieve-parser.h
M	src/lib-sieve/sieve-plugins.c
M	src/lib-sieve/sieve-plugins.h
M	src/lib-sieve/sieve-result.c
M	src/lib-sieve/sieve-result.h
M	src/lib-sieve/sieve-runtime-trace.c
M	src/lib-sieve/sieve-runtime-trace.h
M	src/lib-sieve/sieve-runtime.h
M	src/lib-sieve/sieve-script-private.h
M	src/lib-sieve/sieve-script.c
M	src/lib-sieve/sieve-script.h
M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/sieve-settings.h
M	src/lib-sieve/sieve-smtp.c
M	src/lib-sieve/sieve-smtp.h
M	src/lib-sieve/sieve-storage-private.h
M	src/lib-sieve/sieve-storage-sync.c
M	src/lib-sieve/sieve-storage.c
M	src/lib-sieve/sieve-storage.h
M	src/lib-sieve/sieve-stringlist.c
M	src/lib-sieve/sieve-stringlist.h
M	src/lib-sieve/sieve-types.h
M	src/lib-sieve/sieve-validator.c
M	src/lib-sieve/sieve-validator.h
M	src/lib-sieve/sieve.c
M	src/lib-sieve/sieve.h
M	src/lib-sieve/storage/dict/sieve-dict-script.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.c
M	src/lib-sieve/storage/dict/sieve-dict-storage.h
M	src/lib-sieve/storage/file/sieve-file-script-sequence.c
M	src/lib-sieve/storage/file/sieve-file-script.c
M	src/lib-sieve/storage/file/sieve-file-storage-active.c
M	src/lib-sieve/storage/file/sieve-file-storage-list.c
M	src/lib-sieve/storage/file/sieve-file-storage-quota.c
M	src/lib-sieve/storage/file/sieve-file-storage-save.c
M	src/lib-sieve/storage/file/sieve-file-storage.c
M	src/lib-sieve/storage/file/sieve-file-storage.h
M	src/lib-sieve/storage/ldap/sieve-ldap-db.c
M	src/lib-sieve/storage/ldap/sieve-ldap-script.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage-settings.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.c
M	src/lib-sieve/storage/ldap/sieve-ldap-storage.h
M	src/lib-sieve/tst-address.c
M	src/lib-sieve/tst-allof.c
M	src/lib-sieve/tst-anyof.c
M	src/lib-sieve/tst-exists.c
M	src/lib-sieve/tst-header.c
M	src/lib-sieve/tst-not.c
M	src/lib-sieve/tst-size.c
M	src/lib-sieve/tst-truefalse.c
M	src/lib-sieve/util/edit-mail.c
M	src/lib-sieve/util/edit-mail.h
M	src/lib-sieve/util/program-client-local.c
M	src/lib-sieve/util/program-client-private.h
M	src/lib-sieve/util/program-client-remote.c
M	src/lib-sieve/util/program-client.c
M	src/lib-sieve/util/program-client.h
M	src/lib-sieve/util/realpath.c
M	src/lib-sieve/util/rfc2822.c
M	src/lib-sieve/util/rfc2822.h
M	src/lib-sieve/util/strtrim.c
M	src/managesieve-login/client-authenticate.c
M	src/managesieve-login/client-authenticate.h
M	src/managesieve-login/client.c
M	src/managesieve-login/client.h
M	src/managesieve-login/managesieve-login-settings-plugin.c
M	src/managesieve-login/managesieve-login-settings-plugin.h
M	src/managesieve-login/managesieve-login-settings.c
M	src/managesieve-login/managesieve-login-settings.h
M	src/managesieve-login/managesieve-proxy.c
M	src/managesieve-login/managesieve-proxy.h
M	src/managesieve/cmd-capability.c
M	src/managesieve/cmd-deletescript.c
M	src/managesieve/cmd-getscript.c
M	src/managesieve/cmd-havespace.c
M	src/managesieve/cmd-listscripts.c
M	src/managesieve/cmd-logout.c
M	src/managesieve/cmd-noop.c
M	src/managesieve/cmd-putscript.c
M	src/managesieve/cmd-renamescript.c
M	src/managesieve/cmd-setactive.c
M	src/managesieve/main.c
M	src/managesieve/managesieve-capabilities.c
M	src/managesieve/managesieve-capabilities.h
M	src/managesieve/managesieve-client.c
M	src/managesieve/managesieve-client.h
M	src/managesieve/managesieve-commands.c
M	src/managesieve/managesieve-commands.h
M	src/managesieve/managesieve-common.h
M	src/managesieve/managesieve-quota.c
M	src/managesieve/managesieve-quota.h
M	src/managesieve/managesieve-settings.c
M	src/managesieve/managesieve-settings.h
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-activate.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-get.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-list.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-put.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd-rename.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.c
M	src/plugins/doveadm-sieve/doveadm-sieve-cmd.h
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.c
M	src/plugins/doveadm-sieve/doveadm-sieve-plugin.h
M	src/plugins/doveadm-sieve/doveadm-sieve-sync.c
M	src/plugins/lda-sieve/lda-sieve-log.c
M	src/plugins/lda-sieve/lda-sieve-log.h
M	src/plugins/lda-sieve/lda-sieve-plugin.c
M	src/plugins/lda-sieve/lda-sieve-plugin.h
M	src/plugins/settings/pigeonhole-settings.c
M	src/plugins/sieve-extprograms/cmd-execute.c
M	src/plugins/sieve-extprograms/cmd-filter.c
M	src/plugins/sieve-extprograms/cmd-pipe.c
M	src/plugins/sieve-extprograms/ext-execute.c
M	src/plugins/sieve-extprograms/ext-filter.c
M	src/plugins/sieve-extprograms/ext-pipe.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.c
M	src/plugins/sieve-extprograms/sieve-extprograms-common.h
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.c
M	src/plugins/sieve-extprograms/sieve-extprograms-plugin.h
M	src/sieve-tools/sieve-dump.c
M	src/sieve-tools/sieve-filter.c
M	src/sieve-tools/sieve-test.c
M	src/sieve-tools/sievec.c
M	src/testsuite/cmd-test-binary.c
M	src/testsuite/cmd-test-config.c
M	src/testsuite/cmd-test-fail.c
M	src/testsuite/cmd-test-imap-metadata.c
M	src/testsuite/cmd-test-mailbox.c
M	src/testsuite/cmd-test-message.c
M	src/testsuite/cmd-test-result.c
M	src/testsuite/cmd-test-set.c
M	src/testsuite/cmd-test.c
M	src/testsuite/ext-testsuite.c
M	src/testsuite/testsuite-arguments.c
M	src/testsuite/testsuite-arguments.h
M	src/testsuite/testsuite-binary.c
M	src/testsuite/testsuite-binary.h
M	src/testsuite/testsuite-common.c
M	src/testsuite/testsuite-common.h
M	src/testsuite/testsuite-log.c
M	src/testsuite/testsuite-log.h
M	src/testsuite/testsuite-mailstore.c
M	src/testsuite/testsuite-mailstore.h
M	src/testsuite/testsuite-message.c
M	src/testsuite/testsuite-message.h
M	src/testsuite/testsuite-objects.c
M	src/testsuite/testsuite-objects.h
M	src/testsuite/testsuite-result.c
M	src/testsuite/testsuite-result.h
M	src/testsuite/testsuite-script.c
M	src/testsuite/testsuite-script.h
M	src/testsuite/testsuite-settings.c
M	src/testsuite/testsuite-settings.h
M	src/testsuite/testsuite-smtp.c
M	src/testsuite/testsuite-smtp.h
M	src/testsuite/testsuite-substitutions.c
M	src/testsuite/testsuite-substitutions.h
M	src/testsuite/testsuite-variables.c
M	src/testsuite/testsuite-variables.h
M	src/testsuite/testsuite.c
M	src/testsuite/tst-test-error.c
M	src/testsuite/tst-test-multiscript.c
M	src/testsuite/tst-test-result-action.c
M	src/testsuite/tst-test-result-execute.c
M	src/testsuite/tst-test-script-compile.c
M	src/testsuite/tst-test-script-run.c

2016-01-03 22:06:50 +0100 Stephan Bosch <stephan@rename-it.nl> (645bd122)

    test suite: mime extension: Added more test for exists and address tests
    with :mime tag.


M	Makefile.am
A	tests/extensions/mime/address.svtest
A	tests/extensions/mime/exists.svtest

2016-01-03 19:39:32 +0100 Stephan Bosch <stephan@rename-it.nl> (c9a2056a)

    lib-sieve: mime extensions: Updated status from development to experimental.


M	src/lib-sieve/plugins/mime/ext-foreverypart.c
M	src/lib-sieve/plugins/mime/ext-mime.c

2016-01-03 18:37:39 +0100 Stephan Bosch <stephan@rename-it.nl> (edb268d9)

    lib-sieve: message body: Fixed parsing of content-disposition header.


M	src/lib-sieve/sieve-message.c

2016-01-03 18:20:51 +0100 Stephan Bosch <stephan@rename-it.nl> (e46b5a2d)

    lib-sieve: Fixed segfault occurring when default match type of a test is not
    :is. Would not occur in Pigeonhole itself.


M	src/lib-sieve/sieve-match-types.c

2016-01-03 16:33:39 +0100 Stephan Bosch <stephan@rename-it.nl> (017989a3)

    lib-sieve: mime extension: Fixed the header :mime :anychild test to work
    properly outside a foreverypart loop.


M	src/lib-sieve/plugins/mime/tag-mime.c
M	src/lib-sieve/sieve-message.c
M	src/lib-sieve/sieve-message.h
M	tests/extensions/mime/foreverypart.svtest
M	tests/extensions/mime/header.svtest

2016-01-03 16:32:27 +0100 Stephan Bosch <stephan@rename-it.nl> (6a117056)

    lib-sieve: message body: Fixed erroneous changes to the message part tree
    structure performed when re-parsing the message.


M	src/lib-sieve/sieve-message.c

2016-01-03 16:29:30 +0100 Stephan Bosch <stephan@rename-it.nl> (414251d6)

    lib-sieve: Fixed duplication of discard actions in result. No duplicate
    check function was implemented, so that the discard action would be
    duplicated each time it is invoked. This only affects the action limits
    (each discard invocation is counted as another new action). The result of
    the script execution would be identical.


M	src/lib-sieve/cmd-discard.c

2016-01-02 19:36:01 +0100 Stephan Bosch <stephan@rename-it.nl> (eed8e51d)

    test suite: mime extension: Improved header test cases to catch header
    trimming and folding problems.


M	tests/extensions/mime/header.svtest

2016-01-02 19:35:24 +0100 Stephan Bosch <stephan@rename-it.nl> (aecb32fe)

    lib-sieve: message body: Forgot to trim header values.


M	src/lib-sieve/sieve-message.c

2016-01-02 19:34:58 +0100 Stephan Bosch <stephan@rename-it.nl> (75f9c5a0)

    lib-sieve: Fixed an off-by-one error in the previously committed string
    trimming functions.


M	src/lib-sieve/util/strtrim.c

2016-01-02 18:27:14 +0100 Stephan Bosch <stephan@rename-it.nl> (c0679f08)

    lib-sieve: Added our own string trimming functions for until equivalents get
    added in Dovecot.


M	src/lib-sieve/sieve-settings.c
M	src/lib-sieve/util/Makefile.am
A	src/lib-sieve/util/strtrim.c
A	src/lib-sieve/util/strtrim.h

2016-01-02 17:13:00 +0100 Stephan Bosch <stephan@rename-it.nl> (fb29773f)

    lib-sieve: Forgot to enable header unfolding for (mime) headers parsed from
    the whole message.


M	src/lib-sieve/sieve-message.c

2016-01-02 16:14:27 +0100 Stephan Bosch <stephan@rename-it.nl> (93024df1)

    test suite: Repeated normal header tests for the mime extension.


M	Makefile.am
A	tests/extensions/mime/header.svtest

2015-12-30 21:38:16 +0100 Stephan Bosch <stephan@rename-it.nl> (57a7d70e)

    lib-sieve: message body: Fixed assert failure occurring when text extraction
    is attempted on a empty or broken text part.


M	src/lib-sieve/sieve-message.c
M	tests/extensions/body/text.svtest

2015-12-30 21:36:29 +0100 Stephan Bosch <stephan@rename-it.nl> (62c8bcaf)

    lib-sieve: message body: Erroneously omitted break statement in switch
    block.


M	src/lib-sieve/sieve-message.c

2015-12-30 21:34:33 +0100 Stephan Bosch <stephan@rename-it.nl> (766ae2a2)

    lib-sieve: message body: Explicitly prevent attempting text extraction from
    header and multipart body parts.


M	src/lib-sieve/sieve-message.c

2015-12-30 17:21:35 +0100 Stephan Bosch <stephan@rename-it.nl> (3debc34c)

    lib-sieve: util: program-client: Ignored ENOTCONN error in shutdown(fd,
    SHUT_WR) call. This error can apparently occur if the program terminates
    earlier than the program client issues shutdown().


M	src/lib-sieve/util/program-client-local.c
M	src/lib-sieve/util/program-client-remote.c

2015-12-29 20:20:29 +0100 Stephan Bosch <stephan@rename-it.nl> (65c4ec04)

    lib-sieve: message body: Fixed assert failure in handling of body parts that
    are converted to text. No final '\0' character was added to those body
    parts. This occurs for the body test with the (default) `:text' body
    transform.


M	src/lib-sieve/sieve-message.c

2015-12-28 20:46:14 +0100 Stephan Bosch <stephan@rename-it.nl> (75c53950)

    lib-sieve: message body: Prevent cached raw body from growing by one '\0'
    each time it is accessed.


M	src/lib-sieve/sieve-message.c

2015-12-28 20:33:01 +0100 Stephan Bosch <stephan@rename-it.nl> (71be8cc6)

    lib-sieve: code: Added assert to prevent emitting invalid byte code when
    extension definitions are wrong.


M	src/lib-sieve/sieve-code.c

2015-12-25 20:50:50 +0100 Stephan Bosch <stephan@rename-it.nl> (1a8c0016)

    Added ./compile to .hgignore.


M	.hgignore

2015-12-22 21:30:12 +0100 Stephan Bosch <stephan@rename-it.nl> (587d90d8)

    lib-sieve: Made sure that quota errors never get logged as errors in syslog.
    Also improved handling of permission errors caused by ACL plugin.


M	src/lib-sieve/sieve-actions.c

2015-12-22 21:29:14 +0100 Stephan Bosch <stephan@rename-it.nl> (be199519)

    lib-sieve: Fixed handling of global errors. If master and user error handler
    were identical, in some cases the log message could be lost.


M	src/lib-sieve/sieve-error.c

2015-12-22 21:28:17 +0100 Stephan Bosch <stephan@rename-it.nl> (5357208d)

    lib-sieve: result: Fixed handling of implicit keep for a partially executed
    transaction that yield a temporary failure. It would probably result in
    message duplication.


M	src/lib-sieve/sieve-result.c

2015-12-21 23:51:55 +0100 Stephan Bosch <stephan@rename-it.nl> (8411f0fa)

    LDA Sieve plugin: Made sure there is always a proper error handler for the
    implicit keep action during multiscript execution. Should fix reported bug
    on missing message-ID in log.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2015-12-21 23:32:49 +0100 Stephan Bosch <stephan@rename-it.nl> (3e2e5545)

    LDA Sieve plugin: Removed stray error handler dereference. This would
    probably cause a segfault at multiscript errors.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2015-12-14 18:56:25 +0100 Stephan Bosch <stephan@rename-it.nl> (6c9580e8)

    lib-sieve: Fixed AIX compile issue in message body parser. Should not
    dereference array_idx() result on the spot.


M	src/lib-sieve/sieve-message.c

2015-12-14 18:54:33 +0100 Stephan Bosch <stephan@rename-it.nl> (d9d8fdb6)

    LDA Sieve plugin: Fixed bug in error handling of Sieve storage constructor.
    Error code was not passed back to caller, so that it operates on an
    uninitialized value. Bug found by CLang warning.


M	src/plugins/lda-sieve/lda-sieve-plugin.c

2015-12-14 01:10:44 +0100 Stephan Bosch <stephan@rename-it.nl> (3c4c2bb8)

    Added signature for changeset 7e19bcfc0c16


M	.hgsigs

2015-12-14 01:01:56 +0100 Stephan Bosch <stephan@rename-it.nl> (1adf0132)

    Added tag 0.4.10 for changeset 7e19bcfc0c16


2015-12-14 01:01:38 +0100 Stephan Bosch <stephan@rename-it.nl> (fa008c0f)

    Released v0.4.10 for Dovecot v2.2.21.


M	NEWS
M	configure.ac

2015-12-08 20:33:19 +0100 Stephan Bosch <stephan@rename-it.nl> (4177ae29)

    Renamed pigeonhole.m4 to dovecot-pigeonhole.m4.


M	Makefile.am
R100	pigeonhole.m4	dovecot-pigeonhole.m4

2015-12-08 00:37:34 +0100 Stephan Bosch <stephan@rename-it.nl> (c1fe7b28)

    Added signature for changeset 9b7f6f14a350


M	.hgsigs

2015-12-08 00:32:20 +0100 Stephan Bosch <stephan@rename-it.nl> (1daceb9b)

    Added tag 0.4.10.rc2 for changeset 9b7f6f14a350


2015-12-08 00:32:10 +0100 Stephan Bosch <stephan@rename-it.nl> (543848bd)

    Released v0.4.10.rc2 for Dovecot v2.2.20.


M	configure.ac

2015-12-08 00:31:05 +0100 Stephan Bosch <stephan@rename-it.nl> (d6e95607)

    Fixed indentation in README file.


M	README

2015-12-05 01:15:11 +0100 Stephan Bosch <stephan@rename-it.nl> (2f56a91f)

    lib-sieve: Added back t_str_trim() for the time being, since it was removed
    from Dovecot. It is now named pg_t_str_trim() to prevent a new conflict at
    the next attempt.


M	src/lib-sieve/sieve-settings.c

2015-12-05 00:49:33 +0100 Stephan Bosch <stephan@rename-it.nl> (a8bec513)

    Added signature for changeset a795304eb433


M	.hgsigs

2015-12-05 00:44:09 +0100 Stephan Bosch <stephan@rename-it.nl> (c6766eb4)

    Added tag 0.4.10.rc1 for changeset a795304eb433


2015-12-05 00:43:45 +0100 Stephan Bosch <stephan@rename-it.nl> (c3af27f4)

    Released v0.4.10.rc1 for Dovecot v2.2.20.rc1.


M	NEWS
M	configure.ac

2015-12-04 23:21:58 +0100 Stephan Bosch <stephan@rename-it.nl> (ae3ef56d)

    Updated TODO.


M	TODO

2015-12-04 23:20:05 +0100 Stephan Bosch <stephan@rename-it.nl> (42582832)

    lib-sieve: mime/foreverypart: Properly implemented interaction with include
    extension. Included scripts now execute in the context of the inner parent
    foreverypart loop.


M	src/lib-sieve/plugins/mime/ext-mime-common.c
M	src/lib-sieve/sieve-interpreter.c
M	src/lib-sieve/sieve-interpreter.h
M	tests/extensions/mime/errors.svtest
M	tests/extensions/mime/foreverypart.svtest
A	tests/extensions/mime/included/include-foreverypart.sieve

2015-12-04 22:58:35 +0100 Stephan Bosch <stephan@rename-it.nl> (c8643b66)

    lib-sieve: mime: Improved foreverypart runtime trace.


M	src/lib-sieve/plugins/mime/cmd-foreverypart.c

2015-12-01 14:24:33 +0100 Stephan Bosch <stephan@rename-it.nl> (714988c4)

